
#ifndef VisContainerPosition2PtrFUNCTIONTYPES_H
#define VisContainerPosition2PtrFUNCTIONTYPES_H

#include "eliproto.h"

/* include header file defining VisContainerPosition2Ptr if VisBasicCode is set: */
#define EMPTYVisBasicCodeHDR
#ifndef EMPTYHDR
#include "VisBasicCode.h"
#endif
#undef EMPTYVisBasicCodeHDR

typedef int (*VisContainerPosition2PtrCmpFctType) ELI_ARG((VisContainerPosition2Ptr, VisContainerPosition2Ptr));
/* Functions that compare two VisContainerPosition2Ptr values
 *   If the left argument is less than the right then on exit-
 *     VisContainerPosition2PtrCmpFctType = -1
 *   Else if the arguments are equal then on exit-
 *     VisContainerPosition2PtrCmpFctType = 0
 *   Else on exit-
 *     VisContainerPosition2PtrCmpFctType = 1
 ***/

typedef VisContainerPosition2Ptr (*VisContainerPosition2PtrMapFct) ELI_ARG((VisContainerPosition2Ptr));
/* Functions that map one VisContainerPosition2Ptr value into another
 *   On exit-
 *     VisContainerPosition2PtrMapFct = image of the argument under the map
 ***/

typedef VisContainerPosition2Ptr (*VisContainerPosition2PtrSumFct) ELI_ARG((VisContainerPosition2Ptr, VisContainerPosition2Ptr));
/* Functions that combine two VisContainerPosition2Ptr values
 *   On exit-
 *     VisContainerPosition2PtrSumFct = combination of the two arguments
 ***/

#endif
