
/* encoding of tree node types and symbols */

#ifndef dataBaseView_NODECODE_H
#define dataBaseView_NODECODE_H

extern int dataBaseView_LHSMAP[];

#define dataBaseView_IsSymb(_n,_c) (dataBaseView_LHSMAP[(_n)->_prod] == (_c))

#define dataBaseView_SYMBVIEWROOT 0
#define dataBaseView_SYMBdataBaseView_DataBase 1
#define dataBaseView_SYMBdataBaseView_DataSourceFormalParam 2
#define dataBaseView_SYMBdataBaseView_DataSourceFormalParam_name 3
#define dataBaseView_SYMBdataBaseView_DataSourceFormalParam_keyword1 4
#define dataBaseView_SYMBdataBaseView_DataSourceFormalParam_type 5
#define dataBaseView_SYMBdataBaseView_DBBlob 6
#define dataBaseView_SYMBdataBaseView_DBBoolean 7
#define dataBaseView_SYMBdataBaseView_DBTimeStamp 8
#define dataBaseView_SYMBdataBaseView_DBDate 9
#define dataBaseView_SYMBdataBaseView_DBBigInt 10
#define dataBaseView_SYMBdataBaseView_DBDouble 11
#define dataBaseView_SYMBdataBaseView_DBFloat 12
#define dataBaseView_SYMBdataBaseView_DBLong 13
#define dataBaseView_SYMBdataBaseView_DBInteger 14
#define dataBaseView_SYMBdataBaseView_DBText 15
#define dataBaseView_SYMBdataBaseView_DBString 16
#define dataBaseView_SYMBdataBaseView_DBHasMany 17
#define dataBaseView_SYMBdataBaseView_DBHasOne 18
#define dataBaseView_SYMBdataBaseView_ColumnProjection 19
#define dataBaseView_SYMBdataBaseView_ColumnProjection_column 20
#define dataBaseView_SYMBdataBaseView_ColumnProjection_keyword1 21
#define dataBaseView_SYMBdataBaseView_ColumnProjection_name 22
#define dataBaseView_SYMBdataBaseView_ComputationProjection 23
#define dataBaseView_SYMBdataBaseView_ComputationProjection_computation 24
#define dataBaseView_SYMBdataBaseView_ComputationProjection_keyword1 25
#define dataBaseView_SYMBdataBaseView_ComputationProjection_column 26
#define dataBaseView_SYMBdataBaseView_ComputationProjection_keyword2 27
#define dataBaseView_SYMBdataBaseView_ComputationProjection_name 28
#define dataBaseView_SYMBdataBaseView_BinaryExpression 29
#define dataBaseView_SYMBdataBaseView_BinaryExpression_keyword1 30
#define dataBaseView_SYMBdataBaseView_BinaryExpression_leftOperand 31
#define dataBaseView_SYMBdataBaseView_BinaryExpression_operator 32
#define dataBaseView_SYMBdataBaseView_BinaryExpression_rightOperand 33
#define dataBaseView_SYMBdataBaseView_BinaryExpression_keyword2 34
#define dataBaseView_SYMBdataBaseView_ComputationExpression 35
#define dataBaseView_SYMBdataBaseView_ParameterValueExpression 36
#define dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression 37
#define dataBaseView_SYMBdataBaseView_ColumnValueExpression 38
#define dataBaseView_SYMBdataBaseView_ConstantExpression 39
#define dataBaseView_SYMBdataBaseView_PredefinedExpression 40
#define dataBaseView_SYMBdataBaseView_UnaryExpression 41
#define dataBaseView_SYMBdataBaseView_UnaryExpression_operator 42
#define dataBaseView_SYMBdataBaseView_UnaryExpression_operand 43
#define dataBaseView_SYMBdataBaseView_PredefinedExpression_value 44
#define dataBaseView_SYMBdataBaseView_ConstantExpression_keyword1 45
#define dataBaseView_SYMBdataBaseView_ConstantExpression_value 46
#define dataBaseView_SYMBdataBaseView_ConstantExpression_keyword2 47
#define dataBaseView_SYMBdataBaseView_ColumnValueExpression_column 48
#define dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression_column 49
#define dataBaseView_SYMBdataBaseView_ParameterValueExpression_parameter 50
#define dataBaseView_SYMBdataBaseView_ComputationExpression_computation 51
#define dataBaseView_SYMBdataBaseView_ComputationExpression_keyword1 52
#define dataBaseView_SYMBdataBaseView_ComputationExpression_column 53
#define dataBaseView_SYMBdataBaseView_ComputationExpression_keyword2 54
#define dataBaseView_SYMBdataBaseView_DBString_keyword1 55
#define dataBaseView_SYMBdataBaseView_DBText_keyword1 56
#define dataBaseView_SYMBdataBaseView_DBInteger_keyword1 57
#define dataBaseView_SYMBdataBaseView_DBLong_keyword1 58
#define dataBaseView_SYMBdataBaseView_DBFloat_keyword1 59
#define dataBaseView_SYMBdataBaseView_DBDouble_keyword1 60
#define dataBaseView_SYMBdataBaseView_DBBigInt_keyword1 61
#define dataBaseView_SYMBdataBaseView_DBDate_keyword1 62
#define dataBaseView_SYMBdataBaseView_DBTimeStamp_keyword1 63
#define dataBaseView_SYMBdataBaseView_DBBoolean_keyword1 64
#define dataBaseView_SYMBdataBaseView_DBBlob_keyword1 65
#define dataBaseView_SYMBdataBaseView_DBHasOne_keyword1 66
#define dataBaseView_SYMBdataBaseView_DBHasOne_dataSourceTable 67
#define dataBaseView_SYMBdataBaseView_DBHasMany_keyword1 68
#define dataBaseView_SYMBdataBaseView_DBHasMany_dataSourceTable 69
#define dataBaseView_SYMBdataBaseView_DataSourceValue 70
#define dataBaseView_SYMBdataBaseView_DataSourceValue_column 71
#define dataBaseView_SYMBdataBaseView_DataSourceValue_keyword1 72
#define dataBaseView_SYMBdataBaseView_DataSourceValue_expression 73
#define dataBaseView_SYMBdataBaseView_DBColumn 74
#define dataBaseView_SYMBdataBaseView_DBColumn_modifier 75
#define dataBaseView_SYMBdataBaseView_DBColumn_name 76
#define dataBaseView_SYMBdataBaseView_DBColumn_delim 77
#define dataBaseView_SYMBdataBaseView_DBColumn_type 78
#define dataBaseView_SYMBdataBaseView_DataSourceProjection 79
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_name 80
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_formalParameters 81
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_projectionColumns 82
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_condition 83
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_connection 84
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_from 85
#define dataBaseView_SYMBdataBaseView_DataSourceProjection_sourceDataSource 86
#define dataBaseView_SYMBdataBaseView_LimitDataSource 87
#define dataBaseView_SYMBdataBaseView_LimitDataSource_name 88
#define dataBaseView_SYMBdataBaseView_LimitDataSource_formalParameters 89
#define dataBaseView_SYMBdataBaseView_LimitDataSource_condition 90
#define dataBaseView_SYMBdataBaseView_LimitDataSource_connection 91
#define dataBaseView_SYMBdataBaseView_LimitDataSource_firstRow 92
#define dataBaseView_SYMBdataBaseView_LimitDataSource_dots 93
#define dataBaseView_SYMBdataBaseView_LimitDataSource_maxRows 94
#define dataBaseView_SYMBdataBaseView_LimitDataSource_from 95
#define dataBaseView_SYMBdataBaseView_LimitDataSource_sourceDataSource 96
#define dataBaseView_SYMBdataBaseView_OrderedDataSource 97
#define dataBaseView_SYMBdataBaseView_OrderedDataSource_name 98
#define dataBaseView_SYMBdataBaseView_OrderedDataSource_orderColumns 99
#define dataBaseView_SYMBdataBaseView_OrderedDataSource_connection 100
#define dataBaseView_SYMBdataBaseView_OrderColumn 101
#define dataBaseView_SYMBdataBaseView_OrderedDataSource_from 102
#define dataBaseView_SYMBdataBaseView_OrderedDataSource_sourceDataSource 103
#define dataBaseView_SYMBdataBaseView_DataSourceJoin 104
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_name 105
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_joinOperator 106
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_connection1 107
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_connection2 108
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_from1 109
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_dataSource1 110
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_from2 111
#define dataBaseView_SYMBdataBaseView_DataSourceJoin_dataSource2 112
#define dataBaseView_SYMBdataBaseView_DataSourceInsert 113
#define dataBaseView_SYMBdataBaseView_DataSourceInsert_name 114
#define dataBaseView_SYMBdataBaseView_DataSourceInsert_formalParams 115
#define dataBaseView_SYMBdataBaseView_DataSourceInsert_values 116
#define dataBaseView_SYMBdataBaseView_DataSourceInsert_connection 117
#define dataBaseView_SYMBdataBaseView_DataSourceInsert_from 118
#define dataBaseView_SYMBdataBaseView_DataSourceInsert_targetDataSource 119
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate 120
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_name 121
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_formalParams 122
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_values 123
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_conditions 124
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_connection 125
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_from 126
#define dataBaseView_SYMBdataBaseView_DataSourceUpdate_targetDataSource 127
#define dataBaseView_SYMBdataBaseView_DataSourceDelete 128
#define dataBaseView_SYMBdataBaseView_DataSourceDelete_name 129
#define dataBaseView_SYMBdataBaseView_DataSourceDelete_formalParams 130
#define dataBaseView_SYMBdataBaseView_DataSourceDelete_conditions 131
#define dataBaseView_SYMBdataBaseView_DataSourceDelete_connection 132
#define dataBaseView_SYMBdataBaseView_DataSourceDelete_from 133
#define dataBaseView_SYMBdataBaseView_DataSourceDelete_targetDataSource 134
#define dataBaseView_SYMBdataBaseView_DataBase_name 135
#define dataBaseView_SYMBdataBaseView_DataBase_userName 136
#define dataBaseView_SYMBdataBaseView_DataBase_userPassword 137
#define dataBaseView_SYMBdataBaseView_DataBase_hostName 138
#define dataBaseView_SYMBdataBaseView_DataBase_port 139
#define dataBaseView_SYMBdataBaseView_DataBase_dataBaseType 140
#define dataBaseView_SYMBdataBaseView_DataBase_prefix 141
#define dataBaseView_SYMBdataBaseView_DataBase_dataSources 142
#define dataBaseView_SYMBdataBaseView_DataBase_dataSourceModifications 143
#define dataBaseView_SYMBdataBaseView_DataBase_setSize 144
#define dataBaseView_SYMBdataBaseView_DataBase_modifySetSize 145
#define dataBaseView_SYMBdataBaseView_DataSourceTable 146
#define dataBaseView_SYMBdataBaseView_DataSourceTable_name 147
#define dataBaseView_SYMBdataBaseView_DataSourceTable_position 148
#define dataBaseView_SYMBdataBaseView_DataSourceTable_columns 149
#define dataBaseView_SYMBdataBaseView_OrderColumn_orderColumn 150
#define dataBaseView_SYMBdataBaseView_OrderColumn_order 151
#define dataBaseView_SYMBLST_dataBaseView_DataSourceFormalParam_type 152
#define dataBaseView_SYMBLST_dataBaseView_BinaryExpression_leftOperand 153
#define dataBaseView_SYMBLST_dataBaseView_BinaryExpression_rightOperand 154
#define dataBaseView_SYMBLST_dataBaseView_UnaryExpression_operand 155
#define dataBaseView_SYMBLST_dataBaseView_DataSourceValue_expression 156
#define dataBaseView_SYMBLST_dataBaseView_DBColumn_type 157
#define dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_formalParameters 158
#define dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_projectionColumns 159
#define dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_condition 160
#define dataBaseView_SYMBLST_dataBaseView_LimitDataSource_formalParameters 161
#define dataBaseView_SYMBLST_dataBaseView_LimitDataSource_firstRow 162
#define dataBaseView_SYMBLST_dataBaseView_LimitDataSource_maxRows 163
#define dataBaseView_SYMBLST_dataBaseView_OrderedDataSource_orderColumns 164
#define dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_formalParams 165
#define dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_values 166
#define dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_formalParams 167
#define dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_values 168
#define dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_conditions 169
#define dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_formalParams 170
#define dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_conditions 171
#define dataBaseView_SYMBLST_dataBaseView_DataBase_dataSources 172
#define dataBaseView_SYMBLST_dataBaseView_DataBase_dataSourceModifications 173
#define dataBaseView_SYMBLST_dataBaseView_DataSourceTable_columns 174
#define dataBaseView_RULELST_0pdataBaseView_DataBase_dataSources 0
#define dataBaseView_RULELST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources 1
#define dataBaseView_RULELST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources 2
#define dataBaseView_RULELST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources 3
#define dataBaseView_RULELST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources 4
#define dataBaseView_RULELST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources 5
#define dataBaseView_RULEpdataBaseView_DataSourceJoin 6
#define dataBaseView_RULEpdataBaseView_OrderedDataSource 7
#define dataBaseView_RULEpdataBaseView_LimitDataSource 8
#define dataBaseView_RULEpdataBaseView_DataSourceProjection 9
#define dataBaseView_RULELST_0pdataBaseView_DataSourceTable_columns 10
#define dataBaseView_RULELST_0pdataBaseView_DataBase_dataSourceModifications 11
#define dataBaseView_RULELST_0pdataBaseView_DataSourceDelete_formalParams 12
#define dataBaseView_RULELST_0pdataBaseView_DataSourceUpdate_values 13
#define dataBaseView_RULELST_0pdataBaseView_DataSourceUpdate_formalParams 14
#define dataBaseView_RULELST_0pdataBaseView_DataSourceInsert_values 15
#define dataBaseView_RULELST_0pdataBaseView_DataSourceInsert_formalParams 16
#define dataBaseView_RULELST_0pdataBaseView_OrderedDataSource_orderColumns 17
#define dataBaseView_RULELST_0pdataBaseView_LimitDataSource_formalParameters 18
#define dataBaseView_RULELST_0pdataBaseView_DataSourceProjection_projectionColumns 19
#define dataBaseView_RULELST_0pdataBaseView_DataSourceProjection_formalParameters 20
#define dataBaseView_RULELST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns 21
#define dataBaseView_RULELST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications 22
#define dataBaseView_RULELST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications 23
#define dataBaseView_RULELST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications 24
#define dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams 25
#define dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values 26
#define dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams 27
#define dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values 28
#define dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams 29
#define dataBaseView_RULELST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns 30
#define dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters 31
#define dataBaseView_RULELST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns 32
#define dataBaseView_RULELST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns 33
#define dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters 34
#define dataBaseView_RULEpdataBaseView_OrderColumn 35
#define dataBaseView_RULEpdataBaseView_DataSourceTable 36
#define dataBaseView_RULEpdataBaseView_DataBase_dataSources 37
#define dataBaseView_RULEpdataBaseView_DataSourceDelete 38
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate 39
#define dataBaseView_RULEpdataBaseView_DataSourceInsert 40
#define dataBaseView_RULEpdataBaseView_DBColumn 41
#define dataBaseView_RULEpdataBaseView_DataSourceValue 42
#define dataBaseView_RULEpdataBaseView_ComputationProjection 43
#define dataBaseView_RULEpdataBaseView_ColumnProjection 44
#define dataBaseView_RULEpdataBaseView_DataSourceFormalParam 45
#define dataBaseView_RULELST_0pdataBaseView_DataSourceDelete_conditions 46
#define dataBaseView_RULELST_0pdataBaseView_DataSourceUpdate_conditions 47
#define dataBaseView_RULELST_0pdataBaseView_LimitDataSource_maxRows 48
#define dataBaseView_RULELST_0pdataBaseView_LimitDataSource_firstRow 49
#define dataBaseView_RULELST_0pdataBaseView_DataSourceProjection_condition 50
#define dataBaseView_RULELST_0pdataBaseView_DBColumn_type 51
#define dataBaseView_RULELST_0pdataBaseView_DataSourceValue_expression 52
#define dataBaseView_RULELST_0pdataBaseView_UnaryExpression_operand 53
#define dataBaseView_RULELST_0pdataBaseView_BinaryExpression_rightOperand 54
#define dataBaseView_RULELST_0pdataBaseView_BinaryExpression_leftOperand 55
#define dataBaseView_RULELST_0pdataBaseView_DataSourceFormalParam_type 56
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions 57
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions 58
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions 59
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions 60
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions 61
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions 62
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions 63
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions 64
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions 65
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions 66
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions 67
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions 68
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions 69
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions 70
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions 71
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions 72
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows 73
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows 74
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows 75
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows 76
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows 77
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows 78
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows 79
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows 80
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow 81
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow 82
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow 83
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow 84
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow 85
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow 86
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow 87
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow 88
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition 89
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition 90
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition 91
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition 92
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition 93
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition 94
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition 95
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition 96
#define dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type 97
#define dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DBColumn_type 98
#define dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DBColumn_type 99
#define dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DBColumn_type 100
#define dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type 101
#define dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DBColumn_type 102
#define dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DBColumn_type 103
#define dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DBColumn_type 104
#define dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type 105
#define dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DBColumn_type 106
#define dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type 107
#define dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type 108
#define dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DBColumn_type 109
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression 110
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression 111
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression 112
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression 113
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression 114
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression 115
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression 116
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression 117
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand 118
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand 119
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand 120
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand 121
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand 122
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand 123
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand 124
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand 125
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand 126
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand 127
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand 128
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand 129
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand 130
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand 131
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand 132
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand 133
#define dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand 134
#define dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand 135
#define dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand 136
#define dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand 137
#define dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand 138
#define dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand 139
#define dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand 140
#define dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand 141
#define dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type 142
#define dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type 143
#define dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type 144
#define dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type 145
#define dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type 146
#define dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type 147
#define dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type 148
#define dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type 149
#define dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type 150
#define dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type 151
#define dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type 152
#define dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type 153
#define dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type 154
#define dataBaseView_RULEpdataBaseView_OrderColumn_orderColumn 155
#define dataBaseView_RULEpdataBaseView_DataSourceTable_columns 156
#define dataBaseView_RULEpdataBaseView_DataSourceTable_name 157
#define dataBaseView_RULEpdataBaseView_DataBase_dataSourceModifications 158
#define dataBaseView_RULEpdataBaseView_DataBase_userName 159
#define dataBaseView_RULEpdataBaseView_DataSourceDelete_targetDataSource 160
#define dataBaseView_RULEpdataBaseView_DataSourceDelete_from 161
#define dataBaseView_RULEpdataBaseView_DataSourceDelete_conditions 162
#define dataBaseView_RULEpdataBaseView_DataSourceDelete_formalParams 163
#define dataBaseView_RULEpdataBaseView_DataSourceDelete_name 164
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_targetDataSource 165
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_from 166
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_conditions 167
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_values 168
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_formalParams 169
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_name 170
#define dataBaseView_RULEpdataBaseView_DataSourceInsert_targetDataSource 171
#define dataBaseView_RULEpdataBaseView_DataSourceInsert_from 172
#define dataBaseView_RULEpdataBaseView_DataSourceInsert_values 173
#define dataBaseView_RULEpdataBaseView_DataSourceInsert_formalParams 174
#define dataBaseView_RULEpdataBaseView_DataSourceInsert_name 175
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_dataSource2 176
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_from2 177
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_dataSource1 178
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_from1 179
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_joinOperator 180
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_name 181
#define dataBaseView_RULEpdataBaseView_OrderedDataSource_sourceDataSource 182
#define dataBaseView_RULEpdataBaseView_OrderedDataSource_from 183
#define dataBaseView_RULEpdataBaseView_OrderedDataSource_orderColumns 184
#define dataBaseView_RULEpdataBaseView_OrderedDataSource_name 185
#define dataBaseView_RULEpdataBaseView_LimitDataSource_sourceDataSource 186
#define dataBaseView_RULEpdataBaseView_LimitDataSource_from 187
#define dataBaseView_RULEpdataBaseView_LimitDataSource_condition 188
#define dataBaseView_RULEpdataBaseView_LimitDataSource_maxRows 189
#define dataBaseView_RULEpdataBaseView_LimitDataSource_dots 190
#define dataBaseView_RULEpdataBaseView_LimitDataSource_firstRow 191
#define dataBaseView_RULEpdataBaseView_LimitDataSource_formalParameters 192
#define dataBaseView_RULEpdataBaseView_LimitDataSource_name 193
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_sourceDataSource 194
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_from 195
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_condition 196
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_projectionColumns 197
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_formalParameters 198
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_name 199
#define dataBaseView_RULEpdataBaseView_DBColumn_type 200
#define dataBaseView_RULEpdataBaseView_DBColumn_delim 201
#define dataBaseView_RULEpdataBaseView_DBColumn_name 202
#define dataBaseView_RULEpdataBaseView_DBColumn_modifier 203
#define dataBaseView_RULEpdataBaseView_DataSourceValue_expression 204
#define dataBaseView_RULEpdataBaseView_DataSourceValue_keyword1 205
#define dataBaseView_RULEpdataBaseView_DataSourceValue_column 206
#define dataBaseView_RULEpdataBaseView_DBHasMany_dataSourceTable 207
#define dataBaseView_RULEpdataBaseView_DBHasMany_keyword1 208
#define dataBaseView_RULEpdataBaseView_DBHasMany 209
#define dataBaseView_RULEpdataBaseView_DBHasOne_dataSourceTable 210
#define dataBaseView_RULEpdataBaseView_DBHasOne_keyword1 211
#define dataBaseView_RULEpdataBaseView_DBHasOne 212
#define dataBaseView_RULEpdataBaseView_DBBlob_keyword1 213
#define dataBaseView_RULEpdataBaseView_DBBlob 214
#define dataBaseView_RULEpdataBaseView_DBBoolean_keyword1 215
#define dataBaseView_RULEpdataBaseView_DBBoolean 216
#define dataBaseView_RULEpdataBaseView_DBTimeStamp_keyword1 217
#define dataBaseView_RULEpdataBaseView_DBTimeStamp 218
#define dataBaseView_RULEpdataBaseView_DBDate_keyword1 219
#define dataBaseView_RULEpdataBaseView_DBDate 220
#define dataBaseView_RULEpdataBaseView_DBBigInt_keyword1 221
#define dataBaseView_RULEpdataBaseView_DBBigInt 222
#define dataBaseView_RULEpdataBaseView_DBDouble_keyword1 223
#define dataBaseView_RULEpdataBaseView_DBDouble 224
#define dataBaseView_RULEpdataBaseView_DBFloat_keyword1 225
#define dataBaseView_RULEpdataBaseView_DBFloat 226
#define dataBaseView_RULEpdataBaseView_DBLong_keyword1 227
#define dataBaseView_RULEpdataBaseView_DBLong 228
#define dataBaseView_RULEpdataBaseView_DBInteger_keyword1 229
#define dataBaseView_RULEpdataBaseView_DBInteger 230
#define dataBaseView_RULEpdataBaseView_DBText_keyword1 231
#define dataBaseView_RULEpdataBaseView_DBText 232
#define dataBaseView_RULEpdataBaseView_DBString_keyword1 233
#define dataBaseView_RULEpdataBaseView_DBString 234
#define dataBaseView_RULEpdataBaseView_ComputationExpression_keyword2 235
#define dataBaseView_RULEpdataBaseView_ComputationExpression_column 236
#define dataBaseView_RULEpdataBaseView_ComputationExpression_keyword1 237
#define dataBaseView_RULEpdataBaseView_ComputationExpression_computation 238
#define dataBaseView_RULEpdataBaseView_ComputationExpression 239
#define dataBaseView_RULEpdataBaseView_ParameterValueExpression_parameter 240
#define dataBaseView_RULEpdataBaseView_ParameterValueExpression 241
#define dataBaseView_RULEpdataBaseView_ProjectionColumnValueExpression_column 242
#define dataBaseView_RULEpdataBaseView_ProjectionColumnValueExpression 243
#define dataBaseView_RULEpdataBaseView_ColumnValueExpression_column 244
#define dataBaseView_RULEpdataBaseView_ColumnValueExpression 245
#define dataBaseView_RULEpdataBaseView_ConstantExpression_keyword2 246
#define dataBaseView_RULEpdataBaseView_ConstantExpression_value 247
#define dataBaseView_RULEpdataBaseView_ConstantExpression_keyword1 248
#define dataBaseView_RULEpdataBaseView_ConstantExpression 249
#define dataBaseView_RULEpdataBaseView_PredefinedExpression_value 250
#define dataBaseView_RULEpdataBaseView_PredefinedExpression 251
#define dataBaseView_RULEpdataBaseView_UnaryExpression_operand 252
#define dataBaseView_RULEpdataBaseView_UnaryExpression_operator 253
#define dataBaseView_RULEpdataBaseView_UnaryExpression 254
#define dataBaseView_RULEpdataBaseView_BinaryExpression_keyword2 255
#define dataBaseView_RULEpdataBaseView_BinaryExpression_rightOperand 256
#define dataBaseView_RULEpdataBaseView_BinaryExpression_operator 257
#define dataBaseView_RULEpdataBaseView_BinaryExpression_leftOperand 258
#define dataBaseView_RULEpdataBaseView_BinaryExpression_keyword1 259
#define dataBaseView_RULEpdataBaseView_BinaryExpression 260
#define dataBaseView_RULEpdataBaseView_ComputationProjection_name 261
#define dataBaseView_RULEpdataBaseView_ComputationProjection_keyword2 262
#define dataBaseView_RULEpdataBaseView_ComputationProjection_column 263
#define dataBaseView_RULEpdataBaseView_ComputationProjection_keyword1 264
#define dataBaseView_RULEpdataBaseView_ComputationProjection_computation 265
#define dataBaseView_RULEpdataBaseView_ColumnProjection_name 266
#define dataBaseView_RULEpdataBaseView_ColumnProjection_keyword1 267
#define dataBaseView_RULEpdataBaseView_ColumnProjection_column 268
#define dataBaseView_RULEpdataBaseView_DataSourceFormalParam_type 269
#define dataBaseView_RULEpdataBaseView_DataSourceFormalParam_keyword1 270
#define dataBaseView_RULEpdataBaseView_DataSourceFormalParam_name 271
#define dataBaseView_RULEpdataBaseView_OrderColumn_order 272
#define dataBaseView_RULEpdataBaseView_DataSourceTable_position 273
#define dataBaseView_RULEpdataBaseView_DataBase_modifySetSize 274
#define dataBaseView_RULEpdataBaseView_DataBase_setSize 275
#define dataBaseView_RULEpdataBaseView_DataBase_prefix 276
#define dataBaseView_RULEpdataBaseView_DataBase_dataBaseType 277
#define dataBaseView_RULEpdataBaseView_DataBase_port 278
#define dataBaseView_RULEpdataBaseView_DataBase_hostName 279
#define dataBaseView_RULEpdataBaseView_DataBase_userPassword 280
#define dataBaseView_RULEpdataBaseView_DataBase_name 281
#define dataBaseView_RULEpdataBaseView_DataBase 282
#define dataBaseView_RULEpdataBaseView_DataSourceDelete_connection 283
#define dataBaseView_RULEpdataBaseView_DataSourceUpdate_connection 284
#define dataBaseView_RULEpdataBaseView_DataSourceInsert_connection 285
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_connection2 286
#define dataBaseView_RULEpdataBaseView_DataSourceJoin_connection1 287
#define dataBaseView_RULEpdataBaseView_OrderedDataSource_connection 288
#define dataBaseView_RULEpdataBaseView_LimitDataSource_connection 289
#define dataBaseView_RULEpdataBaseView_DataSourceProjection_connection 290
#define dataBaseView_RULEpVIEWROOT_dataBaseView 291
#define dataBaseView_RULEpEmpty 292
#endif
