
/* interface of tree construction functions */

#ifndef dataBaseView_TREECON_H
#define dataBaseView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "dataBaseView_nodeptr.h"

#include "HEAD.h"


extern void dataBaseView_InitTree ELI_ARG((void));

extern void dataBaseView_FreeTree ELI_ARG((void));

extern NODEPTR dataBaseView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBBlob ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBBoolean ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBTimeStamp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBDate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBBigInt ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBDouble ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBFloat ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBLong ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBInteger ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBHasMany ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBHasOne ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ColumnProjection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationProjection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_BinaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ParameterValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_PredefinedExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_UnaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_UnaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_PredefinedExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBString_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBText_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBLong_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBDate_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBColumn_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBColumn_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBColumn_delim ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DBColumn_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_projectionColumns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_condition ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_connection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_from ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_sourceDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_condition ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_connection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_firstRow ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_dots ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_maxRows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_from ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_sourceDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_orderColumns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_connection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_from ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_sourceDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_joinOperator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_connection1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_connection2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_from1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_dataSource1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_from2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_dataSource2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_formalParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_values ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_connection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_from ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_targetDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_formalParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_values ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_conditions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_connection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_from ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_targetDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_formalParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_conditions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_connection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_from ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_targetDataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_userName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_userPassword ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_hostName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_port ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_dataBaseType ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_prefix ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_dataSources ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_dataSourceModifications ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataBase_modifySetSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderColumn_orderColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkdataBaseView_OrderColumn_order ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR dataBaseView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpVIEWROOT_dataBaseView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_keyword1 ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceFormalParam_type(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_column ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_column ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_keyword1 ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_BinaryExpression_leftOperand(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_operator ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_BinaryExpression_rightOperand(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression_operator ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_UnaryExpression_operand(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_PredefinedExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_PredefinedExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ParameterValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBString ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBString_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBText ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBText_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBInteger ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBLong ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBLong_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBFloat ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBDouble ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBBigInt ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBDate ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBDate_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBTimeStamp ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBBoolean ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBBlob ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR dataBaseView_MkpdataBaseView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBHasOne ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBHasMany ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_column ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_keyword1 ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceValue_expression(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceValue_expression ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_expression ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DBColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR dataBaseView_MkpdataBaseView_DBColumn_modifier ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBColumn_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DBColumn_delim ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DBColumn_type(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DBColumn_type ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DBColumn_type ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_name ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceProjection_formalParameters(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataSourceProjection_projectionColumns(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_projectionColumns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_projectionColumns ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataSourceProjection_condition(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_condition ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_condition ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_from ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_sourceDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_connection ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_name ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_LimitDataSource_formalParameters(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_formalParameters ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_LimitDataSource_firstRow(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_firstRow ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_firstRow ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_dots ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_LimitDataSource_maxRows(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_maxRows ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_maxRows ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_condition ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_from ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_sourceDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_connection ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_name ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_OrderedDataSource_orderColumns(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_OrderedDataSource_orderColumns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_orderColumns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_from ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_sourceDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_connection ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_joinOperator ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_from1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource1 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_connection1 ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_from2 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource2 ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_connection2 ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_name ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceInsert_formalParams(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceInsert_formalParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_formalParams ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataSourceInsert_values(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceInsert_values ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_values ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_from ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_targetDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_connection ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_name ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceUpdate_formalParams(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_formalParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_formalParams ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataSourceUpdate_values(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_values ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_values ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataSourceUpdate_conditions(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_conditions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_conditions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_from ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_targetDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_connection ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_name ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceDelete_formalParams(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceDelete_formalParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_formalParams ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataSourceDelete_conditions(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceDelete_conditions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_conditions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_from ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_targetDataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_connection ELI_ARG((POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_userName ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_userPassword ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_hostName ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_port ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataBaseType ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_prefix ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataBase_dataSources(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataBase_dataSources ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataSources ELI_ARG((POSITION *_coordref, NODEPTR t));
#define dataBaseView_Mk0pdataBaseView_DataBase_dataSourceModifications(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataBase_dataSourceModifications ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataSourceModifications ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataBase_modifySetSize ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_name ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_position ELI_ARG((POSITION *_coordref));
#define dataBaseView_Mk0pdataBaseView_DataSourceTable_columns(_coordref) NULLNODEPTR
extern NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceTable_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderColumn_orderColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR dataBaseView_MkpdataBaseView_OrderColumn_order ELI_ARG((POSITION *_coordref));
#define dataBaseView_MkID(pos,val) (val)
#endif
