
#include "HEAD.h"
#include "err.h"
#include "feDlg_node.h"
#include "feDlg_visitprocs.h"
#include "attrpredef.h"

#include "feDlg_visitmap.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#include "liga_dapto.h"
#endif

#ifndef _VisitVarDecl
#define _VisitVarDecl()
#endif

#ifndef _VisitEntry
#define _VisitEntry()
#endif

#ifndef _VisitExit
#define _VisitExit()
#endif


#if defined(__STDC__) || defined(__cplusplus)
#define _CALL_VS_(args) (void (*)args)
#else
#define _CALL_VS_(args) 
#endif
MEPatternConverterPtr* feDlg__IG_incl8;
MEDoubleNumberConverterPtr* feDlg__IG_incl7;
MEIntegerNumberConverterPtr* feDlg__IG_incl6;
MEDoubleRangeValidatorPtr* feDlg__IG_incl5;
MELongRangeValidatorPtr* feDlg__IG_incl4;
MEStringLengthValidatorPtr* feDlg__IG_incl3;
MERegExprValidatorPtr* feDlg__IG_incl2;
VLObjectPointer* feDlg__IG_incl0;
MEFormularTextElementPtr* feDlg__IG_incl1;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_var_name;
VLString feDlg__AVfeDlg_FormularTextElement_pers_name;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_var_label;
VLString feDlg__AVfeDlg_FormularTextElement_pers_label;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_var_description;
VLString feDlg__AVfeDlg_FormularTextElement_pers_description;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_var_pvalue;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_pers_pvalue;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_var_required;
VLBoolean feDlg__AVfeDlg_FormularTextElement_pers_required;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_nodeId;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_name_nodePtr;
VLString feDlg__AVfeDlg_FormularTextElement_name_persValue;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_name_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_name_objId;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_label_nodePtr;
VLString feDlg__AVfeDlg_FormularTextElement_label_persValue;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_label_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_label_objId;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_description_nodePtr;
VLString feDlg__AVfeDlg_FormularTextElement_description_persValue;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_description_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_description_objId;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_pvalue_nodePtr;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_pvalue_persValue;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_pvalue_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_pvalue_objId;
ObservedTypePtr feDlg__AVfeDlg_FormularTextElement_required_nodePtr;
VLBoolean feDlg__AVfeDlg_FormularTextElement_required_persValue;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_required_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_required_objId;
AggregateRelationPtr feDlg__AVfeDlg_FormularTextElement_validator_nodePtr;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_validator_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_validator_objId;
AggregateRelationPtr feDlg__AVfeDlg_FormularTextElement_converter_nodePtr;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_converter_nodeId;
VLObjectPointer feDlg__AVfeDlg_FormularTextElement_converter_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleRangeValidator_var_min;
VLInt feDlg__AVfeDlg_DoubleRangeValidator_pers_min;
ObservedTypePtr feDlg__AVfeDlg_DoubleRangeValidator_var_max;
VLInt feDlg__AVfeDlg_DoubleRangeValidator_pers_max;
VLObjectPointer feDlg__AVfeDlg_DoubleRangeValidator_nodeId;
ObservedTypePtr feDlg__AVfeDlg_LongRangeValidator_var_min;
VLInt feDlg__AVfeDlg_LongRangeValidator_pers_min;
ObservedTypePtr feDlg__AVfeDlg_LongRangeValidator_var_max;
VLInt feDlg__AVfeDlg_LongRangeValidator_pers_max;
VLObjectPointer feDlg__AVfeDlg_LongRangeValidator_nodeId;
ObservedTypePtr feDlg__AVfeDlg_StringLengthValidator_var_min;
VLInt feDlg__AVfeDlg_StringLengthValidator_pers_min;
ObservedTypePtr feDlg__AVfeDlg_StringLengthValidator_var_max;
VLInt feDlg__AVfeDlg_StringLengthValidator_pers_max;
VLObjectPointer feDlg__AVfeDlg_StringLengthValidator_nodeId;
ObservedTypePtr feDlg__AVfeDlg_RegExprValidator_var_pattern;
VLString feDlg__AVfeDlg_RegExprValidator_pers_pattern;
VLObjectPointer feDlg__AVfeDlg_RegExprValidator_nodeId;
MECreditCardValidatorPtr feDlg__AVfeDlg_CreditCardValidator_objPtr;
VLObjectPointer feDlg__AVfeDlg_CreditCardValidator_nodeId;
MEEmailValidatorPtr feDlg__AVfeDlg_EmailValidator_objPtr;
VLObjectPointer feDlg__AVfeDlg_EmailValidator_nodeId;
ObservedTypePtr feDlg__AVfeDlg_PatternConverter_var_pattern;
VLString feDlg__AVfeDlg_PatternConverter_pers_pattern;
VLObjectPointer feDlg__AVfeDlg_PatternConverter_nodeId;
MEDateTimeConverterPtr feDlg__AVfeDlg_DateTimeConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_DateTimeConverter_nodeId;
MEBooleanConverterPtr feDlg__AVfeDlg_BooleanConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_BooleanConverter_nodeId;
MEDoubleConverterPtr feDlg__AVfeDlg_DoubleConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_DoubleConverter_nodeId;
MEFloatConverterPtr feDlg__AVfeDlg_FloatConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_FloatConverter_nodeId;
MEBigIntegerConverterPtr feDlg__AVfeDlg_BigIntegerConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_BigIntegerConverter_nodeId;
MELongConverterPtr feDlg__AVfeDlg_LongConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_LongConverter_nodeId;
MEIntegerConverterPtr feDlg__AVfeDlg_IntegerConverter_objPtr;
VLObjectPointer feDlg__AVfeDlg_IntegerConverter_nodeId;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_var_minIntegerDigits;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_pers_minIntegerDigits;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_var_maxIntegerDigits;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_pers_maxIntegerDigits;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_var_minFractionDigits;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_pers_minFractionDigits;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_var_maxFractionDigits;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_pers_maxFractionDigits;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_nodeId;
ObservedTypePtr feDlg__AVfeDlg_IntegerNumberConverter_var_minIntegerDigits;
VLInt feDlg__AVfeDlg_IntegerNumberConverter_pers_minIntegerDigits;
ObservedTypePtr feDlg__AVfeDlg_IntegerNumberConverter_var_maxIntegerDigits;
VLInt feDlg__AVfeDlg_IntegerNumberConverter_pers_maxIntegerDigits;
VLObjectPointer feDlg__AVfeDlg_IntegerNumberConverter_nodeId;
ObservedTypePtr feDlg__AVfeDlg_RegExprValidator_pattern_nodePtr;
VLString feDlg__AVfeDlg_RegExprValidator_pattern_persValue;
VLObjectPointer feDlg__AVfeDlg_RegExprValidator_pattern_nodeId;
VLObjectPointer feDlg__AVfeDlg_RegExprValidator_pattern_objId;
ObservedTypePtr feDlg__AVfeDlg_StringLengthValidator_min_nodePtr;
VLInt feDlg__AVfeDlg_StringLengthValidator_min_persValue;
VLObjectPointer feDlg__AVfeDlg_StringLengthValidator_min_nodeId;
VLObjectPointer feDlg__AVfeDlg_StringLengthValidator_min_objId;
ObservedTypePtr feDlg__AVfeDlg_StringLengthValidator_max_nodePtr;
VLInt feDlg__AVfeDlg_StringLengthValidator_max_persValue;
VLObjectPointer feDlg__AVfeDlg_StringLengthValidator_max_nodeId;
VLObjectPointer feDlg__AVfeDlg_StringLengthValidator_max_objId;
ObservedTypePtr feDlg__AVfeDlg_LongRangeValidator_min_nodePtr;
VLInt feDlg__AVfeDlg_LongRangeValidator_min_persValue;
VLObjectPointer feDlg__AVfeDlg_LongRangeValidator_min_nodeId;
VLObjectPointer feDlg__AVfeDlg_LongRangeValidator_min_objId;
ObservedTypePtr feDlg__AVfeDlg_LongRangeValidator_max_nodePtr;
VLInt feDlg__AVfeDlg_LongRangeValidator_max_persValue;
VLObjectPointer feDlg__AVfeDlg_LongRangeValidator_max_nodeId;
VLObjectPointer feDlg__AVfeDlg_LongRangeValidator_max_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleRangeValidator_min_nodePtr;
VLInt feDlg__AVfeDlg_DoubleRangeValidator_min_persValue;
VLObjectPointer feDlg__AVfeDlg_DoubleRangeValidator_min_nodeId;
VLObjectPointer feDlg__AVfeDlg_DoubleRangeValidator_min_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleRangeValidator_max_nodePtr;
VLInt feDlg__AVfeDlg_DoubleRangeValidator_max_persValue;
VLObjectPointer feDlg__AVfeDlg_DoubleRangeValidator_max_nodeId;
VLObjectPointer feDlg__AVfeDlg_DoubleRangeValidator_max_objId;
ObservedTypePtr feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_nodePtr;
VLInt feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_persValue;
VLObjectPointer feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_nodeId;
VLObjectPointer feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_objId;
ObservedTypePtr feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_nodePtr;
VLInt feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_persValue;
VLObjectPointer feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_nodeId;
VLObjectPointer feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_nodePtr;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_persValue;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_nodeId;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_nodePtr;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_persValue;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_nodeId;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_nodePtr;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_persValue;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_nodeId;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_objId;
ObservedTypePtr feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_nodePtr;
VLInt feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_persValue;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_nodeId;
VLObjectPointer feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_objId;
ObservedTypePtr feDlg__AVfeDlg_PatternConverter_pattern_nodePtr;
VLString feDlg__AVfeDlg_PatternConverter_pattern_persValue;
VLObjectPointer feDlg__AVfeDlg_PatternConverter_pattern_nodeId;
VLObjectPointer feDlg__AVfeDlg_PatternConverter_pattern_objId;

#if defined(__STDC__) || defined(__cplusplus)
void feDlg_LIGA_ATTREVAL (NODEPTR _currn)
#else
void feDlg_LIGA_ATTREVAL (_currn) NODEPTR _currn;
#endif

{(*(feDlg_VS1MAP[_currn->_prod])) ((NODEPTR)_currn);}
/*SPC(0)*/

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS0Empty(NODEPTR _currn)
#else
void feDlg__VS0Empty(_currn) NODEPTR _currn;
#endif
{ _VisitVarDecl()
_VisitEntry();

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pVIEWROOT_feDlg(feDlg__TPPpVIEWROOT_feDlg _currn)
#else
void feDlg__VS1pVIEWROOT_feDlg(_currn )
feDlg__TPPpVIEWROOT_feDlg _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement(feDlg__TPPpfeDlg_FormularTextElement _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement(_currn )
feDlg__TPPpfeDlg_FormularTextElement _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;
MEFormularTextElementPtr* feDlg__IL_incl1;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);
feDlg__IL_incl1=feDlg__IG_incl1;feDlg__IG_incl1= &(_currn->_ATobjPtr);

_currn->_ATobjPtr=MEFormularTextElementPtr(_currn->_ATTERM_1);
/*SPC(17)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc3->_prod])))((NODEPTR) _currn->_desc3);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc4->_prod])))((NODEPTR) _currn->_desc4);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc5->_prod])))((NODEPTR) _currn->_desc5);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc6->_prod])))((NODEPTR) _currn->_desc6);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc7->_prod])))((NODEPTR) _currn->_desc7);

feDlg__AVfeDlg_FormularTextElement_var_name=PTRSELECT(_currn->_ATobjPtr, getAttr_name());
/*SPC(21)*/

feDlg__AVfeDlg_FormularTextElement_pers_name=VLString(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_var_name, getValue()));
/*SPC(22)*/

feDlg__AVfeDlg_FormularTextElement_var_label=PTRSELECT(_currn->_ATobjPtr, getAttr_label());
/*SPC(23)*/

feDlg__AVfeDlg_FormularTextElement_pers_label=VLString(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_var_label, getValue()));
/*SPC(24)*/

feDlg__AVfeDlg_FormularTextElement_var_description=PTRSELECT(_currn->_ATobjPtr, getAttr_description());
/*SPC(25)*/

feDlg__AVfeDlg_FormularTextElement_pers_description=VLString(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_var_description, getValue()));
/*SPC(26)*/

feDlg__AVfeDlg_FormularTextElement_var_pvalue=PTRSELECT(_currn->_ATobjPtr, getAttr_pvalue());
/*SPC(27)*/

feDlg__AVfeDlg_FormularTextElement_pers_pvalue=VLObjectPointer(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_var_pvalue, getValue()));
/*SPC(28)*/

feDlg__AVfeDlg_FormularTextElement_var_required=PTRSELECT(_currn->_ATobjPtr, getAttr_required());
/*SPC(29)*/

feDlg__AVfeDlg_FormularTextElement_pers_required=VLBoolean(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_var_required, getValue()));
/*SPC(30)*/

feDlg__AVfeDlg_FormularTextElement_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;
feDlg__IG_incl1=feDlg__IL_incl1;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_name(feDlg__TPPpfeDlg_FormularTextElement_name _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_name(_currn )
feDlg__TPPpfeDlg_FormularTextElement_name _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_FormularTextElement_name_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_name());
/*SPC(46)*/

feDlg__AVfeDlg_FormularTextElement_name_persValue=VLString(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_name_nodePtr, getValue()));
/*SPC(47)*/

feDlg__AVfeDlg_FormularTextElement_name_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_name_nodePtr);
/*SPC(48)*/

feDlg__AVfeDlg_FormularTextElement_name_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_label(feDlg__TPPpfeDlg_FormularTextElement_label _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_label(_currn )
feDlg__TPPpfeDlg_FormularTextElement_label _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_FormularTextElement_label_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_label());
/*SPC(53)*/

feDlg__AVfeDlg_FormularTextElement_label_persValue=VLString(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_label_nodePtr, getValue()));
/*SPC(54)*/

feDlg__AVfeDlg_FormularTextElement_label_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_label_nodePtr);
/*SPC(55)*/

feDlg__AVfeDlg_FormularTextElement_label_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_description(feDlg__TPPpfeDlg_FormularTextElement_description _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_description(_currn )
feDlg__TPPpfeDlg_FormularTextElement_description _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_FormularTextElement_description_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_description());
/*SPC(60)*/

feDlg__AVfeDlg_FormularTextElement_description_persValue=VLString(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_description_nodePtr, getValue()));
/*SPC(61)*/

feDlg__AVfeDlg_FormularTextElement_description_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_description_nodePtr);
/*SPC(62)*/

feDlg__AVfeDlg_FormularTextElement_description_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_pvalue(feDlg__TPPpfeDlg_FormularTextElement_pvalue _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_pvalue(_currn )
feDlg__TPPpfeDlg_FormularTextElement_pvalue _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_FormularTextElement_pvalue_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_pvalue());
/*SPC(67)*/

feDlg__AVfeDlg_FormularTextElement_pvalue_persValue=VLObjectPointer(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_pvalue_nodePtr, getValue()));
/*SPC(68)*/

feDlg__AVfeDlg_FormularTextElement_pvalue_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_pvalue_nodePtr);
/*SPC(69)*/

feDlg__AVfeDlg_FormularTextElement_pvalue_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_required(feDlg__TPPpfeDlg_FormularTextElement_required _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_required(_currn )
feDlg__TPPpfeDlg_FormularTextElement_required _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_FormularTextElement_required_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_required());
/*SPC(74)*/

feDlg__AVfeDlg_FormularTextElement_required_persValue=VLBoolean(PTRSELECT(feDlg__AVfeDlg_FormularTextElement_required_nodePtr, getValue()));
/*SPC(75)*/

feDlg__AVfeDlg_FormularTextElement_required_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_required_nodePtr);
/*SPC(76)*/

feDlg__AVfeDlg_FormularTextElement_required_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_validator(feDlg__TPPpfeDlg_FormularTextElement_validator _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_validator(_currn )
feDlg__TPPpfeDlg_FormularTextElement_validator _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);

feDlg__AVfeDlg_FormularTextElement_validator_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_validator());
/*SPC(81)*/

feDlg__AVfeDlg_FormularTextElement_validator_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_validator_nodePtr);
/*SPC(82)*/

feDlg__AVfeDlg_FormularTextElement_validator_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FormularTextElement_converter(feDlg__TPPpfeDlg_FormularTextElement_converter _currn)
#else
void feDlg__VS1pfeDlg_FormularTextElement_converter(_currn )
feDlg__TPPpfeDlg_FormularTextElement_converter _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);

feDlg__AVfeDlg_FormularTextElement_converter_nodePtr=PTRSELECT((* feDlg__IG_incl1), getAttr_converter());
/*SPC(87)*/

feDlg__AVfeDlg_FormularTextElement_converter_nodeId=VLObjectPointer(feDlg__AVfeDlg_FormularTextElement_converter_nodePtr);
/*SPC(88)*/

feDlg__AVfeDlg_FormularTextElement_converter_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_EmailValidator(feDlg__TPPpfeDlg_EmailValidator _currn)
#else
void feDlg__VS1pfeDlg_EmailValidator(_currn )
feDlg__TPPpfeDlg_EmailValidator _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_EmailValidator_objPtr=MEEmailValidatorPtr(_currn->_ATTERM_1);
/*SPC(94)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_EmailValidator_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_EmailValidator_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_CreditCardValidator(feDlg__TPPpfeDlg_CreditCardValidator _currn)
#else
void feDlg__VS1pfeDlg_CreditCardValidator(_currn )
feDlg__TPPpfeDlg_CreditCardValidator _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_CreditCardValidator_objPtr=MECreditCardValidatorPtr(_currn->_ATTERM_1);
/*SPC(105)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_CreditCardValidator_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_CreditCardValidator_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_RegExprValidator(feDlg__TPPpfeDlg_RegExprValidator _currn)
#else
void feDlg__VS1pfeDlg_RegExprValidator(_currn )
feDlg__TPPpfeDlg_RegExprValidator _currn;

#endif
{
MERegExprValidatorPtr* feDlg__IL_incl2;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl2=feDlg__IG_incl2;feDlg__IG_incl2= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MERegExprValidatorPtr(_currn->_ATTERM_1);
/*SPC(116)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);

feDlg__AVfeDlg_RegExprValidator_var_pattern=PTRSELECT(_currn->_ATobjPtr, getAttr_pattern());
/*SPC(120)*/

feDlg__AVfeDlg_RegExprValidator_pers_pattern=VLString(PTRSELECT(feDlg__AVfeDlg_RegExprValidator_var_pattern, getValue()));
/*SPC(121)*/

feDlg__AVfeDlg_RegExprValidator_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl2=feDlg__IL_incl2;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_RegExprValidator_pattern(feDlg__TPPpfeDlg_RegExprValidator_pattern _currn)
#else
void feDlg__VS1pfeDlg_RegExprValidator_pattern(_currn )
feDlg__TPPpfeDlg_RegExprValidator_pattern _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_RegExprValidator_pattern_nodePtr=PTRSELECT((* feDlg__IG_incl2), getAttr_pattern());
/*SPC(129)*/

feDlg__AVfeDlg_RegExprValidator_pattern_persValue=VLString(PTRSELECT(feDlg__AVfeDlg_RegExprValidator_pattern_nodePtr, getValue()));
/*SPC(130)*/

feDlg__AVfeDlg_RegExprValidator_pattern_nodeId=VLObjectPointer(feDlg__AVfeDlg_RegExprValidator_pattern_nodePtr);
/*SPC(131)*/

feDlg__AVfeDlg_RegExprValidator_pattern_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_StringLengthValidator(feDlg__TPPpfeDlg_StringLengthValidator _currn)
#else
void feDlg__VS1pfeDlg_StringLengthValidator(_currn )
feDlg__TPPpfeDlg_StringLengthValidator _currn;

#endif
{
MEStringLengthValidatorPtr* feDlg__IL_incl3;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl3=feDlg__IG_incl3;feDlg__IG_incl3= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MEStringLengthValidatorPtr(_currn->_ATTERM_1);
/*SPC(137)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);

feDlg__AVfeDlg_StringLengthValidator_var_min=PTRSELECT(_currn->_ATobjPtr, getAttr_min());
/*SPC(141)*/

feDlg__AVfeDlg_StringLengthValidator_pers_min=VLInt(PTRSELECT(feDlg__AVfeDlg_StringLengthValidator_var_min, getValue()));
/*SPC(142)*/

feDlg__AVfeDlg_StringLengthValidator_var_max=PTRSELECT(_currn->_ATobjPtr, getAttr_max());
/*SPC(143)*/

feDlg__AVfeDlg_StringLengthValidator_pers_max=VLInt(PTRSELECT(feDlg__AVfeDlg_StringLengthValidator_var_max, getValue()));
/*SPC(144)*/

feDlg__AVfeDlg_StringLengthValidator_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl3=feDlg__IL_incl3;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_StringLengthValidator_min(feDlg__TPPpfeDlg_StringLengthValidator_min _currn)
#else
void feDlg__VS1pfeDlg_StringLengthValidator_min(_currn )
feDlg__TPPpfeDlg_StringLengthValidator_min _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_StringLengthValidator_min_nodePtr=PTRSELECT((* feDlg__IG_incl3), getAttr_min());
/*SPC(155)*/

feDlg__AVfeDlg_StringLengthValidator_min_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_StringLengthValidator_min_nodePtr, getValue()));
/*SPC(156)*/

feDlg__AVfeDlg_StringLengthValidator_min_nodeId=VLObjectPointer(feDlg__AVfeDlg_StringLengthValidator_min_nodePtr);
/*SPC(157)*/

feDlg__AVfeDlg_StringLengthValidator_min_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_StringLengthValidator_max(feDlg__TPPpfeDlg_StringLengthValidator_max _currn)
#else
void feDlg__VS1pfeDlg_StringLengthValidator_max(_currn )
feDlg__TPPpfeDlg_StringLengthValidator_max _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_StringLengthValidator_max_nodePtr=PTRSELECT((* feDlg__IG_incl3), getAttr_max());
/*SPC(162)*/

feDlg__AVfeDlg_StringLengthValidator_max_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_StringLengthValidator_max_nodePtr, getValue()));
/*SPC(163)*/

feDlg__AVfeDlg_StringLengthValidator_max_nodeId=VLObjectPointer(feDlg__AVfeDlg_StringLengthValidator_max_nodePtr);
/*SPC(164)*/

feDlg__AVfeDlg_StringLengthValidator_max_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_LongRangeValidator(feDlg__TPPpfeDlg_LongRangeValidator _currn)
#else
void feDlg__VS1pfeDlg_LongRangeValidator(_currn )
feDlg__TPPpfeDlg_LongRangeValidator _currn;

#endif
{
MELongRangeValidatorPtr* feDlg__IL_incl4;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl4=feDlg__IG_incl4;feDlg__IG_incl4= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MELongRangeValidatorPtr(_currn->_ATTERM_1);
/*SPC(170)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);

feDlg__AVfeDlg_LongRangeValidator_var_min=PTRSELECT(_currn->_ATobjPtr, getAttr_min());
/*SPC(174)*/

feDlg__AVfeDlg_LongRangeValidator_pers_min=VLInt(PTRSELECT(feDlg__AVfeDlg_LongRangeValidator_var_min, getValue()));
/*SPC(175)*/

feDlg__AVfeDlg_LongRangeValidator_var_max=PTRSELECT(_currn->_ATobjPtr, getAttr_max());
/*SPC(176)*/

feDlg__AVfeDlg_LongRangeValidator_pers_max=VLInt(PTRSELECT(feDlg__AVfeDlg_LongRangeValidator_var_max, getValue()));
/*SPC(177)*/

feDlg__AVfeDlg_LongRangeValidator_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl4=feDlg__IL_incl4;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_LongRangeValidator_min(feDlg__TPPpfeDlg_LongRangeValidator_min _currn)
#else
void feDlg__VS1pfeDlg_LongRangeValidator_min(_currn )
feDlg__TPPpfeDlg_LongRangeValidator_min _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_LongRangeValidator_min_nodePtr=PTRSELECT((* feDlg__IG_incl4), getAttr_min());
/*SPC(188)*/

feDlg__AVfeDlg_LongRangeValidator_min_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_LongRangeValidator_min_nodePtr, getValue()));
/*SPC(189)*/

feDlg__AVfeDlg_LongRangeValidator_min_nodeId=VLObjectPointer(feDlg__AVfeDlg_LongRangeValidator_min_nodePtr);
/*SPC(190)*/

feDlg__AVfeDlg_LongRangeValidator_min_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_LongRangeValidator_max(feDlg__TPPpfeDlg_LongRangeValidator_max _currn)
#else
void feDlg__VS1pfeDlg_LongRangeValidator_max(_currn )
feDlg__TPPpfeDlg_LongRangeValidator_max _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_LongRangeValidator_max_nodePtr=PTRSELECT((* feDlg__IG_incl4), getAttr_max());
/*SPC(195)*/

feDlg__AVfeDlg_LongRangeValidator_max_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_LongRangeValidator_max_nodePtr, getValue()));
/*SPC(196)*/

feDlg__AVfeDlg_LongRangeValidator_max_nodeId=VLObjectPointer(feDlg__AVfeDlg_LongRangeValidator_max_nodePtr);
/*SPC(197)*/

feDlg__AVfeDlg_LongRangeValidator_max_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleRangeValidator(feDlg__TPPpfeDlg_DoubleRangeValidator _currn)
#else
void feDlg__VS1pfeDlg_DoubleRangeValidator(_currn )
feDlg__TPPpfeDlg_DoubleRangeValidator _currn;

#endif
{
MEDoubleRangeValidatorPtr* feDlg__IL_incl5;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl5=feDlg__IG_incl5;feDlg__IG_incl5= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MEDoubleRangeValidatorPtr(_currn->_ATTERM_1);
/*SPC(203)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);

feDlg__AVfeDlg_DoubleRangeValidator_var_min=PTRSELECT(_currn->_ATobjPtr, getAttr_min());
/*SPC(207)*/

feDlg__AVfeDlg_DoubleRangeValidator_pers_min=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleRangeValidator_var_min, getValue()));
/*SPC(208)*/

feDlg__AVfeDlg_DoubleRangeValidator_var_max=PTRSELECT(_currn->_ATobjPtr, getAttr_max());
/*SPC(209)*/

feDlg__AVfeDlg_DoubleRangeValidator_pers_max=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleRangeValidator_var_max, getValue()));
/*SPC(210)*/

feDlg__AVfeDlg_DoubleRangeValidator_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl5=feDlg__IL_incl5;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleRangeValidator_min(feDlg__TPPpfeDlg_DoubleRangeValidator_min _currn)
#else
void feDlg__VS1pfeDlg_DoubleRangeValidator_min(_currn )
feDlg__TPPpfeDlg_DoubleRangeValidator_min _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_DoubleRangeValidator_min_nodePtr=PTRSELECT((* feDlg__IG_incl5), getAttr_min());
/*SPC(221)*/

feDlg__AVfeDlg_DoubleRangeValidator_min_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleRangeValidator_min_nodePtr, getValue()));
/*SPC(222)*/

feDlg__AVfeDlg_DoubleRangeValidator_min_nodeId=VLObjectPointer(feDlg__AVfeDlg_DoubleRangeValidator_min_nodePtr);
/*SPC(223)*/

feDlg__AVfeDlg_DoubleRangeValidator_min_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleRangeValidator_max(feDlg__TPPpfeDlg_DoubleRangeValidator_max _currn)
#else
void feDlg__VS1pfeDlg_DoubleRangeValidator_max(_currn )
feDlg__TPPpfeDlg_DoubleRangeValidator_max _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_DoubleRangeValidator_max_nodePtr=PTRSELECT((* feDlg__IG_incl5), getAttr_max());
/*SPC(228)*/

feDlg__AVfeDlg_DoubleRangeValidator_max_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleRangeValidator_max_nodePtr, getValue()));
/*SPC(229)*/

feDlg__AVfeDlg_DoubleRangeValidator_max_nodeId=VLObjectPointer(feDlg__AVfeDlg_DoubleRangeValidator_max_nodePtr);
/*SPC(230)*/

feDlg__AVfeDlg_DoubleRangeValidator_max_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_IntegerNumberConverter(feDlg__TPPpfeDlg_IntegerNumberConverter _currn)
#else
void feDlg__VS1pfeDlg_IntegerNumberConverter(_currn )
feDlg__TPPpfeDlg_IntegerNumberConverter _currn;

#endif
{
MEIntegerNumberConverterPtr* feDlg__IL_incl6;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl6=feDlg__IG_incl6;feDlg__IG_incl6= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MEIntegerNumberConverterPtr(_currn->_ATTERM_1);
/*SPC(236)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);

feDlg__AVfeDlg_IntegerNumberConverter_var_minIntegerDigits=PTRSELECT(_currn->_ATobjPtr, getAttr_minIntegerDigits());
/*SPC(240)*/

feDlg__AVfeDlg_IntegerNumberConverter_pers_minIntegerDigits=VLInt(PTRSELECT(feDlg__AVfeDlg_IntegerNumberConverter_var_minIntegerDigits, getValue()));
/*SPC(241)*/

feDlg__AVfeDlg_IntegerNumberConverter_var_maxIntegerDigits=PTRSELECT(_currn->_ATobjPtr, getAttr_maxIntegerDigits());
/*SPC(242)*/

feDlg__AVfeDlg_IntegerNumberConverter_pers_maxIntegerDigits=VLInt(PTRSELECT(feDlg__AVfeDlg_IntegerNumberConverter_var_maxIntegerDigits, getValue()));
/*SPC(243)*/

feDlg__AVfeDlg_IntegerNumberConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl6=feDlg__IL_incl6;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_IntegerNumberConverter_minIntegerDigits(feDlg__TPPpfeDlg_IntegerNumberConverter_minIntegerDigits _currn)
#else
void feDlg__VS1pfeDlg_IntegerNumberConverter_minIntegerDigits(_currn )
feDlg__TPPpfeDlg_IntegerNumberConverter_minIntegerDigits _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_nodePtr=PTRSELECT((* feDlg__IG_incl6), getAttr_minIntegerDigits());
/*SPC(254)*/

feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_nodePtr, getValue()));
/*SPC(255)*/

feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_nodeId=VLObjectPointer(feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_nodePtr);
/*SPC(256)*/

feDlg__AVfeDlg_IntegerNumberConverter_minIntegerDigits_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_IntegerNumberConverter_maxIntegerDigits(feDlg__TPPpfeDlg_IntegerNumberConverter_maxIntegerDigits _currn)
#else
void feDlg__VS1pfeDlg_IntegerNumberConverter_maxIntegerDigits(_currn )
feDlg__TPPpfeDlg_IntegerNumberConverter_maxIntegerDigits _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_nodePtr=PTRSELECT((* feDlg__IG_incl6), getAttr_maxIntegerDigits());
/*SPC(261)*/

feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_nodePtr, getValue()));
/*SPC(262)*/

feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_nodeId=VLObjectPointer(feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_nodePtr);
/*SPC(263)*/

feDlg__AVfeDlg_IntegerNumberConverter_maxIntegerDigits_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleNumberConverter(feDlg__TPPpfeDlg_DoubleNumberConverter _currn)
#else
void feDlg__VS1pfeDlg_DoubleNumberConverter(_currn )
feDlg__TPPpfeDlg_DoubleNumberConverter _currn;

#endif
{
MEDoubleNumberConverterPtr* feDlg__IL_incl7;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl7=feDlg__IG_incl7;feDlg__IG_incl7= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MEDoubleNumberConverterPtr(_currn->_ATTERM_1);
/*SPC(269)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc3->_prod])))((NODEPTR) _currn->_desc3);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc4->_prod])))((NODEPTR) _currn->_desc4);

feDlg__AVfeDlg_DoubleNumberConverter_var_minIntegerDigits=PTRSELECT(_currn->_ATobjPtr, getAttr_minIntegerDigits());
/*SPC(273)*/

feDlg__AVfeDlg_DoubleNumberConverter_pers_minIntegerDigits=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_var_minIntegerDigits, getValue()));
/*SPC(274)*/

feDlg__AVfeDlg_DoubleNumberConverter_var_maxIntegerDigits=PTRSELECT(_currn->_ATobjPtr, getAttr_maxIntegerDigits());
/*SPC(275)*/

feDlg__AVfeDlg_DoubleNumberConverter_pers_maxIntegerDigits=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_var_maxIntegerDigits, getValue()));
/*SPC(276)*/

feDlg__AVfeDlg_DoubleNumberConverter_var_minFractionDigits=PTRSELECT(_currn->_ATobjPtr, getAttr_minFractionDigits());
/*SPC(277)*/

feDlg__AVfeDlg_DoubleNumberConverter_pers_minFractionDigits=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_var_minFractionDigits, getValue()));
/*SPC(278)*/

feDlg__AVfeDlg_DoubleNumberConverter_var_maxFractionDigits=PTRSELECT(_currn->_ATobjPtr, getAttr_maxFractionDigits());
/*SPC(279)*/

feDlg__AVfeDlg_DoubleNumberConverter_pers_maxFractionDigits=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_var_maxFractionDigits, getValue()));
/*SPC(280)*/

feDlg__AVfeDlg_DoubleNumberConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl7=feDlg__IL_incl7;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleNumberConverter_minIntegerDigits(feDlg__TPPpfeDlg_DoubleNumberConverter_minIntegerDigits _currn)
#else
void feDlg__VS1pfeDlg_DoubleNumberConverter_minIntegerDigits(_currn )
feDlg__TPPpfeDlg_DoubleNumberConverter_minIntegerDigits _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_nodePtr=PTRSELECT((* feDlg__IG_incl7), getAttr_minIntegerDigits());
/*SPC(291)*/

feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_nodePtr, getValue()));
/*SPC(292)*/

feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_nodeId=VLObjectPointer(feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_nodePtr);
/*SPC(293)*/

feDlg__AVfeDlg_DoubleNumberConverter_minIntegerDigits_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleNumberConverter_maxIntegerDigits(feDlg__TPPpfeDlg_DoubleNumberConverter_maxIntegerDigits _currn)
#else
void feDlg__VS1pfeDlg_DoubleNumberConverter_maxIntegerDigits(_currn )
feDlg__TPPpfeDlg_DoubleNumberConverter_maxIntegerDigits _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_nodePtr=PTRSELECT((* feDlg__IG_incl7), getAttr_maxIntegerDigits());
/*SPC(298)*/

feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_nodePtr, getValue()));
/*SPC(299)*/

feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_nodeId=VLObjectPointer(feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_nodePtr);
/*SPC(300)*/

feDlg__AVfeDlg_DoubleNumberConverter_maxIntegerDigits_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleNumberConverter_minFractionDigits(feDlg__TPPpfeDlg_DoubleNumberConverter_minFractionDigits _currn)
#else
void feDlg__VS1pfeDlg_DoubleNumberConverter_minFractionDigits(_currn )
feDlg__TPPpfeDlg_DoubleNumberConverter_minFractionDigits _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_nodePtr=PTRSELECT((* feDlg__IG_incl7), getAttr_minFractionDigits());
/*SPC(305)*/

feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_nodePtr, getValue()));
/*SPC(306)*/

feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_nodeId=VLObjectPointer(feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_nodePtr);
/*SPC(307)*/

feDlg__AVfeDlg_DoubleNumberConverter_minFractionDigits_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleNumberConverter_maxFractionDigits(feDlg__TPPpfeDlg_DoubleNumberConverter_maxFractionDigits _currn)
#else
void feDlg__VS1pfeDlg_DoubleNumberConverter_maxFractionDigits(_currn )
feDlg__TPPpfeDlg_DoubleNumberConverter_maxFractionDigits _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_nodePtr=PTRSELECT((* feDlg__IG_incl7), getAttr_maxFractionDigits());
/*SPC(312)*/

feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_persValue=VLInt(PTRSELECT(feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_nodePtr, getValue()));
/*SPC(313)*/

feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_nodeId=VLObjectPointer(feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_nodePtr);
/*SPC(314)*/

feDlg__AVfeDlg_DoubleNumberConverter_maxFractionDigits_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_IntegerConverter(feDlg__TPPpfeDlg_IntegerConverter _currn)
#else
void feDlg__VS1pfeDlg_IntegerConverter(_currn )
feDlg__TPPpfeDlg_IntegerConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_IntegerConverter_objPtr=MEIntegerConverterPtr(_currn->_ATTERM_1);
/*SPC(320)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_IntegerConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_IntegerConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_LongConverter(feDlg__TPPpfeDlg_LongConverter _currn)
#else
void feDlg__VS1pfeDlg_LongConverter(_currn )
feDlg__TPPpfeDlg_LongConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_LongConverter_objPtr=MELongConverterPtr(_currn->_ATTERM_1);
/*SPC(331)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_LongConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_LongConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_BigIntegerConverter(feDlg__TPPpfeDlg_BigIntegerConverter _currn)
#else
void feDlg__VS1pfeDlg_BigIntegerConverter(_currn )
feDlg__TPPpfeDlg_BigIntegerConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_BigIntegerConverter_objPtr=MEBigIntegerConverterPtr(_currn->_ATTERM_1);
/*SPC(342)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_BigIntegerConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_BigIntegerConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_FloatConverter(feDlg__TPPpfeDlg_FloatConverter _currn)
#else
void feDlg__VS1pfeDlg_FloatConverter(_currn )
feDlg__TPPpfeDlg_FloatConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_FloatConverter_objPtr=MEFloatConverterPtr(_currn->_ATTERM_1);
/*SPC(353)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_FloatConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_FloatConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DoubleConverter(feDlg__TPPpfeDlg_DoubleConverter _currn)
#else
void feDlg__VS1pfeDlg_DoubleConverter(_currn )
feDlg__TPPpfeDlg_DoubleConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_DoubleConverter_objPtr=MEDoubleConverterPtr(_currn->_ATTERM_1);
/*SPC(364)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_DoubleConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_DoubleConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_BooleanConverter(feDlg__TPPpfeDlg_BooleanConverter _currn)
#else
void feDlg__VS1pfeDlg_BooleanConverter(_currn )
feDlg__TPPpfeDlg_BooleanConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_BooleanConverter_objPtr=MEBooleanConverterPtr(_currn->_ATTERM_1);
/*SPC(375)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_BooleanConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_BooleanConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_DateTimeConverter(feDlg__TPPpfeDlg_DateTimeConverter _currn)
#else
void feDlg__VS1pfeDlg_DateTimeConverter(_currn )
feDlg__TPPpfeDlg_DateTimeConverter _currn;

#endif
{
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

feDlg__AVfeDlg_DateTimeConverter_objPtr=MEDateTimeConverterPtr(_currn->_ATTERM_1);
/*SPC(386)*/

_currn->_ATobjId=VLObjectPointer(feDlg__AVfeDlg_DateTimeConverter_objPtr);
/*SPC(441)*/

feDlg__AVfeDlg_DateTimeConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_PatternConverter(feDlg__TPPpfeDlg_PatternConverter _currn)
#else
void feDlg__VS1pfeDlg_PatternConverter(_currn )
feDlg__TPPpfeDlg_PatternConverter _currn;

#endif
{
MEPatternConverterPtr* feDlg__IL_incl8;
VLObjectPointer* feDlg__IL_incl0;

_VisitVarDecl()
_VisitEntry();
feDlg__IL_incl8=feDlg__IG_incl8;feDlg__IG_incl8= &(_currn->_ATobjPtr);
feDlg__IL_incl0=feDlg__IG_incl0;feDlg__IG_incl0= &(_currn->_ATobjId);

_currn->_ATobjPtr=MEPatternConverterPtr(_currn->_ATTERM_1);
/*SPC(397)*/

_currn->_ATobjId=VLObjectPointer(_currn->_ATobjPtr);
/*SPC(441)*/
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);

feDlg__AVfeDlg_PatternConverter_var_pattern=PTRSELECT(_currn->_ATobjPtr, getAttr_pattern());
/*SPC(401)*/

feDlg__AVfeDlg_PatternConverter_pers_pattern=VLString(PTRSELECT(feDlg__AVfeDlg_PatternConverter_var_pattern, getValue()));
/*SPC(402)*/

feDlg__AVfeDlg_PatternConverter_nodeId=_currn->_ATobjId;
/*SPC(442)*/
feDlg__IG_incl8=feDlg__IL_incl8;
feDlg__IG_incl0=feDlg__IL_incl0;

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1pfeDlg_PatternConverter_pattern(feDlg__TPPpfeDlg_PatternConverter_pattern _currn)
#else
void feDlg__VS1pfeDlg_PatternConverter_pattern(_currn )
feDlg__TPPpfeDlg_PatternConverter_pattern _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();

feDlg__AVfeDlg_PatternConverter_pattern_nodePtr=PTRSELECT((* feDlg__IG_incl8), getAttr_pattern());
/*SPC(410)*/

feDlg__AVfeDlg_PatternConverter_pattern_persValue=VLString(PTRSELECT(feDlg__AVfeDlg_PatternConverter_pattern_nodePtr, getValue()));
/*SPC(411)*/

feDlg__AVfeDlg_PatternConverter_pattern_nodeId=VLObjectPointer(feDlg__AVfeDlg_PatternConverter_pattern_nodePtr);
/*SPC(412)*/

feDlg__AVfeDlg_PatternConverter_pattern_objId=(* feDlg__IG_incl0);
/*SPC(455)*/

_VisitExit();
}

#if defined(__STDC__) || defined(__cplusplus)
void feDlg__VS1LST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator(feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator _currn)
#else
void feDlg__VS1LST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator(_currn )
feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator _currn;

#endif
{

_VisitVarDecl()
_VisitEntry();
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc1->_prod])))((NODEPTR) _currn->_desc1);
(*(_CALL_VS_((NODEPTR )) (feDlg_VS1MAP[_currn->_desc2->_prod])))((NODEPTR) _currn->_desc2);

_VisitExit();
}



