/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *fepDlg_abs_prods[] = {
  "{LST_0pfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list]\"",
  "{LST_0pfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list]\"",
  "{LST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_IntegerNumberConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_DoubleNumberConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_IntegerConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_LongConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_BigIntegerConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_FloatConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_DoubleConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_BooleanConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_DateTimeConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter} {LST_fepDlg_FormularPasswordElement_converter} \"[list fepDlg_PatternConverter LST_fepDlg_FormularPasswordElement_converter]\"",
  "{LST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list fepDlg_EmailValidator LST_fepDlg_FormularPasswordElement_validator]\"",
  "{LST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list fepDlg_CreditCardValidator LST_fepDlg_FormularPasswordElement_validator]\"",
  "{LST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list fepDlg_RegExprValidator LST_fepDlg_FormularPasswordElement_validator]\"",
  "{LST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list fepDlg_StringLengthValidator LST_fepDlg_FormularPasswordElement_validator]\"",
  "{LST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list fepDlg_LongRangeValidator LST_fepDlg_FormularPasswordElement_validator]\"",
  "{LST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator} {LST_fepDlg_FormularPasswordElement_validator} \"[list fepDlg_DoubleRangeValidator LST_fepDlg_FormularPasswordElement_validator]\"",
  "{pfepDlg_PatternConverter_pattern} {fepDlg_PatternConverter_pattern} \"[list]\"",
  "{pfepDlg_PatternConverter} {fepDlg_PatternConverter} \"[list ID fepDlg_PatternConverter_pattern]\"",
  "{pfepDlg_DateTimeConverter} {fepDlg_DateTimeConverter} \"[list ID]\"",
  "{pfepDlg_BooleanConverter} {fepDlg_BooleanConverter} \"[list ID]\"",
  "{pfepDlg_DoubleConverter} {fepDlg_DoubleConverter} \"[list ID]\"",
  "{pfepDlg_FloatConverter} {fepDlg_FloatConverter} \"[list ID]\"",
  "{pfepDlg_BigIntegerConverter} {fepDlg_BigIntegerConverter} \"[list ID]\"",
  "{pfepDlg_LongConverter} {fepDlg_LongConverter} \"[list ID]\"",
  "{pfepDlg_IntegerConverter} {fepDlg_IntegerConverter} \"[list ID]\"",
  "{pfepDlg_DoubleNumberConverter_maxFractionDigits} {fepDlg_DoubleNumberConverter_maxFractionDigits} \"[list]\"",
  "{pfepDlg_DoubleNumberConverter_minFractionDigits} {fepDlg_DoubleNumberConverter_minFractionDigits} \"[list]\"",
  "{pfepDlg_DoubleNumberConverter_maxIntegerDigits} {fepDlg_DoubleNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfepDlg_DoubleNumberConverter_minIntegerDigits} {fepDlg_DoubleNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfepDlg_DoubleNumberConverter} {fepDlg_DoubleNumberConverter} \"[list ID fepDlg_DoubleNumberConverter_minIntegerDigits fepDlg_DoubleNumberConverter_maxIntegerDigits fepDlg_DoubleNumberConverter_minFractionDigits fepDlg_DoubleNumberConverter_maxFractionDigits]\"",
  "{pfepDlg_IntegerNumberConverter_maxIntegerDigits} {fepDlg_IntegerNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfepDlg_IntegerNumberConverter_minIntegerDigits} {fepDlg_IntegerNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfepDlg_IntegerNumberConverter} {fepDlg_IntegerNumberConverter} \"[list ID fepDlg_IntegerNumberConverter_minIntegerDigits fepDlg_IntegerNumberConverter_maxIntegerDigits]\"",
  "{pfepDlg_DoubleRangeValidator_max} {fepDlg_DoubleRangeValidator_max} \"[list]\"",
  "{pfepDlg_DoubleRangeValidator_min} {fepDlg_DoubleRangeValidator_min} \"[list]\"",
  "{pfepDlg_DoubleRangeValidator} {fepDlg_DoubleRangeValidator} \"[list ID fepDlg_DoubleRangeValidator_min fepDlg_DoubleRangeValidator_max]\"",
  "{pfepDlg_LongRangeValidator_max} {fepDlg_LongRangeValidator_max} \"[list]\"",
  "{pfepDlg_LongRangeValidator_min} {fepDlg_LongRangeValidator_min} \"[list]\"",
  "{pfepDlg_LongRangeValidator} {fepDlg_LongRangeValidator} \"[list ID fepDlg_LongRangeValidator_min fepDlg_LongRangeValidator_max]\"",
  "{pfepDlg_StringLengthValidator_max} {fepDlg_StringLengthValidator_max} \"[list]\"",
  "{pfepDlg_StringLengthValidator_min} {fepDlg_StringLengthValidator_min} \"[list]\"",
  "{pfepDlg_StringLengthValidator} {fepDlg_StringLengthValidator} \"[list ID fepDlg_StringLengthValidator_min fepDlg_StringLengthValidator_max]\"",
  "{pfepDlg_RegExprValidator_pattern} {fepDlg_RegExprValidator_pattern} \"[list]\"",
  "{pfepDlg_RegExprValidator} {fepDlg_RegExprValidator} \"[list ID fepDlg_RegExprValidator_pattern]\"",
  "{pfepDlg_CreditCardValidator} {fepDlg_CreditCardValidator} \"[list ID]\"",
  "{pfepDlg_EmailValidator} {fepDlg_EmailValidator} \"[list ID]\"",
  "{pfepDlg_FormularPasswordElement_converter} {fepDlg_FormularPasswordElement_converter} \"[list LST_fepDlg_FormularPasswordElement_converter]\"",
  "{pfepDlg_FormularPasswordElement_validator} {fepDlg_FormularPasswordElement_validator} \"[list LST_fepDlg_FormularPasswordElement_validator]\"",
  "{pfepDlg_FormularPasswordElement_required} {fepDlg_FormularPasswordElement_required} \"[list]\"",
  "{pfepDlg_FormularPasswordElement_pvalue} {fepDlg_FormularPasswordElement_pvalue} \"[list]\"",
  "{pfepDlg_FormularPasswordElement_redisplay} {fepDlg_FormularPasswordElement_redisplay} \"[list]\"",
  "{pfepDlg_FormularPasswordElement_description} {fepDlg_FormularPasswordElement_description} \"[list]\"",
  "{pfepDlg_FormularPasswordElement_label} {fepDlg_FormularPasswordElement_label} \"[list]\"",
  "{pfepDlg_FormularPasswordElement_name} {fepDlg_FormularPasswordElement_name} \"[list]\"",
  "{pfepDlg_FormularPasswordElement} {fepDlg_FormularPasswordElement} \"[list ID fepDlg_FormularPasswordElement_name fepDlg_FormularPasswordElement_label fepDlg_FormularPasswordElement_description fepDlg_FormularPasswordElement_redisplay fepDlg_FormularPasswordElement_pvalue fepDlg_FormularPasswordElement_required fepDlg_FormularPasswordElement_validator fepDlg_FormularPasswordElement_converter]\"",
  "{pVIEWROOT_fepDlg} {VIEWROOT} \"[list fepDlg_FormularPasswordElement]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int fepDlg_abs_nchild[] = {
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  1,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  8,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_abs_child (NODEPTR n, int c)
#else
NODEPTR fepDlg_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case fepDlg_RULELST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULELST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_PatternConverter: {
      fepDlg__TPPpfepDlg_PatternConverter m = (fepDlg__TPPpfepDlg_PatternConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_DoubleNumberConverter: {
      fepDlg__TPPpfepDlg_DoubleNumberConverter m = (fepDlg__TPPpfepDlg_DoubleNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_IntegerNumberConverter: {
      fepDlg__TPPpfepDlg_IntegerNumberConverter m = (fepDlg__TPPpfepDlg_IntegerNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_DoubleRangeValidator: {
      fepDlg__TPPpfepDlg_DoubleRangeValidator m = (fepDlg__TPPpfepDlg_DoubleRangeValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_LongRangeValidator: {
      fepDlg__TPPpfepDlg_LongRangeValidator m = (fepDlg__TPPpfepDlg_LongRangeValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_StringLengthValidator: {
      fepDlg__TPPpfepDlg_StringLengthValidator m = (fepDlg__TPPpfepDlg_StringLengthValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_RegExprValidator: {
      fepDlg__TPPpfepDlg_RegExprValidator m = (fepDlg__TPPpfepDlg_RegExprValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_FormularPasswordElement_converter: {
      fepDlg__TPPpfepDlg_FormularPasswordElement_converter m = (fepDlg__TPPpfepDlg_FormularPasswordElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_FormularPasswordElement_validator: {
      fepDlg__TPPpfepDlg_FormularPasswordElement_validator m = (fepDlg__TPPpfepDlg_FormularPasswordElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpfepDlg_FormularPasswordElement: {
      fepDlg__TPPpfepDlg_FormularPasswordElement m = (fepDlg__TPPpfepDlg_FormularPasswordElement) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        case 8: return (NODEPTR) m->_desc8; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fepDlg_RULEpVIEWROOT_fepDlg: {
      fepDlg__TPPpVIEWROOT_fepDlg m = (fepDlg__TPPpVIEWROOT_fepDlg) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
