/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *fesDlg_abs_prods[] = {
  "{LST_0pfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list]\"",
  "{LST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_IntegerNumberConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_DoubleNumberConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_IntegerConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_LongConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_BigIntegerConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_FloatConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_DoubleConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_BooleanConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_DateTimeConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{LST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter} {LST_fesDlg_FormularSelectElement_converter} \"[list fesDlg_PatternConverter LST_fesDlg_FormularSelectElement_converter]\"",
  "{pfesDlg_PatternConverter_pattern} {fesDlg_PatternConverter_pattern} \"[list]\"",
  "{pfesDlg_PatternConverter} {fesDlg_PatternConverter} \"[list ID fesDlg_PatternConverter_pattern]\"",
  "{pfesDlg_DateTimeConverter} {fesDlg_DateTimeConverter} \"[list ID]\"",
  "{pfesDlg_BooleanConverter} {fesDlg_BooleanConverter} \"[list ID]\"",
  "{pfesDlg_DoubleConverter} {fesDlg_DoubleConverter} \"[list ID]\"",
  "{pfesDlg_FloatConverter} {fesDlg_FloatConverter} \"[list ID]\"",
  "{pfesDlg_BigIntegerConverter} {fesDlg_BigIntegerConverter} \"[list ID]\"",
  "{pfesDlg_LongConverter} {fesDlg_LongConverter} \"[list ID]\"",
  "{pfesDlg_IntegerConverter} {fesDlg_IntegerConverter} \"[list ID]\"",
  "{pfesDlg_DoubleNumberConverter_maxFractionDigits} {fesDlg_DoubleNumberConverter_maxFractionDigits} \"[list]\"",
  "{pfesDlg_DoubleNumberConverter_minFractionDigits} {fesDlg_DoubleNumberConverter_minFractionDigits} \"[list]\"",
  "{pfesDlg_DoubleNumberConverter_maxIntegerDigits} {fesDlg_DoubleNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfesDlg_DoubleNumberConverter_minIntegerDigits} {fesDlg_DoubleNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfesDlg_DoubleNumberConverter} {fesDlg_DoubleNumberConverter} \"[list ID fesDlg_DoubleNumberConverter_minIntegerDigits fesDlg_DoubleNumberConverter_maxIntegerDigits fesDlg_DoubleNumberConverter_minFractionDigits fesDlg_DoubleNumberConverter_maxFractionDigits]\"",
  "{pfesDlg_IntegerNumberConverter_maxIntegerDigits} {fesDlg_IntegerNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfesDlg_IntegerNumberConverter_minIntegerDigits} {fesDlg_IntegerNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfesDlg_IntegerNumberConverter} {fesDlg_IntegerNumberConverter} \"[list ID fesDlg_IntegerNumberConverter_minIntegerDigits fesDlg_IntegerNumberConverter_maxIntegerDigits]\"",
  "{pfesDlg_FormularSelectElement_converter} {fesDlg_FormularSelectElement_converter} \"[list LST_fesDlg_FormularSelectElement_converter]\"",
  "{pfesDlg_FormularSelectElement_required} {fesDlg_FormularSelectElement_required} \"[list]\"",
  "{pfesDlg_FormularSelectElement_pvalue} {fesDlg_FormularSelectElement_pvalue} \"[list]\"",
  "{pfesDlg_FormularSelectElement_multiple} {fesDlg_FormularSelectElement_multiple} \"[list]\"",
  "{pfesDlg_FormularSelectElement_size} {fesDlg_FormularSelectElement_size} \"[list]\"",
  "{pfesDlg_FormularSelectElement_description} {fesDlg_FormularSelectElement_description} \"[list]\"",
  "{pfesDlg_FormularSelectElement_label} {fesDlg_FormularSelectElement_label} \"[list]\"",
  "{pfesDlg_FormularSelectElement_name} {fesDlg_FormularSelectElement_name} \"[list]\"",
  "{pfesDlg_FormularSelectElement} {fesDlg_FormularSelectElement} \"[list ID fesDlg_FormularSelectElement_name fesDlg_FormularSelectElement_label fesDlg_FormularSelectElement_description fesDlg_FormularSelectElement_size fesDlg_FormularSelectElement_multiple fesDlg_FormularSelectElement_pvalue fesDlg_FormularSelectElement_required fesDlg_FormularSelectElement_converter]\"",
  "{pVIEWROOT_fesDlg} {VIEWROOT} \"[list fesDlg_FormularSelectElement]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int fesDlg_abs_nchild[] = {
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  0,
  0,
  2,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  8,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_abs_child (NODEPTR n, int c)
#else
NODEPTR fesDlg_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case fesDlg_RULELST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULELST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULEpfesDlg_PatternConverter: {
      fesDlg__TPPpfesDlg_PatternConverter m = (fesDlg__TPPpfesDlg_PatternConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULEpfesDlg_DoubleNumberConverter: {
      fesDlg__TPPpfesDlg_DoubleNumberConverter m = (fesDlg__TPPpfesDlg_DoubleNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULEpfesDlg_IntegerNumberConverter: {
      fesDlg__TPPpfesDlg_IntegerNumberConverter m = (fesDlg__TPPpfesDlg_IntegerNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULEpfesDlg_FormularSelectElement_converter: {
      fesDlg__TPPpfesDlg_FormularSelectElement_converter m = (fesDlg__TPPpfesDlg_FormularSelectElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULEpfesDlg_FormularSelectElement: {
      fesDlg__TPPpfesDlg_FormularSelectElement m = (fesDlg__TPPpfesDlg_FormularSelectElement) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        case 8: return (NODEPTR) m->_desc8; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fesDlg_RULEpVIEWROOT_fesDlg: {
      fesDlg__TPPpVIEWROOT_fesDlg m = (fesDlg__TPPpVIEWROOT_fesDlg) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
