
/* definition of tree node structure */

#ifndef fesDlg_NODE_H
#define fesDlg_NODE_H
#include "err.h"
#include "fesDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef fesDlg_NODEPTRSUBSTRUCT
#define fesDlg_NODEPTRSUBSTRUCT
struct fesDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct fesDlg__TSVIEWROOT* fesDlg__TSPVIEWROOT;
typedef struct fesDlg__TSfesDlg_FormularSelectElement* fesDlg__TSPfesDlg_FormularSelectElement;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_name* fesDlg__TSPfesDlg_FormularSelectElement_name;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_label* fesDlg__TSPfesDlg_FormularSelectElement_label;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_description* fesDlg__TSPfesDlg_FormularSelectElement_description;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_size* fesDlg__TSPfesDlg_FormularSelectElement_size;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_multiple* fesDlg__TSPfesDlg_FormularSelectElement_multiple;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_pvalue* fesDlg__TSPfesDlg_FormularSelectElement_pvalue;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_required* fesDlg__TSPfesDlg_FormularSelectElement_required;
typedef struct fesDlg__TSfesDlg_FormularSelectElement_converter* fesDlg__TSPfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TSfesDlg_PatternConverter* fesDlg__TSPfesDlg_PatternConverter;
typedef struct fesDlg__TSfesDlg_DateTimeConverter* fesDlg__TSPfesDlg_DateTimeConverter;
typedef struct fesDlg__TSfesDlg_BooleanConverter* fesDlg__TSPfesDlg_BooleanConverter;
typedef struct fesDlg__TSfesDlg_DoubleConverter* fesDlg__TSPfesDlg_DoubleConverter;
typedef struct fesDlg__TSfesDlg_FloatConverter* fesDlg__TSPfesDlg_FloatConverter;
typedef struct fesDlg__TSfesDlg_BigIntegerConverter* fesDlg__TSPfesDlg_BigIntegerConverter;
typedef struct fesDlg__TSfesDlg_LongConverter* fesDlg__TSPfesDlg_LongConverter;
typedef struct fesDlg__TSfesDlg_IntegerConverter* fesDlg__TSPfesDlg_IntegerConverter;
typedef struct fesDlg__TSfesDlg_DoubleNumberConverter* fesDlg__TSPfesDlg_DoubleNumberConverter;
typedef struct fesDlg__TSfesDlg_IntegerNumberConverter* fesDlg__TSPfesDlg_IntegerNumberConverter;
typedef struct fesDlg__TSfesDlg_IntegerNumberConverter_minIntegerDigits* fesDlg__TSPfesDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct fesDlg__TSfesDlg_IntegerNumberConverter_maxIntegerDigits* fesDlg__TSPfesDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct fesDlg__TSfesDlg_DoubleNumberConverter_minIntegerDigits* fesDlg__TSPfesDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct fesDlg__TSfesDlg_DoubleNumberConverter_maxIntegerDigits* fesDlg__TSPfesDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct fesDlg__TSfesDlg_DoubleNumberConverter_minFractionDigits* fesDlg__TSPfesDlg_DoubleNumberConverter_minFractionDigits;
typedef struct fesDlg__TSfesDlg_DoubleNumberConverter_maxFractionDigits* fesDlg__TSPfesDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct fesDlg__TSfesDlg_PatternConverter_pattern* fesDlg__TSPfesDlg_PatternConverter_pattern;
typedef struct fesDlg__TSLST_fesDlg_FormularSelectElement_converter* fesDlg__TSPLST_fesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPpEmpty* fesDlg__TPPpEmpty;
typedef struct fesDlg__TPpVIEWROOT_fesDlg* fesDlg__TPPpVIEWROOT_fesDlg;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement* fesDlg__TPPpfesDlg_FormularSelectElement;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_name* fesDlg__TPPpfesDlg_FormularSelectElement_name;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_label* fesDlg__TPPpfesDlg_FormularSelectElement_label;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_description* fesDlg__TPPpfesDlg_FormularSelectElement_description;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_size* fesDlg__TPPpfesDlg_FormularSelectElement_size;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_multiple* fesDlg__TPPpfesDlg_FormularSelectElement_multiple;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_pvalue* fesDlg__TPPpfesDlg_FormularSelectElement_pvalue;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_required* fesDlg__TPPpfesDlg_FormularSelectElement_required;
typedef struct fesDlg__TPpfesDlg_FormularSelectElement_converter* fesDlg__TPPpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPpfesDlg_IntegerNumberConverter* fesDlg__TPPpfesDlg_IntegerNumberConverter;
typedef struct fesDlg__TPpfesDlg_IntegerNumberConverter_minIntegerDigits* fesDlg__TPPpfesDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct fesDlg__TPpfesDlg_IntegerNumberConverter_maxIntegerDigits* fesDlg__TPPpfesDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct fesDlg__TPpfesDlg_DoubleNumberConverter* fesDlg__TPPpfesDlg_DoubleNumberConverter;
typedef struct fesDlg__TPpfesDlg_DoubleNumberConverter_minIntegerDigits* fesDlg__TPPpfesDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct fesDlg__TPpfesDlg_DoubleNumberConverter_maxIntegerDigits* fesDlg__TPPpfesDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct fesDlg__TPpfesDlg_DoubleNumberConverter_minFractionDigits* fesDlg__TPPpfesDlg_DoubleNumberConverter_minFractionDigits;
typedef struct fesDlg__TPpfesDlg_DoubleNumberConverter_maxFractionDigits* fesDlg__TPPpfesDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct fesDlg__TPpfesDlg_IntegerConverter* fesDlg__TPPpfesDlg_IntegerConverter;
typedef struct fesDlg__TPpfesDlg_LongConverter* fesDlg__TPPpfesDlg_LongConverter;
typedef struct fesDlg__TPpfesDlg_BigIntegerConverter* fesDlg__TPPpfesDlg_BigIntegerConverter;
typedef struct fesDlg__TPpfesDlg_FloatConverter* fesDlg__TPPpfesDlg_FloatConverter;
typedef struct fesDlg__TPpfesDlg_DoubleConverter* fesDlg__TPPpfesDlg_DoubleConverter;
typedef struct fesDlg__TPpfesDlg_BooleanConverter* fesDlg__TPPpfesDlg_BooleanConverter;
typedef struct fesDlg__TPpfesDlg_DateTimeConverter* fesDlg__TPPpfesDlg_DateTimeConverter;
typedef struct fesDlg__TPpfesDlg_PatternConverter* fesDlg__TPPpfesDlg_PatternConverter;
typedef struct fesDlg__TPpfesDlg_PatternConverter_pattern* fesDlg__TPPpfesDlg_PatternConverter_pattern;
typedef struct fesDlg__TPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter;
typedef struct fesDlg__TPLST_0pfesDlg_FormularSelectElement_converter* fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter;

struct fesDlg__TSVIEWROOT
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularSelectElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_FormularSelectElement_name
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_label
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_description
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_size
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_multiple
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_pvalue
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_required
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_PatternConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_DateTimeConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_BooleanConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_DoubleConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_FloatConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_BigIntegerConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_LongConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_IntegerConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fesDlg__TSfesDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSfesDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TSLST_fesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpEmpty
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpVIEWROOT_fesDlg
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_FormularSelectElement _desc1;
};

struct fesDlg__TPpfesDlg_FormularSelectElement
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularSelectElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fesDlg__TSPfesDlg_FormularSelectElement_name _desc1;
fesDlg__TSPfesDlg_FormularSelectElement_label _desc2;
fesDlg__TSPfesDlg_FormularSelectElement_description _desc3;
fesDlg__TSPfesDlg_FormularSelectElement_size _desc4;
fesDlg__TSPfesDlg_FormularSelectElement_multiple _desc5;
fesDlg__TSPfesDlg_FormularSelectElement_pvalue _desc6;
fesDlg__TSPfesDlg_FormularSelectElement_required _desc7;
fesDlg__TSPfesDlg_FormularSelectElement_converter _desc8;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_FormularSelectElement_name
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_label
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_description
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_size
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_multiple
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_pvalue
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_required
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc1;
};

struct fesDlg__TPpfesDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fesDlg__TSPfesDlg_IntegerNumberConverter_minIntegerDigits _desc1;
fesDlg__TSPfesDlg_IntegerNumberConverter_maxIntegerDigits _desc2;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fesDlg__TSPfesDlg_DoubleNumberConverter_minIntegerDigits _desc1;
fesDlg__TSPfesDlg_DoubleNumberConverter_maxIntegerDigits _desc2;
fesDlg__TSPfesDlg_DoubleNumberConverter_minFractionDigits _desc3;
fesDlg__TSPfesDlg_DoubleNumberConverter_maxFractionDigits _desc4;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPpfesDlg_IntegerConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_LongConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_BigIntegerConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_FloatConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_DoubleConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_BooleanConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_DateTimeConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_PatternConverter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fesDlg__TSPfesDlg_PatternConverter_pattern _desc1;
int _ATTERM_1;
};

struct fesDlg__TPpfesDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fesDlg__TPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_PatternConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_DateTimeConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_BooleanConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_DoubleConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_FloatConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_BigIntegerConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_LongConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_IntegerConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_DoubleNumberConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fesDlg__TSPfesDlg_IntegerNumberConverter _desc1;
fesDlg__TSPLST_fesDlg_FormularSelectElement_converter _desc2;
};

struct fesDlg__TPLST_0pfesDlg_FormularSelectElement_converter
#ifdef __cplusplus
	: public fesDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
