
/* definition of tree node structure */

#ifndef optionsView_NODE_H
#define optionsView_NODE_H
#include "err.h"
#include "optionsView_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef optionsView_NODEPTRSUBSTRUCT
#define optionsView_NODEPTRSUBSTRUCT
struct optionsView_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct optionsView__TSVIEWROOT* optionsView__TSPVIEWROOT;
typedef struct optionsView__TSoptionsView_FormularConstantSelectOption* optionsView__TSPoptionsView_FormularConstantSelectOption;
typedef struct optionsView__TSoptionsView_FormularConstantSelectOption_keyword1* optionsView__TSPoptionsView_FormularConstantSelectOption_keyword1;
typedef struct optionsView__TSoptionsView_FormularConstantSelectOption_keyword2* optionsView__TSPoptionsView_FormularConstantSelectOption_keyword2;
typedef struct optionsView__TSoptionsView_FormularConstantSelectOption_options* optionsView__TSPoptionsView_FormularConstantSelectOption_options;
typedef struct optionsView__TSoptionsView_FormularConstantSelectOption_keyword3* optionsView__TSPoptionsView_FormularConstantSelectOption_keyword3;
typedef struct optionsView__TSoptionsView_SelectOption* optionsView__TSPoptionsView_SelectOption;
typedef struct optionsView__TSoptionsView_SelectOption_keyword1* optionsView__TSPoptionsView_SelectOption_keyword1;
typedef struct optionsView__TSoptionsView_SelectOption_value* optionsView__TSPoptionsView_SelectOption_value;
typedef struct optionsView__TSoptionsView_SelectOption_keyword2* optionsView__TSPoptionsView_SelectOption_keyword2;
typedef struct optionsView__TSoptionsView_SelectOption_label* optionsView__TSPoptionsView_SelectOption_label;
typedef struct optionsView__TSoptionsView_SelectOption_keyword3* optionsView__TSPoptionsView_SelectOption_keyword3;
typedef struct optionsView__TSLST_optionsView_FormularConstantSelectOption_options* optionsView__TSPLST_optionsView_FormularConstantSelectOption_options;
typedef struct optionsView__TPpEmpty* optionsView__TPPpEmpty;
typedef struct optionsView__TPpVIEWROOT_optionsView* optionsView__TPPpVIEWROOT_optionsView;
typedef struct optionsView__TPpoptionsView_FormularConstantSelectOption* optionsView__TPPpoptionsView_FormularConstantSelectOption;
typedef struct optionsView__TPpoptionsView_FormularConstantSelectOption_keyword1* optionsView__TPPpoptionsView_FormularConstantSelectOption_keyword1;
typedef struct optionsView__TPpoptionsView_FormularConstantSelectOption_keyword2* optionsView__TPPpoptionsView_FormularConstantSelectOption_keyword2;
typedef struct optionsView__TPpoptionsView_FormularConstantSelectOption_options* optionsView__TPPpoptionsView_FormularConstantSelectOption_options;
typedef struct optionsView__TPpoptionsView_FormularConstantSelectOption_keyword3* optionsView__TPPpoptionsView_FormularConstantSelectOption_keyword3;
typedef struct optionsView__TPpoptionsView_SelectOption* optionsView__TPPpoptionsView_SelectOption;
typedef struct optionsView__TPpoptionsView_SelectOption_keyword1* optionsView__TPPpoptionsView_SelectOption_keyword1;
typedef struct optionsView__TPpoptionsView_SelectOption_value* optionsView__TPPpoptionsView_SelectOption_value;
typedef struct optionsView__TPpoptionsView_SelectOption_keyword2* optionsView__TPPpoptionsView_SelectOption_keyword2;
typedef struct optionsView__TPpoptionsView_SelectOption_label* optionsView__TPPpoptionsView_SelectOption_label;
typedef struct optionsView__TPpoptionsView_SelectOption_keyword3* optionsView__TPPpoptionsView_SelectOption_keyword3;
typedef struct optionsView__TPLST_optionsView_SelectOptionpoptionsView_FormularConstantSelectOption_options* optionsView__TPPLST_optionsView_SelectOptionpoptionsView_FormularConstantSelectOption_options;
typedef struct optionsView__TPLST_0poptionsView_FormularConstantSelectOption_options* optionsView__TPPLST_0poptionsView_FormularConstantSelectOption_options;

struct optionsView__TSVIEWROOT
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TSoptionsView_FormularConstantSelectOption
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularConstantSelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_FormularConstantSelectOption_keyword1
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TSoptionsView_FormularConstantSelectOption_keyword2
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TSoptionsView_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLList _ATseparatorList;
int _ATVPNumberedList_elementCount;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_FormularConstantSelectOption_keyword3
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TSoptionsView_SelectOption
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESelectOptionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPNumberedElement_isLast;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_SelectOption_keyword1
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_SelectOption_value
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_SelectOption_keyword2
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_SelectOption_label
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TSoptionsView_SelectOption_keyword3
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TSLST_optionsView_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TPpEmpty
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TPpVIEWROOT_optionsView
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
optionsView__TSPoptionsView_FormularConstantSelectOption _desc1;
};

struct optionsView__TPpoptionsView_FormularConstantSelectOption
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularConstantSelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
optionsView__TSPoptionsView_FormularConstantSelectOption_keyword1 _desc1;
optionsView__TSPoptionsView_FormularConstantSelectOption_keyword2 _desc2;
optionsView__TSPoptionsView_FormularConstantSelectOption_options _desc3;
optionsView__TSPoptionsView_FormularConstantSelectOption_keyword3 _desc4;
int _ATTERM_1;
};

struct optionsView__TPpoptionsView_FormularConstantSelectOption_keyword1
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TPpoptionsView_FormularConstantSelectOption_keyword2
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TPpoptionsView_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLList _ATseparatorList;
int _ATVPNumberedList_elementCount;
VLObjectPointer _ATobjId;
optionsView__TSPLST_optionsView_FormularConstantSelectOption_options _desc1;
};

struct optionsView__TPpoptionsView_FormularConstantSelectOption_keyword3
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct optionsView__TPpoptionsView_SelectOption
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESelectOptionPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPNumberedElement_isLast;
VLObjectPointer _ATobjId;
optionsView__TSPoptionsView_SelectOption_keyword1 _desc1;
optionsView__TSPoptionsView_SelectOption_value _desc2;
optionsView__TSPoptionsView_SelectOption_keyword2 _desc3;
optionsView__TSPoptionsView_SelectOption_label _desc4;
optionsView__TSPoptionsView_SelectOption_keyword3 _desc5;
int _ATTERM_1;
};

struct optionsView__TPpoptionsView_SelectOption_keyword1
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TPpoptionsView_SelectOption_value
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TPpoptionsView_SelectOption_keyword2
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TPpoptionsView_SelectOption_label
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TPpoptionsView_SelectOption_keyword3
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct optionsView__TPLST_optionsView_SelectOptionpoptionsView_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
optionsView__TSPoptionsView_SelectOption _desc1;
optionsView__TSPLST_optionsView_FormularConstantSelectOption_options _desc2;
};

struct optionsView__TPLST_0poptionsView_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public optionsView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
