

#ifndef __PARBOXTEXT_H
#define __PARBOXTEXT_H

#include "BasicTypes.h"
VLString getFormattedText(VLString text, VLString font, VLInt width);

class ParboxText {
   
private:
   VLString text, font;
   VLRegion size;
   VLInt width;
   
   int searchBackward(VLString tmpText, int pos, int defaultPos);
   int searchForward(VLString tmpText,int pos);

public:
   ParboxText(VLString text, VLString font, VLInt width);
   void formatText();
   VLString getText();
   VLPoint getSize();
   VLBoolean getMaxWidthFullfilled();
};

typedef ParboxText *ParboxTextPtr;

#endif
