
/* interface of tree construction functions */

#ifndef rootView_TREECON_H
#define rootView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "rootView_nodeptr.h"

#include "HEAD.h"


extern void rootView_InitTree ELI_ARG((void));

extern void rootView_FreeTree ELI_ARG((void));

extern NODEPTR rootView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Root ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeFormalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeFormalParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBBlob ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBBoolean ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBTimeStamp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBDate ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBBigInt ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBDouble ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBFloat ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBLong ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBInteger ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBHasMany ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBHasOne ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBase ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBString_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBText_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBLong_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBDate_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Root_webApp ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Root_library ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Library ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Library_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Library_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationElement_code ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_entrancePage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_webZone ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_navigationBar ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_styleSheet ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_frames ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_meta ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_database ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_roles ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_linksExtern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_imagePath ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_packageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_pageEncoding ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_footer ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_mailHost ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_mailFromAddress ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebApplication_catalinaHome ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RootWebZone ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBar ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheet ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_GlobalFrame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MetaInformation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebRole ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LinkTargetExtern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RootWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RootWebZone_errorLink ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RootWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RootWebZone_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebAction ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebRoleRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone_errorLink ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SubWebZone_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebRole_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebRole_color ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebRoleRef_role ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage_title ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebPage_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageMap ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputMessagesElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Table ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Paragraph ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FrameRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_GlobalFrame_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_GlobalFrame_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBar_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBar_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBarElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBarElement_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_NavigationBarElement_target ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FrameRef_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MetaInformation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MetaInformationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MetaInformationElement_property ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MetaInformationElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_BinaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_BinaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ComputationExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ParameterValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_PredefinedExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_UnaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_UnaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_PredefinedExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ComputationExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ComputationExpression_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataSourceActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TextFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TextFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TextFragment_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TextFragment_fontstyle ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_width ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_height ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_border ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_float ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageFragment_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Heading_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Heading_level ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Table_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TableRow ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TableColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TableCell ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TableCell_columnRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_TableCell_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheet_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_CustomStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_HtmlStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_CustomStyleSheetBlock_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheetPair ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheetPair_category ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_CustomValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_AlignmentValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_HeadingValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FamilyValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ColorValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SizeValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SizeValue_measure ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SizeValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ColorValue_color ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FamilyValue_family ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StyleValue_style ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_HeadingValue_heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_AlignmentValue_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListValue_listed ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_CustomValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_HtmlStyleSheetBlock_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionHandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionHandler_targetpage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebAction_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebAction_successpage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebAction_position ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LogoutOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JavaOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBaseOperation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBaseOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBaseOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBaseOperation_filter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JavaOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JavaOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JavaOperation_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_mailTo ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_subject ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MailingOperation_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LogoutOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LogoutOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LogoutOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_successMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_errorMessage ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_userDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_passwdDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_rolesDBColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_userFormField ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LoginOperation_passwdFormField ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_dataSourceId ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_EmailValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_CreditCardValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RegExprValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_RegExprValidator_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StringLengthValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StringLengthValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_StringLengthValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LongRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LongRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LongRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularTextAreaElement_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularPasswordElement_redisplay ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDateElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularFileUploadElement_accept ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularCheckboxElement_checked ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_size ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_SelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioElement_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_FormularRadioElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputFragment_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputColumn_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputRefContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionConnection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionConnection_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionConnection_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionConnection_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LinkTargetExtern_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_LinkTargetExtern_url ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageMap_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageMap_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageMap_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MapArea ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MapArea_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MapArea_coords ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MapArea_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkrootView_MapArea_queryString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR rootView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkpVIEWROOT_rootView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_WebNodeFormalParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_WebNodeFormalParam_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebNodeFormalParam_keyword1 ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_WebNodeFormalParam_type(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebNodeFormalParam_type ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_DataBase ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_DBString ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBString_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBText ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBText_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBInteger ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBInteger_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBLong ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBLong_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBFloat ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBFloat_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBDouble ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBDouble_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBBigInt ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBBigInt_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBDate ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBDate_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBTimeStamp ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBTimeStamp_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBBoolean ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBBoolean_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBBlob ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_DBBlob_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBHasOne ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_DBHasOne_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBHasOne_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBHasMany ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_DBHasMany_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DBHasMany_dataSourceTable ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Root ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_Root_library(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Root_library ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Root_library ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_Library ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_Library_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_Library_navigationElement(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Library_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Library_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_NavigationElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_NavigationElement_code ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_NavigationElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11, NODEPTR _desc12, NODEPTR _desc13, NODEPTR _desc14, NODEPTR _desc15, NODEPTR _desc16, NODEPTR _desc17, NODEPTR _desc18));
extern NODEPTR rootView_MkprootView_WebApplication_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_entrancePage ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_WebApplication_frames(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebApplication_frames ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebApplication_frames ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_WebApplication_roles(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebApplication_roles ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebApplication_roles ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_WebApplication_linksExtern(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebApplication_linksExtern ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebApplication_linksExtern ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebApplication_imagePath ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_packageName ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_pageEncoding ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_header ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_footer ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_mailHost ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_mailFromAddress ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebApplication_catalinaHome ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_RootWebZone ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define rootView_Mk0prootView_RootWebZone_webTargets(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_RootWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_RootWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_RootWebZone_errorLink ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_RootWebZone_roles(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_RootWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_RootWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_RootWebZone_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_SubWebZone ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR rootView_MkprootView_SubWebZone_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_SubWebZone_webTargets(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_SubWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_SubWebZone_webTargets ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_SubWebZone_errorLink ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_SubWebZone_roles(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_SubWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_SubWebZone_roles ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_SubWebZone_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_SubWebZone_position ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebRole ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_WebRole_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebRole_color ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebRoleRef ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_WebRoleRef_role ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebPage ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR rootView_MkprootView_WebPage_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_WebPage_formalParameter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebPage_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebPage_title ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebPage_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebPage_position ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Frame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define rootView_Mk0prootView_Frame_components(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_GlobalFrame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_GlobalFrame_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_GlobalFrame_components(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_GlobalFrame_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_NavigationBar ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_NavigationBar_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_NavigationBar_elements(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_NavigationBar_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_NavigationBar_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_NavigationBarElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_NavigationBarElement_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_NavigationBarElement_target ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FrameRef ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FrameRef_frame ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MetaInformation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_MetaInformation_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_MetaInformation_elements(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_MetaInformation_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_MetaInformationElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_MetaInformationElement_property ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MetaInformationElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_BinaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
#define rootView_Mk0prootView_BinaryExpression_leftOperand(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_BinaryExpression_rightOperand(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_BinaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_UnaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_UnaryExpression_operand(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_UnaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_PredefinedExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_PredefinedExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ParameterValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ComputationExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_ComputationExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ComputationExpression_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DataSourceActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_DataSourceActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_Paragraph ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_Paragraph_fragments(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_TextFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_TextFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_TextFragment_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_TextFragment_fontstyle ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR rootView_MkprootView_ImageFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_width ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_height ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_border ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_float ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_text ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageFragment_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Heading ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Heading_text ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Heading_level ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Table ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_Table_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_Table_rows(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_Table_columns(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_TableRow ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define rootView_Mk0prootView_TableRow_cells(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_TableColumn ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_TableCell ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_TableCell_columnRef ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StyleSheet ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR rootView_MkprootView_StyleSheet_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_StyleSheet_custom(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_StyleSheet_default(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_CustomStyleSheetBlock ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_CustomStyleSheetBlock_pairs(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_CustomStyleSheetBlock_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StyleSheetPair ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR rootView_MkprootView_StyleSheetPair_category ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_StyleSheetPair_value(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_SizeValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_SizeValue_measure ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_SizeValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ColorValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ColorValue_color ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FamilyValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_FamilyValue_family ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StyleValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_StyleValue_style ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_HeadingValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_HeadingValue_heading ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_AlignmentValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_AlignmentValue_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ListValue_listed ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_CustomValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_CustomValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_HtmlStyleSheetBlock ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_HtmlStyleSheetBlock_pairs(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_HtmlStyleSheetBlock_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ActionHandler ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_ActionHandler_targetpage ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ActionHandler_params(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ActionHandler_params ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebAction ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR rootView_MkprootView_WebAction_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_WebAction_formalParameter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebAction_formalParameter ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_WebAction_operations(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebAction_operations ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebAction_position ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DataBaseOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
#define rootView_Mk0prootView_DataBaseOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_DataBaseOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_DataBaseOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DataBaseOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DataBaseOperation_filter ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_DataBaseOperation_params(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_DataBaseOperation_params ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_JavaOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define rootView_Mk0prootView_JavaOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_JavaOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_JavaOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_JavaOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_JavaOperation_content ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MailingOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
#define rootView_Mk0prootView_MailingOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_MailingOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_MailingOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MailingOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MailingOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MailingOperation_mailTo ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MailingOperation_subject ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MailingOperation_content ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LogoutOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
#define rootView_Mk0prootView_LogoutOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_LogoutOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_LogoutOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LogoutOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LogoutOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9));
#define rootView_Mk0prootView_LoginOperation_errorhandler(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_LoginOperation_errorhandler ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_LoginOperation_successMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_errorMessage ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_userDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_passwdDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_rolesDBColumn ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_userFormField ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LoginOperation_passwdFormField ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Formular ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR rootView_MkprootView_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Formular_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Formular_action ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Formular_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_Formular_dataSourceId ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_Formular_elements(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_Formular_actualParams(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_EmailValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_CreditCardValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_RegExprValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_RegExprValidator_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StringLengthValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_StringLengthValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_StringLengthValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LongRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_LongRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LongRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DoubleRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR rootView_MkprootView_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularRadioGroupElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularRadioGroupElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularRadioGroupElement_elements(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR rootView_MkprootView_FormularTextElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularTextElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularTextElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularTextElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularTextElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularTextAreaElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularTextAreaElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularTextAreaElement_rows ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularPasswordElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularPasswordElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularPasswordElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularPasswordElement_redisplay ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDateElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR rootView_MkprootView_FormularDateElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDateElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDateElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDateElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDateElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularDateElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularDateElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularDateElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularDateElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularFileUploadElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularFileUploadElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularFileUploadElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularFileUploadElement_accept ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularCheckboxElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularCheckboxElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularCheckboxElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularCheckboxElement_checked ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularSelectElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10));
extern NODEPTR rootView_MkprootView_FormularSelectElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularSelectElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularSelectElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularSelectElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularSelectElement_required ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_FormularSelectElement_validator(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularSelectElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularSelectElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularSelectElement_converter(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularSelectElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
#define rootView_Mk0prootView_FormularSelectElement_options(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_FormularSelectElement_size ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define rootView_Mk0prootView_FormularConstantSelectOption_options(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_SelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_SelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_SelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_FormularRadioElement_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_FormularRadioElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebNodeActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_WebNodeActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR rootView_MkprootView_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_JoinModifier_separator ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define rootView_Mk0prootView_WebNodeSessionExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_OutputFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_OutputFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_OutputFragment_content ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_OutputMessagesElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR rootView_MkprootView_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ListOutputActualParam_expression(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_ListOutputElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR rootView_MkprootView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputElement_name ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ListOutputElement_dataSourceActualParams(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ListOutputElement_columns(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_ListOutputColumn_header ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ListOutputColumn_content(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputRefContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR rootView_MkprootView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define rootView_Mk0prootView_ListOutputActionConnectionsContent_actionConnections(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_ActionConnection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR rootView_MkprootView_ActionConnection_action ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ActionConnection_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ActionConnection_text ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ActionConnection_actualParams(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_LinkTargetExtern ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR rootView_MkprootView_LinkTargetExtern_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_LinkTargetExtern_url ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageMap ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR rootView_MkprootView_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageMap_name ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageMap_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_ImageMap_altText ELI_ARG((POSITION *_coordref));
#define rootView_Mk0prootView_ImageMap_mapAreas(_coordref) NULLNODEPTR
extern NODEPTR rootView_Mk2prootView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR rootView_MkprootView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR rootView_MkprootView_MapArea ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR rootView_MkprootView_MapArea_altText ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MapArea_coords ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MapArea_link ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_MkprootView_MapArea_queryString ELI_ARG((POSITION *_coordref));
extern NODEPTR rootView_Mkrule_1 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_2 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_3 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_4 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_5 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_6 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_7 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_8 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR rootView_Mkrule_9 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define rootView_MkID(pos,val) (val)
#endif
