
/* interface of tree construction functions */

#ifndef sspDlg_TREECON_H
#define sspDlg_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "sspDlg_nodeptr.h"

#include "HEAD.h"


extern void sspDlg_InitTree ELI_ARG((void));

extern void sspDlg_FreeTree ELI_ARG((void));

extern NODEPTR sspDlg_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleSheetPair ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleSheetPair_category ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_CustomValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_ListValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_AlignmentValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_HeadingValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_FamilyValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_ColorValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_SizeValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_SizeValue_measure ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_SizeValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_ColorValue_color ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_FamilyValue_family ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_StyleValue_style ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_HeadingValue_heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_AlignmentValue_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_ListValue_listed ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MksspDlg_CustomValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR sspDlg_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpVIEWROOT_sspDlg ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_StyleSheetPair ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR sspDlg_MkpsspDlg_StyleSheetPair_category ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref));
#define sspDlg_Mk0psspDlg_StyleSheetPair_value(_coordref) NULLNODEPTR
extern NODEPTR sspDlg_Mk2psspDlg_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR sspDlg_MkpsspDlg_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR sspDlg_MkpsspDlg_SizeValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR sspDlg_MkpsspDlg_SizeValue_measure ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_SizeValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_ColorValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_ColorValue_color ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_FamilyValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_FamilyValue_family ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_StyleValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_StyleValue_style ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_HeadingValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_HeadingValue_heading ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_AlignmentValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_AlignmentValue_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_ListValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_ListValue_listed ELI_ARG((POSITION *_coordref));
extern NODEPTR sspDlg_MkpsspDlg_CustomValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR sspDlg_MkpsspDlg_CustomValue_value ELI_ARG((POSITION *_coordref));
#define sspDlg_MkID(pos,val) (val)
#endif
