
/* interface of tree construction functions */

#ifndef stylesheetView_TREECON_H
#define stylesheetView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "stylesheetView_nodeptr.h"

#include "HEAD.h"


extern void stylesheetView_InitTree ELI_ARG((void));

extern void stylesheetView_FreeTree ELI_ARG((void));

extern NODEPTR stylesheetView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheet ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheet_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_category ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_CustomValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_ListValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_AlignmentValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_HeadingValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_FamilyValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_ColorValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_SizeValue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_SizeValue_measure ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_SizeValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_ColorValue_color ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_FamilyValue_family ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_StyleValue_style ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_HeadingValue_heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_AlignmentValue_alignment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_ListValue_listed ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_CustomValue_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR stylesheetView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpVIEWROOT_stylesheetView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheet ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_name ELI_ARG((POSITION *_coordref));
#define stylesheetView_Mk0pstylesheetView_StyleSheet_custom(_coordref) NULLNODEPTR
extern NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_custom ELI_ARG((POSITION *_coordref, NODEPTR t));
#define stylesheetView_Mk0pstylesheetView_StyleSheet_default(_coordref) NULLNODEPTR
extern NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_default ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define stylesheetView_Mk0pstylesheetView_CustomStyleSheetBlock_pairs(_coordref) NULLNODEPTR
extern NODEPTR stylesheetView_Mk2pstylesheetView_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_name ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_category ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_attribute ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_valueCategory ELI_ARG((POSITION *_coordref));
#define stylesheetView_Mk0pstylesheetView_StyleSheetPair_value(_coordref) NULLNODEPTR
extern NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_value ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR stylesheetView_MkpstylesheetView_SizeValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR stylesheetView_MkpstylesheetView_SizeValue_measure ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_SizeValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_ColorValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_ColorValue_color ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_FamilyValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_FamilyValue_family ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_StyleValue_style ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_HeadingValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_HeadingValue_heading ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_AlignmentValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_AlignmentValue_alignment ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_ListValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_ListValue_listed ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_CustomValue ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR stylesheetView_MkpstylesheetView_CustomValue_value ELI_ARG((POSITION *_coordref));
extern NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define stylesheetView_Mk0pstylesheetView_HtmlStyleSheetBlock_pairs(_coordref) NULLNODEPTR
extern NODEPTR stylesheetView_Mk2pstylesheetView_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_pairs ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_name ELI_ARG((POSITION *_coordref));
#define stylesheetView_MkID(pos,val) (val)
#endif
