
namespace eval vlProperty {}

proc vlProperty::resetForEvaluator {} {
    variable data
    catch {unset data}
}

proc vlProperty::set {key attr value} {
    variable data
    ::set data($key,$attr) $value
}

proc vlProperty::get {key attr default} {
    variable data
    if [info exists data($key,$attr)] {
        return $data($key,$attr)
    } else {
        return $default
    }    
}

