

#include "Tclinter_ObjectBase.h"


//header: static
std ::set<void*> Tclinter_ObjectBase::registeredSet;

//header:
Tclinter_ObjectBase::Tclinter_ObjectBase() { 
  doRegister(); 
}

//header: virtual 
Tclinter_ObjectBase::~Tclinter_ObjectBase() {
  doUnregister(); 
}

//header: static
bool Tclinter_ObjectBase::exists(void *ptr) { 
  return registeredSet.count(ptr)>0; 
}

//header:
void Tclinter_ObjectBase::doRegister() {
    registeredSet.insert(this);
}

//header:
void Tclinter_ObjectBase::doUnregister() {
    registeredSet.erase(this);
}

