
/* encoding of tree node types and symbols */

#ifndef fepDlg_NODECODE_H
#define fepDlg_NODECODE_H

extern int fepDlg_LHSMAP[];

#define fepDlg_IsSymb(_n,_c) (fepDlg_LHSMAP[(_n)->_prod] == (_c))

#define fepDlg_SYMBVIEWROOT 0
#define fepDlg_SYMBfepDlg_FormularPasswordElement 1
#define fepDlg_SYMBfepDlg_FormularPasswordElement_name 2
#define fepDlg_SYMBfepDlg_FormularPasswordElement_label 3
#define fepDlg_SYMBfepDlg_FormularPasswordElement_description 4
#define fepDlg_SYMBfepDlg_FormularPasswordElement_redisplay 5
#define fepDlg_SYMBfepDlg_FormularPasswordElement_pvalue 6
#define fepDlg_SYMBfepDlg_FormularPasswordElement_required 7
#define fepDlg_SYMBfepDlg_FormularPasswordElement_validator 8
#define fepDlg_SYMBfepDlg_FormularPasswordElement_converter 9
#define fepDlg_SYMBfepDlg_DoubleRangeValidator 10
#define fepDlg_SYMBfepDlg_LongRangeValidator 11
#define fepDlg_SYMBfepDlg_StringLengthValidator 12
#define fepDlg_SYMBfepDlg_RegExprValidator 13
#define fepDlg_SYMBfepDlg_CreditCardValidator 14
#define fepDlg_SYMBfepDlg_EmailValidator 15
#define fepDlg_SYMBfepDlg_PatternConverter 16
#define fepDlg_SYMBfepDlg_DateTimeConverter 17
#define fepDlg_SYMBfepDlg_BooleanConverter 18
#define fepDlg_SYMBfepDlg_DoubleConverter 19
#define fepDlg_SYMBfepDlg_FloatConverter 20
#define fepDlg_SYMBfepDlg_BigIntegerConverter 21
#define fepDlg_SYMBfepDlg_LongConverter 22
#define fepDlg_SYMBfepDlg_IntegerConverter 23
#define fepDlg_SYMBfepDlg_DoubleNumberConverter 24
#define fepDlg_SYMBfepDlg_IntegerNumberConverter 25
#define fepDlg_SYMBfepDlg_RegExprValidator_pattern 26
#define fepDlg_SYMBfepDlg_StringLengthValidator_min 27
#define fepDlg_SYMBfepDlg_StringLengthValidator_max 28
#define fepDlg_SYMBfepDlg_LongRangeValidator_min 29
#define fepDlg_SYMBfepDlg_LongRangeValidator_max 30
#define fepDlg_SYMBfepDlg_DoubleRangeValidator_min 31
#define fepDlg_SYMBfepDlg_DoubleRangeValidator_max 32
#define fepDlg_SYMBfepDlg_IntegerNumberConverter_minIntegerDigits 33
#define fepDlg_SYMBfepDlg_IntegerNumberConverter_maxIntegerDigits 34
#define fepDlg_SYMBfepDlg_DoubleNumberConverter_minIntegerDigits 35
#define fepDlg_SYMBfepDlg_DoubleNumberConverter_maxIntegerDigits 36
#define fepDlg_SYMBfepDlg_DoubleNumberConverter_minFractionDigits 37
#define fepDlg_SYMBfepDlg_DoubleNumberConverter_maxFractionDigits 38
#define fepDlg_SYMBfepDlg_PatternConverter_pattern 39
#define fepDlg_SYMBLST_fepDlg_FormularPasswordElement_validator 40
#define fepDlg_SYMBLST_fepDlg_FormularPasswordElement_converter 41
#define fepDlg_RULELST_0pfepDlg_FormularPasswordElement_converter 0
#define fepDlg_RULELST_0pfepDlg_FormularPasswordElement_validator 1
#define fepDlg_RULELST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter 2
#define fepDlg_RULELST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter 3
#define fepDlg_RULELST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter 4
#define fepDlg_RULELST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter 5
#define fepDlg_RULELST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter 6
#define fepDlg_RULELST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter 7
#define fepDlg_RULELST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter 8
#define fepDlg_RULELST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter 9
#define fepDlg_RULELST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter 10
#define fepDlg_RULELST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter 11
#define fepDlg_RULELST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator 12
#define fepDlg_RULELST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator 13
#define fepDlg_RULELST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator 14
#define fepDlg_RULELST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator 15
#define fepDlg_RULELST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator 16
#define fepDlg_RULELST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator 17
#define fepDlg_RULEpfepDlg_PatternConverter_pattern 18
#define fepDlg_RULEpfepDlg_PatternConverter 19
#define fepDlg_RULEpfepDlg_DateTimeConverter 20
#define fepDlg_RULEpfepDlg_BooleanConverter 21
#define fepDlg_RULEpfepDlg_DoubleConverter 22
#define fepDlg_RULEpfepDlg_FloatConverter 23
#define fepDlg_RULEpfepDlg_BigIntegerConverter 24
#define fepDlg_RULEpfepDlg_LongConverter 25
#define fepDlg_RULEpfepDlg_IntegerConverter 26
#define fepDlg_RULEpfepDlg_DoubleNumberConverter_maxFractionDigits 27
#define fepDlg_RULEpfepDlg_DoubleNumberConverter_minFractionDigits 28
#define fepDlg_RULEpfepDlg_DoubleNumberConverter_maxIntegerDigits 29
#define fepDlg_RULEpfepDlg_DoubleNumberConverter_minIntegerDigits 30
#define fepDlg_RULEpfepDlg_DoubleNumberConverter 31
#define fepDlg_RULEpfepDlg_IntegerNumberConverter_maxIntegerDigits 32
#define fepDlg_RULEpfepDlg_IntegerNumberConverter_minIntegerDigits 33
#define fepDlg_RULEpfepDlg_IntegerNumberConverter 34
#define fepDlg_RULEpfepDlg_DoubleRangeValidator_max 35
#define fepDlg_RULEpfepDlg_DoubleRangeValidator_min 36
#define fepDlg_RULEpfepDlg_DoubleRangeValidator 37
#define fepDlg_RULEpfepDlg_LongRangeValidator_max 38
#define fepDlg_RULEpfepDlg_LongRangeValidator_min 39
#define fepDlg_RULEpfepDlg_LongRangeValidator 40
#define fepDlg_RULEpfepDlg_StringLengthValidator_max 41
#define fepDlg_RULEpfepDlg_StringLengthValidator_min 42
#define fepDlg_RULEpfepDlg_StringLengthValidator 43
#define fepDlg_RULEpfepDlg_RegExprValidator_pattern 44
#define fepDlg_RULEpfepDlg_RegExprValidator 45
#define fepDlg_RULEpfepDlg_CreditCardValidator 46
#define fepDlg_RULEpfepDlg_EmailValidator 47
#define fepDlg_RULEpfepDlg_FormularPasswordElement_converter 48
#define fepDlg_RULEpfepDlg_FormularPasswordElement_validator 49
#define fepDlg_RULEpfepDlg_FormularPasswordElement_required 50
#define fepDlg_RULEpfepDlg_FormularPasswordElement_pvalue 51
#define fepDlg_RULEpfepDlg_FormularPasswordElement_redisplay 52
#define fepDlg_RULEpfepDlg_FormularPasswordElement_description 53
#define fepDlg_RULEpfepDlg_FormularPasswordElement_label 54
#define fepDlg_RULEpfepDlg_FormularPasswordElement_name 55
#define fepDlg_RULEpfepDlg_FormularPasswordElement 56
#define fepDlg_RULEpVIEWROOT_fepDlg 57
#define fepDlg_RULEpEmpty 58
#endif
