
/* interface of tree construction functions */

#ifndef fepDlg_TREECON_H
#define fepDlg_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "fepDlg_nodeptr.h"

#include "HEAD.h"


extern void fepDlg_InitTree ELI_ARG((void));

extern void fepDlg_FreeTree ELI_ARG((void));

extern NODEPTR fepDlg_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_redisplay ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_LongRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_StringLengthValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_RegExprValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_CreditCardValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_EmailValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_RegExprValidator_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_StringLengthValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_StringLengthValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_LongRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_LongRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkfepDlg_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR fepDlg_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpVIEWROOT_fepDlg ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_redisplay ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_required ELI_ARG((POSITION *_coordref));
#define fepDlg_Mk0pfepDlg_FormularPasswordElement_validator(_coordref) NULLNODEPTR
extern NODEPTR fepDlg_Mk2pfepDlg_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define fepDlg_Mk0pfepDlg_FormularPasswordElement_converter(_coordref) NULLNODEPTR
extern NODEPTR fepDlg_Mk2pfepDlg_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR fepDlg_MkpfepDlg_EmailValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_CreditCardValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_RegExprValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR fepDlg_MkpfepDlg_RegExprValidator_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_StringLengthValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fepDlg_MkpfepDlg_StringLengthValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_StringLengthValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_LongRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fepDlg_MkpfepDlg_LongRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_LongRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR fepDlg_MkpfepDlg_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR fepDlg_MkpfepDlg_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR fepDlg_MkpfepDlg_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
#define fepDlg_MkID(pos,val) (val)
#endif
