
/* encoding of tree node types and symbols */

#ifndef fesDlg_NODECODE_H
#define fesDlg_NODECODE_H

extern int fesDlg_LHSMAP[];

#define fesDlg_IsSymb(_n,_c) (fesDlg_LHSMAP[(_n)->_prod] == (_c))

#define fesDlg_SYMBVIEWROOT 0
#define fesDlg_SYMBfesDlg_FormularSelectElement 1
#define fesDlg_SYMBfesDlg_FormularSelectElement_name 2
#define fesDlg_SYMBfesDlg_FormularSelectElement_label 3
#define fesDlg_SYMBfesDlg_FormularSelectElement_description 4
#define fesDlg_SYMBfesDlg_FormularSelectElement_size 5
#define fesDlg_SYMBfesDlg_FormularSelectElement_multiple 6
#define fesDlg_SYMBfesDlg_FormularSelectElement_pvalue 7
#define fesDlg_SYMBfesDlg_FormularSelectElement_required 8
#define fesDlg_SYMBfesDlg_FormularSelectElement_converter 9
#define fesDlg_SYMBfesDlg_PatternConverter 10
#define fesDlg_SYMBfesDlg_DateTimeConverter 11
#define fesDlg_SYMBfesDlg_BooleanConverter 12
#define fesDlg_SYMBfesDlg_DoubleConverter 13
#define fesDlg_SYMBfesDlg_FloatConverter 14
#define fesDlg_SYMBfesDlg_BigIntegerConverter 15
#define fesDlg_SYMBfesDlg_LongConverter 16
#define fesDlg_SYMBfesDlg_IntegerConverter 17
#define fesDlg_SYMBfesDlg_DoubleNumberConverter 18
#define fesDlg_SYMBfesDlg_IntegerNumberConverter 19
#define fesDlg_SYMBfesDlg_IntegerNumberConverter_minIntegerDigits 20
#define fesDlg_SYMBfesDlg_IntegerNumberConverter_maxIntegerDigits 21
#define fesDlg_SYMBfesDlg_DoubleNumberConverter_minIntegerDigits 22
#define fesDlg_SYMBfesDlg_DoubleNumberConverter_maxIntegerDigits 23
#define fesDlg_SYMBfesDlg_DoubleNumberConverter_minFractionDigits 24
#define fesDlg_SYMBfesDlg_DoubleNumberConverter_maxFractionDigits 25
#define fesDlg_SYMBfesDlg_PatternConverter_pattern 26
#define fesDlg_SYMBLST_fesDlg_FormularSelectElement_converter 27
#define fesDlg_RULELST_0pfesDlg_FormularSelectElement_converter 0
#define fesDlg_RULELST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter 1
#define fesDlg_RULELST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter 2
#define fesDlg_RULELST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter 3
#define fesDlg_RULELST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter 4
#define fesDlg_RULELST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter 5
#define fesDlg_RULELST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter 6
#define fesDlg_RULELST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter 7
#define fesDlg_RULELST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter 8
#define fesDlg_RULELST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter 9
#define fesDlg_RULELST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter 10
#define fesDlg_RULEpfesDlg_PatternConverter_pattern 11
#define fesDlg_RULEpfesDlg_PatternConverter 12
#define fesDlg_RULEpfesDlg_DateTimeConverter 13
#define fesDlg_RULEpfesDlg_BooleanConverter 14
#define fesDlg_RULEpfesDlg_DoubleConverter 15
#define fesDlg_RULEpfesDlg_FloatConverter 16
#define fesDlg_RULEpfesDlg_BigIntegerConverter 17
#define fesDlg_RULEpfesDlg_LongConverter 18
#define fesDlg_RULEpfesDlg_IntegerConverter 19
#define fesDlg_RULEpfesDlg_DoubleNumberConverter_maxFractionDigits 20
#define fesDlg_RULEpfesDlg_DoubleNumberConverter_minFractionDigits 21
#define fesDlg_RULEpfesDlg_DoubleNumberConverter_maxIntegerDigits 22
#define fesDlg_RULEpfesDlg_DoubleNumberConverter_minIntegerDigits 23
#define fesDlg_RULEpfesDlg_DoubleNumberConverter 24
#define fesDlg_RULEpfesDlg_IntegerNumberConverter_maxIntegerDigits 25
#define fesDlg_RULEpfesDlg_IntegerNumberConverter_minIntegerDigits 26
#define fesDlg_RULEpfesDlg_IntegerNumberConverter 27
#define fesDlg_RULEpfesDlg_FormularSelectElement_converter 28
#define fesDlg_RULEpfesDlg_FormularSelectElement_required 29
#define fesDlg_RULEpfesDlg_FormularSelectElement_pvalue 30
#define fesDlg_RULEpfesDlg_FormularSelectElement_multiple 31
#define fesDlg_RULEpfesDlg_FormularSelectElement_size 32
#define fesDlg_RULEpfesDlg_FormularSelectElement_description 33
#define fesDlg_RULEpfesDlg_FormularSelectElement_label 34
#define fesDlg_RULEpfesDlg_FormularSelectElement_name 35
#define fesDlg_RULEpfesDlg_FormularSelectElement 36
#define fesDlg_RULEpVIEWROOT_fesDlg 37
#define fesDlg_RULEpEmpty 38
#endif
