/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *fetDlg_abs_prods[] = {
  "{LST_0pfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list]\"",
  "{LST_0pfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list]\"",
  "{LST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_IntegerNumberConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_DoubleNumberConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_IntegerConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_LongConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_BigIntegerConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_FloatConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_DoubleConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_BooleanConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_DateTimeConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter} {LST_fetDlg_FormularTextAreaElement_converter} \"[list fetDlg_PatternConverter LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{LST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list fetDlg_EmailValidator LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{LST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list fetDlg_CreditCardValidator LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{LST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list fetDlg_RegExprValidator LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{LST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list fetDlg_StringLengthValidator LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{LST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list fetDlg_LongRangeValidator LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{LST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator} {LST_fetDlg_FormularTextAreaElement_validator} \"[list fetDlg_DoubleRangeValidator LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{pfetDlg_PatternConverter_pattern} {fetDlg_PatternConverter_pattern} \"[list]\"",
  "{pfetDlg_PatternConverter} {fetDlg_PatternConverter} \"[list ID fetDlg_PatternConverter_pattern]\"",
  "{pfetDlg_DoubleNumberConverter_maxFractionDigits} {fetDlg_DoubleNumberConverter_maxFractionDigits} \"[list]\"",
  "{pfetDlg_DoubleNumberConverter_minFractionDigits} {fetDlg_DoubleNumberConverter_minFractionDigits} \"[list]\"",
  "{pfetDlg_DoubleNumberConverter_maxIntegerDigits} {fetDlg_DoubleNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfetDlg_DoubleNumberConverter_minIntegerDigits} {fetDlg_DoubleNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfetDlg_DoubleNumberConverter} {fetDlg_DoubleNumberConverter} \"[list ID fetDlg_DoubleNumberConverter_minIntegerDigits fetDlg_DoubleNumberConverter_maxIntegerDigits fetDlg_DoubleNumberConverter_minFractionDigits fetDlg_DoubleNumberConverter_maxFractionDigits]\"",
  "{pfetDlg_IntegerNumberConverter_maxIntegerDigits} {fetDlg_IntegerNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfetDlg_IntegerNumberConverter_minIntegerDigits} {fetDlg_IntegerNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfetDlg_IntegerNumberConverter} {fetDlg_IntegerNumberConverter} \"[list ID fetDlg_IntegerNumberConverter_minIntegerDigits fetDlg_IntegerNumberConverter_maxIntegerDigits]\"",
  "{pfetDlg_DoubleRangeValidator_max} {fetDlg_DoubleRangeValidator_max} \"[list]\"",
  "{pfetDlg_DoubleRangeValidator_min} {fetDlg_DoubleRangeValidator_min} \"[list]\"",
  "{pfetDlg_DoubleRangeValidator} {fetDlg_DoubleRangeValidator} \"[list ID fetDlg_DoubleRangeValidator_min fetDlg_DoubleRangeValidator_max]\"",
  "{pfetDlg_LongRangeValidator_max} {fetDlg_LongRangeValidator_max} \"[list]\"",
  "{pfetDlg_LongRangeValidator_min} {fetDlg_LongRangeValidator_min} \"[list]\"",
  "{pfetDlg_LongRangeValidator} {fetDlg_LongRangeValidator} \"[list ID fetDlg_LongRangeValidator_min fetDlg_LongRangeValidator_max]\"",
  "{pfetDlg_StringLengthValidator_max} {fetDlg_StringLengthValidator_max} \"[list]\"",
  "{pfetDlg_StringLengthValidator_min} {fetDlg_StringLengthValidator_min} \"[list]\"",
  "{pfetDlg_StringLengthValidator} {fetDlg_StringLengthValidator} \"[list ID fetDlg_StringLengthValidator_min fetDlg_StringLengthValidator_max]\"",
  "{pfetDlg_RegExprValidator_pattern} {fetDlg_RegExprValidator_pattern} \"[list]\"",
  "{pfetDlg_RegExprValidator} {fetDlg_RegExprValidator} \"[list ID fetDlg_RegExprValidator_pattern]\"",
  "{pfetDlg_FormularTextAreaElement_converter} {fetDlg_FormularTextAreaElement_converter} \"[list LST_fetDlg_FormularTextAreaElement_converter]\"",
  "{pfetDlg_FormularTextAreaElement_validator} {fetDlg_FormularTextAreaElement_validator} \"[list LST_fetDlg_FormularTextAreaElement_validator]\"",
  "{pfetDlg_FormularTextAreaElement_required} {fetDlg_FormularTextAreaElement_required} \"[list]\"",
  "{pfetDlg_FormularTextAreaElement_pvalue} {fetDlg_FormularTextAreaElement_pvalue} \"[list]\"",
  "{pfetDlg_FormularTextAreaElement_rows} {fetDlg_FormularTextAreaElement_rows} \"[list]\"",
  "{pfetDlg_FormularTextAreaElement_description} {fetDlg_FormularTextAreaElement_description} \"[list]\"",
  "{pfetDlg_FormularTextAreaElement_label} {fetDlg_FormularTextAreaElement_label} \"[list]\"",
  "{pfetDlg_FormularTextAreaElement_name} {fetDlg_FormularTextAreaElement_name} \"[list]\"",
  "{pfetDlg_DateTimeConverter} {fetDlg_DateTimeConverter} \"[list ID]\"",
  "{pfetDlg_BooleanConverter} {fetDlg_BooleanConverter} \"[list ID]\"",
  "{pfetDlg_DoubleConverter} {fetDlg_DoubleConverter} \"[list ID]\"",
  "{pfetDlg_FloatConverter} {fetDlg_FloatConverter} \"[list ID]\"",
  "{pfetDlg_BigIntegerConverter} {fetDlg_BigIntegerConverter} \"[list ID]\"",
  "{pfetDlg_LongConverter} {fetDlg_LongConverter} \"[list ID]\"",
  "{pfetDlg_IntegerConverter} {fetDlg_IntegerConverter} \"[list ID]\"",
  "{pfetDlg_CreditCardValidator} {fetDlg_CreditCardValidator} \"[list ID]\"",
  "{pfetDlg_EmailValidator} {fetDlg_EmailValidator} \"[list ID]\"",
  "{pfetDlg_FormularTextAreaElement} {fetDlg_FormularTextAreaElement} \"[list ID fetDlg_FormularTextAreaElement_name fetDlg_FormularTextAreaElement_label fetDlg_FormularTextAreaElement_description fetDlg_FormularTextAreaElement_rows fetDlg_FormularTextAreaElement_pvalue fetDlg_FormularTextAreaElement_required fetDlg_FormularTextAreaElement_validator fetDlg_FormularTextAreaElement_converter]\"",
  "{pVIEWROOT_fetDlg} {VIEWROOT} \"[list fetDlg_FormularTextAreaElement]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int fetDlg_abs_nchild[] = {
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  0,
  0,
  0,
  4,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  1,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  8,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_abs_child (NODEPTR n, int c)
#else
NODEPTR fetDlg_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case fetDlg_RULELST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULELST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_PatternConverter: {
      fetDlg__TPPpfetDlg_PatternConverter m = (fetDlg__TPPpfetDlg_PatternConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_DoubleNumberConverter: {
      fetDlg__TPPpfetDlg_DoubleNumberConverter m = (fetDlg__TPPpfetDlg_DoubleNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_IntegerNumberConverter: {
      fetDlg__TPPpfetDlg_IntegerNumberConverter m = (fetDlg__TPPpfetDlg_IntegerNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_DoubleRangeValidator: {
      fetDlg__TPPpfetDlg_DoubleRangeValidator m = (fetDlg__TPPpfetDlg_DoubleRangeValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_LongRangeValidator: {
      fetDlg__TPPpfetDlg_LongRangeValidator m = (fetDlg__TPPpfetDlg_LongRangeValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_StringLengthValidator: {
      fetDlg__TPPpfetDlg_StringLengthValidator m = (fetDlg__TPPpfetDlg_StringLengthValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_RegExprValidator: {
      fetDlg__TPPpfetDlg_RegExprValidator m = (fetDlg__TPPpfetDlg_RegExprValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_FormularTextAreaElement_converter: {
      fetDlg__TPPpfetDlg_FormularTextAreaElement_converter m = (fetDlg__TPPpfetDlg_FormularTextAreaElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_FormularTextAreaElement_validator: {
      fetDlg__TPPpfetDlg_FormularTextAreaElement_validator m = (fetDlg__TPPpfetDlg_FormularTextAreaElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpfetDlg_FormularTextAreaElement: {
      fetDlg__TPPpfetDlg_FormularTextAreaElement m = (fetDlg__TPPpfetDlg_FormularTextAreaElement) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        case 8: return (NODEPTR) m->_desc8; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case fetDlg_RULEpVIEWROOT_fetDlg: {
      fetDlg__TPPpVIEWROOT_fetDlg m = (fetDlg__TPPpVIEWROOT_fetDlg) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
