
/* definition of tree node structure */

#ifndef fetDlg_NODE_H
#define fetDlg_NODE_H
#include "err.h"
#include "fetDlg_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef fetDlg_NODEPTRSUBSTRUCT
#define fetDlg_NODEPTRSUBSTRUCT
struct fetDlg_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct fetDlg__TSVIEWROOT* fetDlg__TSPVIEWROOT;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement* fetDlg__TSPfetDlg_FormularTextAreaElement;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_name* fetDlg__TSPfetDlg_FormularTextAreaElement_name;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_label* fetDlg__TSPfetDlg_FormularTextAreaElement_label;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_description* fetDlg__TSPfetDlg_FormularTextAreaElement_description;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_rows* fetDlg__TSPfetDlg_FormularTextAreaElement_rows;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_pvalue* fetDlg__TSPfetDlg_FormularTextAreaElement_pvalue;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_required* fetDlg__TSPfetDlg_FormularTextAreaElement_required;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_validator* fetDlg__TSPfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TSfetDlg_FormularTextAreaElement_converter* fetDlg__TSPfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TSfetDlg_DoubleRangeValidator* fetDlg__TSPfetDlg_DoubleRangeValidator;
typedef struct fetDlg__TSfetDlg_LongRangeValidator* fetDlg__TSPfetDlg_LongRangeValidator;
typedef struct fetDlg__TSfetDlg_StringLengthValidator* fetDlg__TSPfetDlg_StringLengthValidator;
typedef struct fetDlg__TSfetDlg_RegExprValidator* fetDlg__TSPfetDlg_RegExprValidator;
typedef struct fetDlg__TSfetDlg_CreditCardValidator* fetDlg__TSPfetDlg_CreditCardValidator;
typedef struct fetDlg__TSfetDlg_EmailValidator* fetDlg__TSPfetDlg_EmailValidator;
typedef struct fetDlg__TSfetDlg_PatternConverter* fetDlg__TSPfetDlg_PatternConverter;
typedef struct fetDlg__TSfetDlg_DateTimeConverter* fetDlg__TSPfetDlg_DateTimeConverter;
typedef struct fetDlg__TSfetDlg_BooleanConverter* fetDlg__TSPfetDlg_BooleanConverter;
typedef struct fetDlg__TSfetDlg_DoubleConverter* fetDlg__TSPfetDlg_DoubleConverter;
typedef struct fetDlg__TSfetDlg_FloatConverter* fetDlg__TSPfetDlg_FloatConverter;
typedef struct fetDlg__TSfetDlg_BigIntegerConverter* fetDlg__TSPfetDlg_BigIntegerConverter;
typedef struct fetDlg__TSfetDlg_LongConverter* fetDlg__TSPfetDlg_LongConverter;
typedef struct fetDlg__TSfetDlg_IntegerConverter* fetDlg__TSPfetDlg_IntegerConverter;
typedef struct fetDlg__TSfetDlg_DoubleNumberConverter* fetDlg__TSPfetDlg_DoubleNumberConverter;
typedef struct fetDlg__TSfetDlg_IntegerNumberConverter* fetDlg__TSPfetDlg_IntegerNumberConverter;
typedef struct fetDlg__TSfetDlg_RegExprValidator_pattern* fetDlg__TSPfetDlg_RegExprValidator_pattern;
typedef struct fetDlg__TSfetDlg_StringLengthValidator_min* fetDlg__TSPfetDlg_StringLengthValidator_min;
typedef struct fetDlg__TSfetDlg_StringLengthValidator_max* fetDlg__TSPfetDlg_StringLengthValidator_max;
typedef struct fetDlg__TSfetDlg_LongRangeValidator_min* fetDlg__TSPfetDlg_LongRangeValidator_min;
typedef struct fetDlg__TSfetDlg_LongRangeValidator_max* fetDlg__TSPfetDlg_LongRangeValidator_max;
typedef struct fetDlg__TSfetDlg_DoubleRangeValidator_min* fetDlg__TSPfetDlg_DoubleRangeValidator_min;
typedef struct fetDlg__TSfetDlg_DoubleRangeValidator_max* fetDlg__TSPfetDlg_DoubleRangeValidator_max;
typedef struct fetDlg__TSfetDlg_IntegerNumberConverter_minIntegerDigits* fetDlg__TSPfetDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct fetDlg__TSfetDlg_IntegerNumberConverter_maxIntegerDigits* fetDlg__TSPfetDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct fetDlg__TSfetDlg_DoubleNumberConverter_minIntegerDigits* fetDlg__TSPfetDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct fetDlg__TSfetDlg_DoubleNumberConverter_maxIntegerDigits* fetDlg__TSPfetDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct fetDlg__TSfetDlg_DoubleNumberConverter_minFractionDigits* fetDlg__TSPfetDlg_DoubleNumberConverter_minFractionDigits;
typedef struct fetDlg__TSfetDlg_DoubleNumberConverter_maxFractionDigits* fetDlg__TSPfetDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct fetDlg__TSfetDlg_PatternConverter_pattern* fetDlg__TSPfetDlg_PatternConverter_pattern;
typedef struct fetDlg__TSLST_fetDlg_FormularTextAreaElement_validator* fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TSLST_fetDlg_FormularTextAreaElement_converter* fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPpEmpty* fetDlg__TPPpEmpty;
typedef struct fetDlg__TPpVIEWROOT_fetDlg* fetDlg__TPPpVIEWROOT_fetDlg;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement* fetDlg__TPPpfetDlg_FormularTextAreaElement;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_name* fetDlg__TPPpfetDlg_FormularTextAreaElement_name;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_label* fetDlg__TPPpfetDlg_FormularTextAreaElement_label;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_description* fetDlg__TPPpfetDlg_FormularTextAreaElement_description;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_rows* fetDlg__TPPpfetDlg_FormularTextAreaElement_rows;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_pvalue* fetDlg__TPPpfetDlg_FormularTextAreaElement_pvalue;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_required* fetDlg__TPPpfetDlg_FormularTextAreaElement_required;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPpfetDlg_EmailValidator* fetDlg__TPPpfetDlg_EmailValidator;
typedef struct fetDlg__TPpfetDlg_CreditCardValidator* fetDlg__TPPpfetDlg_CreditCardValidator;
typedef struct fetDlg__TPpfetDlg_RegExprValidator* fetDlg__TPPpfetDlg_RegExprValidator;
typedef struct fetDlg__TPpfetDlg_RegExprValidator_pattern* fetDlg__TPPpfetDlg_RegExprValidator_pattern;
typedef struct fetDlg__TPpfetDlg_StringLengthValidator* fetDlg__TPPpfetDlg_StringLengthValidator;
typedef struct fetDlg__TPpfetDlg_StringLengthValidator_min* fetDlg__TPPpfetDlg_StringLengthValidator_min;
typedef struct fetDlg__TPpfetDlg_StringLengthValidator_max* fetDlg__TPPpfetDlg_StringLengthValidator_max;
typedef struct fetDlg__TPpfetDlg_LongRangeValidator* fetDlg__TPPpfetDlg_LongRangeValidator;
typedef struct fetDlg__TPpfetDlg_LongRangeValidator_min* fetDlg__TPPpfetDlg_LongRangeValidator_min;
typedef struct fetDlg__TPpfetDlg_LongRangeValidator_max* fetDlg__TPPpfetDlg_LongRangeValidator_max;
typedef struct fetDlg__TPpfetDlg_DoubleRangeValidator* fetDlg__TPPpfetDlg_DoubleRangeValidator;
typedef struct fetDlg__TPpfetDlg_DoubleRangeValidator_min* fetDlg__TPPpfetDlg_DoubleRangeValidator_min;
typedef struct fetDlg__TPpfetDlg_DoubleRangeValidator_max* fetDlg__TPPpfetDlg_DoubleRangeValidator_max;
typedef struct fetDlg__TPpfetDlg_IntegerNumberConverter* fetDlg__TPPpfetDlg_IntegerNumberConverter;
typedef struct fetDlg__TPpfetDlg_IntegerNumberConverter_minIntegerDigits* fetDlg__TPPpfetDlg_IntegerNumberConverter_minIntegerDigits;
typedef struct fetDlg__TPpfetDlg_IntegerNumberConverter_maxIntegerDigits* fetDlg__TPPpfetDlg_IntegerNumberConverter_maxIntegerDigits;
typedef struct fetDlg__TPpfetDlg_DoubleNumberConverter* fetDlg__TPPpfetDlg_DoubleNumberConverter;
typedef struct fetDlg__TPpfetDlg_DoubleNumberConverter_minIntegerDigits* fetDlg__TPPpfetDlg_DoubleNumberConverter_minIntegerDigits;
typedef struct fetDlg__TPpfetDlg_DoubleNumberConverter_maxIntegerDigits* fetDlg__TPPpfetDlg_DoubleNumberConverter_maxIntegerDigits;
typedef struct fetDlg__TPpfetDlg_DoubleNumberConverter_minFractionDigits* fetDlg__TPPpfetDlg_DoubleNumberConverter_minFractionDigits;
typedef struct fetDlg__TPpfetDlg_DoubleNumberConverter_maxFractionDigits* fetDlg__TPPpfetDlg_DoubleNumberConverter_maxFractionDigits;
typedef struct fetDlg__TPpfetDlg_IntegerConverter* fetDlg__TPPpfetDlg_IntegerConverter;
typedef struct fetDlg__TPpfetDlg_LongConverter* fetDlg__TPPpfetDlg_LongConverter;
typedef struct fetDlg__TPpfetDlg_BigIntegerConverter* fetDlg__TPPpfetDlg_BigIntegerConverter;
typedef struct fetDlg__TPpfetDlg_FloatConverter* fetDlg__TPPpfetDlg_FloatConverter;
typedef struct fetDlg__TPpfetDlg_DoubleConverter* fetDlg__TPPpfetDlg_DoubleConverter;
typedef struct fetDlg__TPpfetDlg_BooleanConverter* fetDlg__TPPpfetDlg_BooleanConverter;
typedef struct fetDlg__TPpfetDlg_DateTimeConverter* fetDlg__TPPpfetDlg_DateTimeConverter;
typedef struct fetDlg__TPpfetDlg_PatternConverter* fetDlg__TPPpfetDlg_PatternConverter;
typedef struct fetDlg__TPpfetDlg_PatternConverter_pattern* fetDlg__TPPpfetDlg_PatternConverter_pattern;
typedef struct fetDlg__TPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter;
typedef struct fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_validator* fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator;
typedef struct fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_converter* fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter;

struct fetDlg__TSVIEWROOT
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextAreaElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATlabelWidth;
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_name
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_label
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_description
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_rows
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_pvalue
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_required
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSfetDlg_DoubleRangeValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_LongRangeValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_StringLengthValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_RegExprValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_CreditCardValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_EmailValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_PatternConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_DateTimeConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_BooleanConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_DoubleConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_FloatConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_BigIntegerConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_LongConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_IntegerConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct fetDlg__TSfetDlg_RegExprValidator_pattern
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_StringLengthValidator_min
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_StringLengthValidator_max
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_LongRangeValidator_min
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_LongRangeValidator_max
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_DoubleRangeValidator_min
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_DoubleRangeValidator_max
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSfetDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TSLST_fetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TSLST_fetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpEmpty
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpVIEWROOT_fetDlg
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_FormularTextAreaElement _desc1;
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextAreaElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATlabelWidth;
fetDlg__TSPfetDlg_FormularTextAreaElement_name _desc1;
fetDlg__TSPfetDlg_FormularTextAreaElement_label _desc2;
fetDlg__TSPfetDlg_FormularTextAreaElement_description _desc3;
fetDlg__TSPfetDlg_FormularTextAreaElement_rows _desc4;
fetDlg__TSPfetDlg_FormularTextAreaElement_pvalue _desc5;
fetDlg__TSPfetDlg_FormularTextAreaElement_required _desc6;
fetDlg__TSPfetDlg_FormularTextAreaElement_validator _desc7;
fetDlg__TSPfetDlg_FormularTextAreaElement_converter _desc8;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_name
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_label
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_description
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_rows
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_pvalue
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_required
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc1;
};

struct fetDlg__TPpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc1;
};

struct fetDlg__TPpfetDlg_EmailValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_CreditCardValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_RegExprValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_RegExprValidator_pattern _desc1;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_RegExprValidator_pattern
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_StringLengthValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_StringLengthValidator_min _desc1;
fetDlg__TSPfetDlg_StringLengthValidator_max _desc2;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_StringLengthValidator_min
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_StringLengthValidator_max
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_LongRangeValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_LongRangeValidator_min _desc1;
fetDlg__TSPfetDlg_LongRangeValidator_max _desc2;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_LongRangeValidator_min
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_LongRangeValidator_max
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_DoubleRangeValidator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_DoubleRangeValidator_min _desc1;
fetDlg__TSPfetDlg_DoubleRangeValidator_max _desc2;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_DoubleRangeValidator_min
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_DoubleRangeValidator_max
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_IntegerNumberConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_IntegerNumberConverter_minIntegerDigits _desc1;
fetDlg__TSPfetDlg_IntegerNumberConverter_maxIntegerDigits _desc2;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_DoubleNumberConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_DoubleNumberConverter_minIntegerDigits _desc1;
fetDlg__TSPfetDlg_DoubleNumberConverter_maxIntegerDigits _desc2;
fetDlg__TSPfetDlg_DoubleNumberConverter_minFractionDigits _desc3;
fetDlg__TSPfetDlg_DoubleNumberConverter_maxFractionDigits _desc4;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPpfetDlg_IntegerConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_LongConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_BigIntegerConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_FloatConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_DoubleConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_BooleanConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_DateTimeConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_PatternConverter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
fetDlg__TSPfetDlg_PatternConverter_pattern _desc1;
int _ATTERM_1;
};

struct fetDlg__TPpfetDlg_PatternConverter_pattern
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATlabel;
};

struct fetDlg__TPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_DoubleRangeValidator _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc2;
};

struct fetDlg__TPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_LongRangeValidator _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc2;
};

struct fetDlg__TPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_StringLengthValidator _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc2;
};

struct fetDlg__TPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_RegExprValidator _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc2;
};

struct fetDlg__TPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_CreditCardValidator _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc2;
};

struct fetDlg__TPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_EmailValidator _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator _desc2;
};

struct fetDlg__TPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_PatternConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_DateTimeConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_BooleanConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_DoubleConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_FloatConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_BigIntegerConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_LongConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_IntegerConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_DoubleNumberConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
fetDlg__TSPfetDlg_IntegerNumberConverter _desc1;
fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter _desc2;
};

struct fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public fetDlg_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
