
/* interface of tree construction functions */

#ifndef globalFrameView_TREECON_H
#define globalFrameView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "globalFrameView_nodeptr.h"

#include "HEAD.h"


extern void globalFrameView_InitTree ELI_ARG((void));

extern void globalFrameView_FreeTree ELI_ARG((void));

extern NODEPTR globalFrameView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_GlobalFrame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularCheckboxElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularCheckboxElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_LongRangeValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_StringLengthValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_RegExprValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_CreditCardValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_EmailValidator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDateElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDateElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDateElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDateElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularFileUploadElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularFileUploadElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularPasswordElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularPasswordElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularPasswordElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularPasswordElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextAreaElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextAreaElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularSelectElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularSelectElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularSelectElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioElement_type ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DataSourceActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea_coords ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MapArea_queryString ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageMap ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputMessagesElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Table ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Heading ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Paragraph ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FrameRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_GlobalFrame_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_GlobalFrame_setSize ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FrameRef_frame ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_BinaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_BinaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ComputationExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ParameterValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_PredefinedExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_UnaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_UnaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_PredefinedExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ComputationExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ComputationExpression_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TextFragment ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TextFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TextFragment_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TextFragment_fontstyle ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_width ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_height ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_border ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_float ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageFragment_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Heading_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Heading_level ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Table_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TableRow ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TableColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TableCell ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TableCell_columnRef ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_TableCell_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_dataSourceId ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_RegExprValidator_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_StringLengthValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_StringLengthValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_LongRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_LongRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_IntegerNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleNumberConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_IntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_LongConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_BigIntegerConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FloatConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DoubleConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_BooleanConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_DateTimeConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_PatternConverter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_PatternConverter_pattern ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_SelectOption ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_SelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_SelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputFragment_link ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputFragment_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputColumn_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputRefContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ActionConnection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ActionConnection_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ActionConnection_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ActionConnection_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageMap_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageMap_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageMap_altText ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkglobalFrameView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR globalFrameView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpVIEWROOT_globalFrameView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularCheckboxElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularCheckboxElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularCheckboxElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularCheckboxElement_type ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define globalFrameView_Mk0pglobalFrameView_FormularCheckboxElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularCheckboxElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularCheckboxElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextElement_type ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularTextElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDateElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDateElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDateElement_type ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularDateElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDateElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDateElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularFileUploadElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularFileUploadElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularFileUploadElement_type ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularFileUploadElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularFileUploadElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularFileUploadElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularPasswordElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularPasswordElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularPasswordElement_type ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularPasswordElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularPasswordElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularPasswordElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextAreaElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextAreaElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextAreaElement_type ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularTextAreaElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextAreaElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularTextAreaElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularSelectElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularSelectElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularSelectElement_multiple ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularSelectElement_options(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularSelectElement_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularSelectElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioElement_type ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DataSourceActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR globalFrameView_MkpglobalFrameView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_DataSourceActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_WebNodeActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea_altText ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea_coords ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea_link ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_MapArea_queryString ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Frame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define globalFrameView_Mk0pglobalFrameView_Frame_components(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_Frame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_GlobalFrame ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR globalFrameView_MkpglobalFrameView_GlobalFrame_name ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_GlobalFrame_components(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_GlobalFrame_components ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_GlobalFrame_setSize ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FrameRef ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_FrameRef_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FrameRef_frame ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_BinaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
#define globalFrameView_Mk0pglobalFrameView_BinaryExpression_leftOperand(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
#define globalFrameView_Mk0pglobalFrameView_BinaryExpression_rightOperand(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_BinaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_UnaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define globalFrameView_Mk0pglobalFrameView_UnaryExpression_operand(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_UnaryExpression_operator ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_PredefinedExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_PredefinedExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ParameterValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ComputationExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_ComputationExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ComputationExpression_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Paragraph ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_Paragraph_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_Paragraph_fragments(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_Paragraph_fragments ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_TextFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR globalFrameView_MkpglobalFrameView_TextFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_TextFragment_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_TextFragment_fontstyle ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_width ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_height ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_border ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_verticalAlign ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_float ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_text ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageFragment_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Heading ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR globalFrameView_MkpglobalFrameView_Heading_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Heading_text ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Heading_level ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Table ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR globalFrameView_MkpglobalFrameView_Table_styleSheetBlock ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_Table_rows(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_Table_rows ELI_ARG((POSITION *_coordref, NODEPTR t));
#define globalFrameView_Mk0pglobalFrameView_Table_columns(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_Table_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_TableRow ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define globalFrameView_Mk0pglobalFrameView_TableRow_cells(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_TableRow_cells ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_TableColumn ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_TableCell ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_TableCell_columnRef ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_name ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_action ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_dataSourceId ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_Formular_elements(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
#define globalFrameView_Mk0pglobalFrameView_Formular_actualParams(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_Formular_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_EmailValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_CreditCardValidator ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_RegExprValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_RegExprValidator_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_StringLengthValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_StringLengthValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_StringLengthValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_LongRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_LongRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_LongRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleRangeValidator ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleRangeValidator_min ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleRangeValidator_max ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_IntegerNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_IntegerNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_IntegerNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleNumberConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleNumberConverter_minIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleNumberConverter_maxIntegerDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleNumberConverter_minFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleNumberConverter_maxFractionDigits ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_IntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_LongConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_BigIntegerConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_FloatConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_DoubleConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_BooleanConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_DateTimeConverter ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_PatternConverter ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_PatternConverter_pattern ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_name ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_description ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_pvalue ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_required ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularRadioGroupElement_validator(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_validator ELI_ARG((POSITION *_coordref, NODEPTR t));
#define globalFrameView_Mk0pglobalFrameView_FormularRadioGroupElement_converter(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_converter ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_layout ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_FormularRadioGroupElement_elements(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_elements ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularRadioGroupElement_checked ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularConstantSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define globalFrameView_Mk0pglobalFrameView_FormularConstantSelectOption_options(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularConstantSelectOption_options ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_SelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_SelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_SelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDataSourceSelectOption ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDataSourceSelectOption_name ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDataSourceSelectOption_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDataSourceSelectOption_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_FormularDataSourceSelectOption_label ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR globalFrameView_MkpglobalFrameView_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_JoinModifier_separator ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define globalFrameView_Mk0pglobalFrameView_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define globalFrameView_Mk0pglobalFrameView_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define globalFrameView_Mk0pglobalFrameView_WebNodeSessionExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputFragment ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputFragment_link ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputFragment_content ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputMessagesElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputMessagesElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputMessagesElement_errorStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputMessagesElement_infoStyleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_OutputMessagesElement_layout ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_ListOutputActualParam_expression(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_name ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_ListOutputElement_dataSourceActualParams(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_ListOutputElement_columns(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputColumn_header ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_ListOutputColumn_content(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputRefContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define globalFrameView_Mk0pglobalFrameView_ListOutputActionConnectionsContent_actionConnections(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_ActionConnection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR globalFrameView_MkpglobalFrameView_ActionConnection_action ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ActionConnection_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ActionConnection_text ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_ActionConnection_actualParams(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageMap ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageMap_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageMap_name ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageMap_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageMap_altText ELI_ARG((POSITION *_coordref));
#define globalFrameView_Mk0pglobalFrameView_ImageMap_mapAreas(_coordref) NULLNODEPTR
extern NODEPTR globalFrameView_Mk2pglobalFrameView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR globalFrameView_MkpglobalFrameView_ImageMap_mapAreas ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR globalFrameView_Mkrule_1 ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
#define globalFrameView_MkID(pos,val) (val)
#endif
