
/* encoding of tree node types and symbols */

#ifndef listOutputView_NODECODE_H
#define listOutputView_NODECODE_H

extern int listOutputView_LHSMAP[];

#define listOutputView_IsSymb(_n,_c) (listOutputView_LHSMAP[(_n)->_prod] == (_c))

#define listOutputView_SYMBVIEWROOT 0
#define listOutputView_SYMBlistOutputView_ListOutputElement 1
#define listOutputView_SYMBlistOutputView_ListOutputActualParam 2
#define listOutputView_SYMBlistOutputView_ListOutputActualParam_formalParam 3
#define listOutputView_SYMBlistOutputView_ListOutputActualParam_keyword1 4
#define listOutputView_SYMBlistOutputView_ListOutputActualParam_expression 5
#define listOutputView_SYMBlistOutputView_ComputationExpression 6
#define listOutputView_SYMBlistOutputView_ParameterValueExpression 7
#define listOutputView_SYMBlistOutputView_ProjectionColumnValueExpression 8
#define listOutputView_SYMBlistOutputView_ColumnValueExpression 9
#define listOutputView_SYMBlistOutputView_ConstantExpression 10
#define listOutputView_SYMBlistOutputView_PredefinedExpression 11
#define listOutputView_SYMBlistOutputView_UnaryExpression 12
#define listOutputView_SYMBlistOutputView_BinaryExpression 13
#define listOutputView_SYMBlistOutputView_DataSourceActualParam 14
#define listOutputView_SYMBlistOutputView_DataSourceActualParam_formalParam 15
#define listOutputView_SYMBlistOutputView_DataSourceActualParam_keyword1 16
#define listOutputView_SYMBlistOutputView_DataSourceActualParam_expressions 17
#define listOutputView_SYMBlistOutputView_WebNodeSessionExpression 18
#define listOutputView_SYMBlistOutputView_WebNodeVariableExpression 19
#define listOutputView_SYMBlistOutputView_WebNodeConstantExpression 20
#define listOutputView_SYMBlistOutputView_BinaryExpression_keyword1 21
#define listOutputView_SYMBlistOutputView_BinaryExpression_leftOperand 22
#define listOutputView_SYMBlistOutputView_BinaryExpression_operator 23
#define listOutputView_SYMBlistOutputView_BinaryExpression_rightOperand 24
#define listOutputView_SYMBlistOutputView_BinaryExpression_keyword2 25
#define listOutputView_SYMBlistOutputView_UnaryExpression_operator 26
#define listOutputView_SYMBlistOutputView_UnaryExpression_operand 27
#define listOutputView_SYMBlistOutputView_PredefinedExpression_value 28
#define listOutputView_SYMBlistOutputView_ConstantExpression_keyword1 29
#define listOutputView_SYMBlistOutputView_ConstantExpression_value 30
#define listOutputView_SYMBlistOutputView_ConstantExpression_keyword2 31
#define listOutputView_SYMBlistOutputView_ColumnValueExpression_column 32
#define listOutputView_SYMBlistOutputView_ProjectionColumnValueExpression_column 33
#define listOutputView_SYMBlistOutputView_ParameterValueExpression_parameter 34
#define listOutputView_SYMBlistOutputView_ComputationExpression_computation 35
#define listOutputView_SYMBlistOutputView_ComputationExpression_keyword1 36
#define listOutputView_SYMBlistOutputView_ComputationExpression_column 37
#define listOutputView_SYMBlistOutputView_ComputationExpression_keyword2 38
#define listOutputView_SYMBlistOutputView_MD5Modifier 39
#define listOutputView_SYMBlistOutputView_JoinModifier 40
#define listOutputView_SYMBlistOutputView_JoinModifier_separator 41
#define listOutputView_SYMBlistOutputView_WebNodeConstantExpression_modifier 42
#define listOutputView_SYMBlistOutputView_WebNodeConstantExpression_value 43
#define listOutputView_SYMBlistOutputView_WebNodeVariableExpression_modifier 44
#define listOutputView_SYMBlistOutputView_WebNodeVariableExpression_content 45
#define listOutputView_SYMBlistOutputView_WebNodeSessionExpression_modifier 46
#define listOutputView_SYMBlistOutputView_WebNodeSessionExpression_content 47
#define listOutputView_SYMBlistOutputView_ListOutputElement_styleSheetBlock 48
#define listOutputView_SYMBlistOutputView_ListOutputElement_name 49
#define listOutputView_SYMBlistOutputView_ListOutputElement_dataSourceActualParams 50
#define listOutputView_SYMBlistOutputView_ListOutputElement_dataSource 51
#define listOutputView_SYMBlistOutputView_ListOutputElement_maxNumberOfElements 52
#define listOutputView_SYMBlistOutputView_ListOutputElement_renderAs 53
#define listOutputView_SYMBlistOutputView_ListOutputElement_navigationElement 54
#define listOutputView_SYMBlistOutputView_ListOutputElement_columns 55
#define listOutputView_SYMBlistOutputView_ListOutputElement_headerStyleClass 56
#define listOutputView_SYMBlistOutputView_ListOutputElement_evenRowStyleClass 57
#define listOutputView_SYMBlistOutputView_ListOutputElement_oddRowStyleClass 58
#define listOutputView_SYMBlistOutputView_ListOutputColumn 59
#define listOutputView_SYMBlistOutputView_ListOutputColumn_header 60
#define listOutputView_SYMBlistOutputView_ListOutputColumn_content 61
#define listOutputView_SYMBlistOutputView_ListOutputActionConnectionsContent 62
#define listOutputView_SYMBlistOutputView_ListOutputNumerationContent 63
#define listOutputView_SYMBlistOutputView_ListOutputProjectionContent 64
#define listOutputView_SYMBlistOutputView_ListOutputRefContent 65
#define listOutputView_SYMBlistOutputView_ListOutputConstantContent 66
#define listOutputView_SYMBlistOutputView_ListOutputConstantContent_value 67
#define listOutputView_SYMBlistOutputView_ListOutputRefContent_column 68
#define listOutputView_SYMBlistOutputView_ListOutputProjectionContent_column 69
#define listOutputView_SYMBlistOutputView_ListOutputNumerationContent_name 70
#define listOutputView_SYMBlistOutputView_ListOutputActionConnectionsContent_actionConnections 71
#define listOutputView_SYMBlistOutputView_ActionConnection 72
#define listOutputView_SYMBlistOutputView_ActionConnection_action 73
#define listOutputView_SYMBlistOutputView_ActionConnection_imageName 74
#define listOutputView_SYMBlistOutputView_ActionConnection_text 75
#define listOutputView_SYMBlistOutputView_ActionConnection_actualParams 76
#define listOutputView_SYMBLST_listOutputView_ListOutputActualParam_expression 77
#define listOutputView_SYMBLST_listOutputView_DataSourceActualParam_expressions 78
#define listOutputView_SYMBLST_listOutputView_BinaryExpression_leftOperand 79
#define listOutputView_SYMBLST_listOutputView_BinaryExpression_rightOperand 80
#define listOutputView_SYMBLST_listOutputView_UnaryExpression_operand 81
#define listOutputView_SYMBLST_listOutputView_WebNodeConstantExpression_modifier 82
#define listOutputView_SYMBLST_listOutputView_WebNodeVariableExpression_modifier 83
#define listOutputView_SYMBLST_listOutputView_WebNodeSessionExpression_modifier 84
#define listOutputView_SYMBLST_listOutputView_ListOutputElement_dataSourceActualParams 85
#define listOutputView_SYMBLST_listOutputView_ListOutputElement_columns 86
#define listOutputView_SYMBLST_listOutputView_ListOutputColumn_content 87
#define listOutputView_SYMBLST_listOutputView_ListOutputActionConnectionsContent_actionConnections 88
#define listOutputView_SYMBLST_listOutputView_ActionConnection_actualParams 89
#define listOutputView_RULELST_0plistOutputView_ActionConnection_actualParams 0
#define listOutputView_RULELST_0plistOutputView_ListOutputActionConnectionsContent_actionConnections 1
#define listOutputView_RULELST_0plistOutputView_ListOutputElement_columns 2
#define listOutputView_RULELST_0plistOutputView_ListOutputElement_dataSourceActualParams 3
#define listOutputView_RULELST_listOutputView_ListOutputActualParamplistOutputView_ActionConnection_actualParams 4
#define listOutputView_RULELST_listOutputView_ActionConnectionplistOutputView_ListOutputActionConnectionsContent_actionConnections 5
#define listOutputView_RULELST_listOutputView_ListOutputColumnplistOutputView_ListOutputElement_columns 6
#define listOutputView_RULELST_listOutputView_DataSourceActualParamplistOutputView_ListOutputElement_dataSourceActualParams 7
#define listOutputView_RULEplistOutputView_ActionConnection 8
#define listOutputView_RULEplistOutputView_ListOutputColumn 9
#define listOutputView_RULEplistOutputView_DataSourceActualParam 10
#define listOutputView_RULEplistOutputView_ListOutputActualParam 11
#define listOutputView_RULELST_0plistOutputView_ListOutputColumn_content 12
#define listOutputView_RULELST_0plistOutputView_UnaryExpression_operand 13
#define listOutputView_RULELST_0plistOutputView_BinaryExpression_rightOperand 14
#define listOutputView_RULELST_0plistOutputView_BinaryExpression_leftOperand 15
#define listOutputView_RULELST_0plistOutputView_DataSourceActualParam_expressions 16
#define listOutputView_RULELST_0plistOutputView_ListOutputActualParam_expression 17
#define listOutputView_RULELST_listOutputView_ListOutputConstantContentplistOutputView_ListOutputColumn_content 18
#define listOutputView_RULELST_listOutputView_ListOutputRefContentplistOutputView_ListOutputColumn_content 19
#define listOutputView_RULELST_listOutputView_ListOutputProjectionContentplistOutputView_ListOutputColumn_content 20
#define listOutputView_RULELST_listOutputView_ListOutputNumerationContentplistOutputView_ListOutputColumn_content 21
#define listOutputView_RULELST_listOutputView_ListOutputActionConnectionsContentplistOutputView_ListOutputColumn_content 22
#define listOutputView_RULELST_listOutputView_BinaryExpressionplistOutputView_UnaryExpression_operand 23
#define listOutputView_RULELST_listOutputView_UnaryExpressionplistOutputView_UnaryExpression_operand 24
#define listOutputView_RULELST_listOutputView_PredefinedExpressionplistOutputView_UnaryExpression_operand 25
#define listOutputView_RULELST_listOutputView_ConstantExpressionplistOutputView_UnaryExpression_operand 26
#define listOutputView_RULELST_listOutputView_ColumnValueExpressionplistOutputView_UnaryExpression_operand 27
#define listOutputView_RULELST_listOutputView_ProjectionColumnValueExpressionplistOutputView_UnaryExpression_operand 28
#define listOutputView_RULELST_listOutputView_ParameterValueExpressionplistOutputView_UnaryExpression_operand 29
#define listOutputView_RULELST_listOutputView_ComputationExpressionplistOutputView_UnaryExpression_operand 30
#define listOutputView_RULELST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_rightOperand 31
#define listOutputView_RULELST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_rightOperand 32
#define listOutputView_RULELST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_rightOperand 33
#define listOutputView_RULELST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_rightOperand 34
#define listOutputView_RULELST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_rightOperand 35
#define listOutputView_RULELST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_rightOperand 36
#define listOutputView_RULELST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_rightOperand 37
#define listOutputView_RULELST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_rightOperand 38
#define listOutputView_RULELST_listOutputView_BinaryExpressionplistOutputView_BinaryExpression_leftOperand 39
#define listOutputView_RULELST_listOutputView_UnaryExpressionplistOutputView_BinaryExpression_leftOperand 40
#define listOutputView_RULELST_listOutputView_PredefinedExpressionplistOutputView_BinaryExpression_leftOperand 41
#define listOutputView_RULELST_listOutputView_ConstantExpressionplistOutputView_BinaryExpression_leftOperand 42
#define listOutputView_RULELST_listOutputView_ColumnValueExpressionplistOutputView_BinaryExpression_leftOperand 43
#define listOutputView_RULELST_listOutputView_ProjectionColumnValueExpressionplistOutputView_BinaryExpression_leftOperand 44
#define listOutputView_RULELST_listOutputView_ParameterValueExpressionplistOutputView_BinaryExpression_leftOperand 45
#define listOutputView_RULELST_listOutputView_ComputationExpressionplistOutputView_BinaryExpression_leftOperand 46
#define listOutputView_RULELST_listOutputView_WebNodeConstantExpressionplistOutputView_DataSourceActualParam_expressions 47
#define listOutputView_RULELST_listOutputView_WebNodeVariableExpressionplistOutputView_DataSourceActualParam_expressions 48
#define listOutputView_RULELST_listOutputView_WebNodeSessionExpressionplistOutputView_DataSourceActualParam_expressions 49
#define listOutputView_RULELST_listOutputView_BinaryExpressionplistOutputView_ListOutputActualParam_expression 50
#define listOutputView_RULELST_listOutputView_UnaryExpressionplistOutputView_ListOutputActualParam_expression 51
#define listOutputView_RULELST_listOutputView_PredefinedExpressionplistOutputView_ListOutputActualParam_expression 52
#define listOutputView_RULELST_listOutputView_ConstantExpressionplistOutputView_ListOutputActualParam_expression 53
#define listOutputView_RULELST_listOutputView_ColumnValueExpressionplistOutputView_ListOutputActualParam_expression 54
#define listOutputView_RULELST_listOutputView_ProjectionColumnValueExpressionplistOutputView_ListOutputActualParam_expression 55
#define listOutputView_RULELST_listOutputView_ParameterValueExpressionplistOutputView_ListOutputActualParam_expression 56
#define listOutputView_RULELST_listOutputView_ComputationExpressionplistOutputView_ListOutputActualParam_expression 57
#define listOutputView_RULEplistOutputView_ActionConnection_actualParams 58
#define listOutputView_RULEplistOutputView_ActionConnection_text 59
#define listOutputView_RULEplistOutputView_ActionConnection_imageName 60
#define listOutputView_RULEplistOutputView_ActionConnection_action 61
#define listOutputView_RULEplistOutputView_ListOutputActionConnectionsContent_actionConnections 62
#define listOutputView_RULEplistOutputView_ListOutputActionConnectionsContent 63
#define listOutputView_RULEplistOutputView_ListOutputNumerationContent_name 64
#define listOutputView_RULEplistOutputView_ListOutputNumerationContent 65
#define listOutputView_RULEplistOutputView_ListOutputProjectionContent_column 66
#define listOutputView_RULEplistOutputView_ListOutputProjectionContent 67
#define listOutputView_RULEplistOutputView_ListOutputRefContent_column 68
#define listOutputView_RULEplistOutputView_ListOutputRefContent 69
#define listOutputView_RULEplistOutputView_ListOutputConstantContent_value 70
#define listOutputView_RULEplistOutputView_ListOutputConstantContent 71
#define listOutputView_RULEplistOutputView_ListOutputColumn_content 72
#define listOutputView_RULEplistOutputView_ListOutputColumn_header 73
#define listOutputView_RULEplistOutputView_ListOutputElement_columns 74
#define listOutputView_RULEplistOutputView_ListOutputElement_dataSource 75
#define listOutputView_RULEplistOutputView_ListOutputElement_dataSourceActualParams 76
#define listOutputView_RULEplistOutputView_WebNodeSessionExpression_content 77
#define listOutputView_RULEplistOutputView_WebNodeSessionExpression_modifier 78
#define listOutputView_RULEplistOutputView_WebNodeSessionExpression 79
#define listOutputView_RULEplistOutputView_WebNodeVariableExpression_content 80
#define listOutputView_RULEplistOutputView_WebNodeVariableExpression_modifier 81
#define listOutputView_RULEplistOutputView_WebNodeVariableExpression 82
#define listOutputView_RULEplistOutputView_WebNodeConstantExpression_value 83
#define listOutputView_RULEplistOutputView_WebNodeConstantExpression_modifier 84
#define listOutputView_RULEplistOutputView_WebNodeConstantExpression 85
#define listOutputView_RULEplistOutputView_ComputationExpression_keyword2 86
#define listOutputView_RULEplistOutputView_ComputationExpression_column 87
#define listOutputView_RULEplistOutputView_ComputationExpression_keyword1 88
#define listOutputView_RULEplistOutputView_ComputationExpression_computation 89
#define listOutputView_RULEplistOutputView_ComputationExpression 90
#define listOutputView_RULEplistOutputView_ParameterValueExpression_parameter 91
#define listOutputView_RULEplistOutputView_ParameterValueExpression 92
#define listOutputView_RULEplistOutputView_ProjectionColumnValueExpression_column 93
#define listOutputView_RULEplistOutputView_ProjectionColumnValueExpression 94
#define listOutputView_RULEplistOutputView_ColumnValueExpression_column 95
#define listOutputView_RULEplistOutputView_ColumnValueExpression 96
#define listOutputView_RULEplistOutputView_ConstantExpression_keyword2 97
#define listOutputView_RULEplistOutputView_ConstantExpression_value 98
#define listOutputView_RULEplistOutputView_ConstantExpression_keyword1 99
#define listOutputView_RULEplistOutputView_ConstantExpression 100
#define listOutputView_RULEplistOutputView_PredefinedExpression_value 101
#define listOutputView_RULEplistOutputView_PredefinedExpression 102
#define listOutputView_RULEplistOutputView_UnaryExpression_operand 103
#define listOutputView_RULEplistOutputView_UnaryExpression_operator 104
#define listOutputView_RULEplistOutputView_UnaryExpression 105
#define listOutputView_RULEplistOutputView_BinaryExpression_keyword2 106
#define listOutputView_RULEplistOutputView_BinaryExpression_rightOperand 107
#define listOutputView_RULEplistOutputView_BinaryExpression_operator 108
#define listOutputView_RULEplistOutputView_BinaryExpression_leftOperand 109
#define listOutputView_RULEplistOutputView_BinaryExpression_keyword1 110
#define listOutputView_RULEplistOutputView_BinaryExpression 111
#define listOutputView_RULEplistOutputView_DataSourceActualParam_expressions 112
#define listOutputView_RULEplistOutputView_DataSourceActualParam_keyword1 113
#define listOutputView_RULEplistOutputView_DataSourceActualParam_formalParam 114
#define listOutputView_RULEplistOutputView_ListOutputActualParam_expression 115
#define listOutputView_RULEplistOutputView_ListOutputActualParam_keyword1 116
#define listOutputView_RULEplistOutputView_ListOutputActualParam_formalParam 117
#define listOutputView_RULELST_0plistOutputView_WebNodeSessionExpression_modifier 118
#define listOutputView_RULELST_0plistOutputView_WebNodeVariableExpression_modifier 119
#define listOutputView_RULELST_0plistOutputView_WebNodeConstantExpression_modifier 120
#define listOutputView_RULELST_listOutputView_MD5ModifierplistOutputView_WebNodeSessionExpression_modifier 121
#define listOutputView_RULELST_listOutputView_JoinModifierplistOutputView_WebNodeSessionExpression_modifier 122
#define listOutputView_RULELST_listOutputView_MD5ModifierplistOutputView_WebNodeVariableExpression_modifier 123
#define listOutputView_RULELST_listOutputView_JoinModifierplistOutputView_WebNodeVariableExpression_modifier 124
#define listOutputView_RULELST_listOutputView_MD5ModifierplistOutputView_WebNodeConstantExpression_modifier 125
#define listOutputView_RULELST_listOutputView_JoinModifierplistOutputView_WebNodeConstantExpression_modifier 126
#define listOutputView_RULEplistOutputView_ListOutputElement_oddRowStyleClass 127
#define listOutputView_RULEplistOutputView_ListOutputElement_evenRowStyleClass 128
#define listOutputView_RULEplistOutputView_ListOutputElement_headerStyleClass 129
#define listOutputView_RULEplistOutputView_ListOutputElement_navigationElement 130
#define listOutputView_RULEplistOutputView_ListOutputElement_renderAs 131
#define listOutputView_RULEplistOutputView_ListOutputElement_maxNumberOfElements 132
#define listOutputView_RULEplistOutputView_ListOutputElement_name 133
#define listOutputView_RULEplistOutputView_ListOutputElement_styleSheetBlock 134
#define listOutputView_RULEplistOutputView_ListOutputElement 135
#define listOutputView_RULEplistOutputView_JoinModifier_separator 136
#define listOutputView_RULEplistOutputView_JoinModifier 137
#define listOutputView_RULEplistOutputView_MD5Modifier 138
#define listOutputView_RULEpVIEWROOT_listOutputView 139
#define listOutputView_RULEpEmpty 140
#endif
