
/* interface of tree construction functions */

#ifndef listOutputView_TREECON_H
#define listOutputView_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "listOutputView_nodeptr.h"

#include "HEAD.h"


extern void listOutputView_InitTree ELI_ARG((void));

extern void listOutputView_FreeTree ELI_ARG((void));

extern NODEPTR listOutputView_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ComputationExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ParameterValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ColumnValueExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_PredefinedExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_UnaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_BinaryExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_DataSourceActualParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_BinaryExpression_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_BinaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_BinaryExpression_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_UnaryExpression_operator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_PredefinedExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ConstantExpression_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ConstantExpression_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ComputationExpression_computation ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ComputationExpression_keyword1 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ComputationExpression_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ComputationExpression_keyword2 ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputColumn ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputColumn_header ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputRefContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ActionConnection ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ActionConnection_action ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ActionConnection_imageName ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ActionConnection_text ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MklistOutputView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR listOutputView_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkpVIEWROOT_listOutputView ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_ListOutputActualParam_expression(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputActualParam_expression ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_DataSourceActualParam ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR listOutputView_MkplistOutputView_DataSourceActualParam_formalParam ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_DataSourceActualParam_keyword1 ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_DataSourceActualParam_expressions(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_DataSourceActualParam_expressions ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_BinaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5));
extern NODEPTR listOutputView_MkplistOutputView_BinaryExpression_keyword1 ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_BinaryExpression_leftOperand(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_BinaryExpression_leftOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_BinaryExpression_operator ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_BinaryExpression_rightOperand(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_BinaryExpression_rightOperand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_BinaryExpression_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_UnaryExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR listOutputView_MkplistOutputView_UnaryExpression_operator ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_UnaryExpression_operand(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_UnaryExpression_operand ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_PredefinedExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_PredefinedExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3));
extern NODEPTR listOutputView_MkplistOutputView_ConstantExpression_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ConstantExpression_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ProjectionColumnValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ProjectionColumnValueExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ParameterValueExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ParameterValueExpression_parameter ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ComputationExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR listOutputView_MkplistOutputView_ComputationExpression_computation ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ComputationExpression_keyword1 ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ComputationExpression_column ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ComputationExpression_keyword2 ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR listOutputView_MkplistOutputView_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_JoinModifier_separator ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define listOutputView_Mk0plistOutputView_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeVariableExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define listOutputView_Mk0plistOutputView_WebNodeVariableExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeVariableExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeVariableExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeSessionExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
#define listOutputView_Mk0plistOutputView_WebNodeSessionExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeSessionExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_WebNodeSessionExpression_content ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_styleSheetBlock ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_name ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_ListOutputElement_dataSourceActualParams(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_dataSourceActualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_dataSource ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_maxNumberOfElements ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_renderAs ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_navigationElement ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_ListOutputElement_columns(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_columns ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_headerStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_evenRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputElement_oddRowStyleClass ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputColumn ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputColumn_header ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_ListOutputColumn_content(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputColumn_content ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputConstantContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputConstantContent_value ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputRefContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputRefContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputProjectionContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputProjectionContent_column ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputNumerationContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputNumerationContent_name ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputActionConnectionsContent ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
#define listOutputView_Mk0plistOutputView_ListOutputActionConnectionsContent_actionConnections(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_ListOutputActionConnectionsContent_actionConnections ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR listOutputView_MkplistOutputView_ActionConnection ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4));
extern NODEPTR listOutputView_MkplistOutputView_ActionConnection_action ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ActionConnection_imageName ELI_ARG((POSITION *_coordref));
extern NODEPTR listOutputView_MkplistOutputView_ActionConnection_text ELI_ARG((POSITION *_coordref));
#define listOutputView_Mk0plistOutputView_ActionConnection_actualParams(_coordref) NULLNODEPTR
extern NODEPTR listOutputView_Mk2plistOutputView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR listOutputView_MkplistOutputView_ActionConnection_actualParams ELI_ARG((POSITION *_coordref, NODEPTR t));
#define listOutputView_MkID(pos,val) (val)
#endif
