
/* definition of tree node structure */

#ifndef metaInformation_NODE_H
#define metaInformation_NODE_H
#include "err.h"
#include "metaInformation_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef metaInformation_NODEPTRSUBSTRUCT
#define metaInformation_NODEPTRSUBSTRUCT
struct metaInformation_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct metaInformation__TSVIEWROOT* metaInformation__TSPVIEWROOT;
typedef struct metaInformation__TSmetaInformation_MetaInformation* metaInformation__TSPmetaInformation_MetaInformation;
typedef struct metaInformation__TSmetaInformation_MetaInformation_keyword1* metaInformation__TSPmetaInformation_MetaInformation_keyword1;
typedef struct metaInformation__TSmetaInformation_MetaInformation_keyword2* metaInformation__TSPmetaInformation_MetaInformation_keyword2;
typedef struct metaInformation__TSmetaInformation_MetaInformation_keyword3* metaInformation__TSPmetaInformation_MetaInformation_keyword3;
typedef struct metaInformation__TSmetaInformation_MetaInformation_elements* metaInformation__TSPmetaInformation_MetaInformation_elements;
typedef struct metaInformation__TSmetaInformation_MetaInformation_keyword4* metaInformation__TSPmetaInformation_MetaInformation_keyword4;
typedef struct metaInformation__TSmetaInformation_MetaInformationElement* metaInformation__TSPmetaInformation_MetaInformationElement;
typedef struct metaInformation__TSmetaInformation_MetaInformationElement_property* metaInformation__TSPmetaInformation_MetaInformationElement_property;
typedef struct metaInformation__TSmetaInformation_MetaInformationElement_keyword1* metaInformation__TSPmetaInformation_MetaInformationElement_keyword1;
typedef struct metaInformation__TSmetaInformation_MetaInformationElement_value* metaInformation__TSPmetaInformation_MetaInformationElement_value;
typedef struct metaInformation__TSmetaInformation_MetaInformationElement_keyword2* metaInformation__TSPmetaInformation_MetaInformationElement_keyword2;
typedef struct metaInformation__TSLST_metaInformation_MetaInformation_elements* metaInformation__TSPLST_metaInformation_MetaInformation_elements;
typedef struct metaInformation__TPpEmpty* metaInformation__TPPpEmpty;
typedef struct metaInformation__TPpVIEWROOT_metaInformation* metaInformation__TPPpVIEWROOT_metaInformation;
typedef struct metaInformation__TPpmetaInformation_MetaInformation* metaInformation__TPPpmetaInformation_MetaInformation;
typedef struct metaInformation__TPpmetaInformation_MetaInformation_keyword1* metaInformation__TPPpmetaInformation_MetaInformation_keyword1;
typedef struct metaInformation__TPpmetaInformation_MetaInformation_keyword2* metaInformation__TPPpmetaInformation_MetaInformation_keyword2;
typedef struct metaInformation__TPpmetaInformation_MetaInformation_keyword3* metaInformation__TPPpmetaInformation_MetaInformation_keyword3;
typedef struct metaInformation__TPpmetaInformation_MetaInformation_elements* metaInformation__TPPpmetaInformation_MetaInformation_elements;
typedef struct metaInformation__TPpmetaInformation_MetaInformation_keyword4* metaInformation__TPPpmetaInformation_MetaInformation_keyword4;
typedef struct metaInformation__TPpmetaInformation_MetaInformationElement* metaInformation__TPPpmetaInformation_MetaInformationElement;
typedef struct metaInformation__TPpmetaInformation_MetaInformationElement_property* metaInformation__TPPpmetaInformation_MetaInformationElement_property;
typedef struct metaInformation__TPpmetaInformation_MetaInformationElement_keyword1* metaInformation__TPPpmetaInformation_MetaInformationElement_keyword1;
typedef struct metaInformation__TPpmetaInformation_MetaInformationElement_value* metaInformation__TPPpmetaInformation_MetaInformationElement_value;
typedef struct metaInformation__TPpmetaInformation_MetaInformationElement_keyword2* metaInformation__TPPpmetaInformation_MetaInformationElement_keyword2;
typedef struct metaInformation__TPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements* metaInformation__TPPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements;
typedef struct metaInformation__TPLST_0pmetaInformation_MetaInformation_elements* metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements;

struct metaInformation__TSVIEWROOT
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TSmetaInformation_MetaInformation
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSmetaInformation_MetaInformation_keyword1
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TSmetaInformation_MetaInformation_keyword2
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TSmetaInformation_MetaInformation_keyword3
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TSmetaInformation_MetaInformation_elements
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLList _ATseparatorList;
int _ATVPNumberedList_elementCount;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSmetaInformation_MetaInformation_keyword4
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TSmetaInformation_MetaInformationElement
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationElementPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPNumberedElement_isLast;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSmetaInformation_MetaInformationElement_property
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSmetaInformation_MetaInformationElement_keyword1
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSmetaInformation_MetaInformationElement_value
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSmetaInformation_MetaInformationElement_keyword2
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TSLST_metaInformation_MetaInformation_elements
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TPpEmpty
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TPpVIEWROOT_metaInformation
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
metaInformation__TSPmetaInformation_MetaInformation _desc1;
};

struct metaInformation__TPpmetaInformation_MetaInformation
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
metaInformation__TSPmetaInformation_MetaInformation_keyword1 _desc1;
metaInformation__TSPmetaInformation_MetaInformation_keyword2 _desc2;
metaInformation__TSPmetaInformation_MetaInformation_keyword3 _desc3;
metaInformation__TSPmetaInformation_MetaInformation_elements _desc4;
metaInformation__TSPmetaInformation_MetaInformation_keyword4 _desc5;
int _ATTERM_1;
};

struct metaInformation__TPpmetaInformation_MetaInformation_keyword1
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TPpmetaInformation_MetaInformation_keyword2
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TPpmetaInformation_MetaInformation_keyword3
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TPpmetaInformation_MetaInformation_elements
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLList _ATseparatorList;
int _ATVPNumberedList_elementCount;
VLObjectPointer _ATobjId;
metaInformation__TSPLST_metaInformation_MetaInformation_elements _desc1;
};

struct metaInformation__TPpmetaInformation_MetaInformation_keyword4
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct metaInformation__TPpmetaInformation_MetaInformationElement
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationElementPtr _ATobjPtr;
int _ATVPNumberedElement_number;
int _ATVPNumberedElement_isLast;
VLObjectPointer _ATobjId;
metaInformation__TSPmetaInformation_MetaInformationElement_property _desc1;
metaInformation__TSPmetaInformation_MetaInformationElement_keyword1 _desc2;
metaInformation__TSPmetaInformation_MetaInformationElement_value _desc3;
metaInformation__TSPmetaInformation_MetaInformationElement_keyword2 _desc4;
int _ATTERM_1;
};

struct metaInformation__TPpmetaInformation_MetaInformationElement_property
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TPpmetaInformation_MetaInformationElement_keyword1
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TPpmetaInformation_MetaInformationElement_value
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLList _ATtextList;
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TPpmetaInformation_MetaInformationElement_keyword2
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtext;
VLObjectPointer _ATobjId;
};

struct metaInformation__TPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
metaInformation__TSPmetaInformation_MetaInformationElement _desc1;
metaInformation__TSPLST_metaInformation_MetaInformation_elements _desc2;
};

struct metaInformation__TPLST_0pmetaInformation_MetaInformation_elements
#ifdef __cplusplus
	: public metaInformation_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
