
/* definition of tree node structure */

#ifndef navigationBarView_NODE_H
#define navigationBarView_NODE_H
#include "err.h"
#include "navigationBarView_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef navigationBarView_NODEPTRSUBSTRUCT
#define navigationBarView_NODEPTRSUBSTRUCT
struct navigationBarView_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct navigationBarView__TSVIEWROOT* navigationBarView__TSPVIEWROOT;
typedef struct navigationBarView__TSnavigationBarView_NavigationBar* navigationBarView__TSPnavigationBarView_NavigationBar;
typedef struct navigationBarView__TSnavigationBarView_NavigationBar_styleSheetBlock* navigationBarView__TSPnavigationBarView_NavigationBar_styleSheetBlock;
typedef struct navigationBarView__TSnavigationBarView_NavigationBar_elements* navigationBarView__TSPnavigationBarView_NavigationBar_elements;
typedef struct navigationBarView__TSnavigationBarView_NavigationBar_alignment* navigationBarView__TSPnavigationBarView_NavigationBar_alignment;
typedef struct navigationBarView__TSnavigationBarView_NavigationBarElement* navigationBarView__TSPnavigationBarView_NavigationBarElement;
typedef struct navigationBarView__TSnavigationBarView_NavigationBarElement_imageName* navigationBarView__TSPnavigationBarView_NavigationBarElement_imageName;
typedef struct navigationBarView__TSnavigationBarView_NavigationBarElement_target* navigationBarView__TSPnavigationBarView_NavigationBarElement_target;
typedef struct navigationBarView__TSLST_navigationBarView_NavigationBar_elements* navigationBarView__TSPLST_navigationBarView_NavigationBar_elements;
typedef struct navigationBarView__TPpEmpty* navigationBarView__TPPpEmpty;
typedef struct navigationBarView__TPpVIEWROOT_navigationBarView* navigationBarView__TPPpVIEWROOT_navigationBarView;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBar* navigationBarView__TPPpnavigationBarView_NavigationBar;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBar_styleSheetBlock* navigationBarView__TPPpnavigationBarView_NavigationBar_styleSheetBlock;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBar_elements* navigationBarView__TPPpnavigationBarView_NavigationBar_elements;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBar_alignment* navigationBarView__TPPpnavigationBarView_NavigationBar_alignment;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBarElement* navigationBarView__TPPpnavigationBarView_NavigationBarElement;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBarElement_imageName* navigationBarView__TPPpnavigationBarView_NavigationBarElement_imageName;
typedef struct navigationBarView__TPpnavigationBarView_NavigationBarElement_target* navigationBarView__TPPpnavigationBarView_NavigationBarElement_target;
typedef struct navigationBarView__TPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements* navigationBarView__TPPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements;
typedef struct navigationBarView__TPLST_0pnavigationBarView_NavigationBar_elements* navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements;

struct navigationBarView__TSVIEWROOT
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TSnavigationBarView_NavigationBar
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarPtr _ATobjPtr;
VLString _ATpers_alignment;
VLObjectPointer _ATobjId;
};

struct navigationBarView__TSnavigationBarView_NavigationBar_styleSheetBlock
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TSnavigationBarView_NavigationBar_elements
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
};

struct navigationBarView__TSnavigationBarView_NavigationBar_alignment
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TSnavigationBarView_NavigationBarElement
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
};

struct navigationBarView__TSnavigationBarView_NavigationBarElement_imageName
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VLString _ATinternalImageName;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct navigationBarView__TSnavigationBarView_NavigationBarElement_target
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct navigationBarView__TSLST_navigationBarView_NavigationBar_elements
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TPpEmpty
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TPpVIEWROOT_navigationBarView
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
navigationBarView__TSPnavigationBarView_NavigationBar _desc1;
};

struct navigationBarView__TPpnavigationBarView_NavigationBar
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarPtr _ATobjPtr;
VLString _ATpers_alignment;
VLObjectPointer _ATobjId;
navigationBarView__TSPnavigationBarView_NavigationBar_styleSheetBlock _desc1;
navigationBarView__TSPnavigationBarView_NavigationBar_elements _desc2;
navigationBarView__TSPnavigationBarView_NavigationBar_alignment _desc3;
int _ATTERM_1;
};

struct navigationBarView__TPpnavigationBarView_NavigationBar_styleSheetBlock
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TPpnavigationBarView_NavigationBar_elements
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
int _ATelementDistance;
VLList _ATseparatorStyle;
int _ATflip;
int _ATactualWidth;
int _ATVPSpaceDistrib_pad;
int _ATVPNumberedList_elementCount;
VLPoint _ATiPosition;
navigationBarView__TSPLST_navigationBarView_NavigationBar_elements _desc1;
};

struct navigationBarView__TPpnavigationBarView_NavigationBar_alignment
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct navigationBarView__TPpnavigationBarView_NavigationBarElement
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerInterface2Ptr;
VisDrawingTrafoPtr _ATdrawingTrafo;
int _ATVPSpaceDistribElement_required;
int _ATVPSpaceDistribElement_realPad;
int _ATVPNumberedElement_number;
navigationBarView__TSPnavigationBarView_NavigationBarElement_imageName _desc1;
navigationBarView__TSPnavigationBarView_NavigationBarElement_target _desc2;
int _ATTERM_1;
};

struct navigationBarView__TPpnavigationBarView_NavigationBarElement_imageName
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VLString _ATinternalImageName;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct navigationBarView__TPpnavigationBarView_NavigationBarElement_target
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
ObservedTypePtr _ATnodePtr;
VLObjectPointer _ATobjId;
VLString _ATinternalFont;
VLString _ATfinalText;
VLPoint _ATpad;
VLPoint _ATiPreferedSize;
VisContainerInterface2Ptr _ATcontainerSubElement;
};

struct navigationBarView__TPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
navigationBarView__TSPnavigationBarView_NavigationBarElement _desc1;
navigationBarView__TSPLST_navigationBarView_NavigationBar_elements _desc2;
};

struct navigationBarView__TPLST_0pnavigationBarView_NavigationBar_elements
#ifdef __cplusplus
	: public navigationBarView_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
