/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *sspDlg_abs_prods[] = {
  "{LST_0psspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list]\"",
  "{LST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_SizeValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_ColorValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_FamilyValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_StyleValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_HeadingValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_AlignmentValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_ListValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_ListValue LST_sspDlg_StyleSheetPair_value]\"",
  "{LST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value} {LST_sspDlg_StyleSheetPair_value} \"[list sspDlg_CustomValue LST_sspDlg_StyleSheetPair_value]\"",
  "{psspDlg_CustomValue_value} {sspDlg_CustomValue_value} \"[list]\"",
  "{psspDlg_CustomValue} {sspDlg_CustomValue} \"[list ID sspDlg_CustomValue_value]\"",
  "{psspDlg_ListValue_listed} {sspDlg_ListValue_listed} \"[list]\"",
  "{psspDlg_ListValue} {sspDlg_ListValue} \"[list ID sspDlg_ListValue_listed]\"",
  "{psspDlg_AlignmentValue_alignment} {sspDlg_AlignmentValue_alignment} \"[list]\"",
  "{psspDlg_AlignmentValue} {sspDlg_AlignmentValue} \"[list ID sspDlg_AlignmentValue_alignment]\"",
  "{psspDlg_HeadingValue_heading} {sspDlg_HeadingValue_heading} \"[list]\"",
  "{psspDlg_HeadingValue} {sspDlg_HeadingValue} \"[list ID sspDlg_HeadingValue_heading]\"",
  "{psspDlg_StyleValue_style} {sspDlg_StyleValue_style} \"[list]\"",
  "{psspDlg_StyleValue} {sspDlg_StyleValue} \"[list ID sspDlg_StyleValue_style]\"",
  "{psspDlg_FamilyValue_family} {sspDlg_FamilyValue_family} \"[list]\"",
  "{psspDlg_FamilyValue} {sspDlg_FamilyValue} \"[list ID sspDlg_FamilyValue_family]\"",
  "{psspDlg_ColorValue_color} {sspDlg_ColorValue_color} \"[list]\"",
  "{psspDlg_ColorValue} {sspDlg_ColorValue} \"[list ID sspDlg_ColorValue_color]\"",
  "{psspDlg_SizeValue_value} {sspDlg_SizeValue_value} \"[list]\"",
  "{psspDlg_SizeValue_measure} {sspDlg_SizeValue_measure} \"[list]\"",
  "{psspDlg_SizeValue} {sspDlg_SizeValue} \"[list ID sspDlg_SizeValue_measure sspDlg_SizeValue_value]\"",
  "{psspDlg_StyleSheetPair_value} {sspDlg_StyleSheetPair_value} \"[list LST_sspDlg_StyleSheetPair_value]\"",
  "{psspDlg_StyleSheetPair_valueCategory} {sspDlg_StyleSheetPair_valueCategory} \"[list]\"",
  "{psspDlg_StyleSheetPair_attribute} {sspDlg_StyleSheetPair_attribute} \"[list]\"",
  "{psspDlg_StyleSheetPair_category} {sspDlg_StyleSheetPair_category} \"[list]\"",
  "{psspDlg_StyleSheetPair} {sspDlg_StyleSheetPair} \"[list ID sspDlg_StyleSheetPair_category sspDlg_StyleSheetPair_attribute sspDlg_StyleSheetPair_valueCategory sspDlg_StyleSheetPair_value]\"",
  "{pVIEWROOT_sspDlg} {VIEWROOT} \"[list sspDlg_StyleSheetPair]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int sspDlg_abs_nchild[] = {
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  1,
  0,
  0,
  2,
  1,
  0,
  0,
  0,
  4,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR sspDlg_abs_child (NODEPTR n, int c)
#else
NODEPTR sspDlg_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case sspDlg_RULELST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_SizeValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_ColorValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_FamilyValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_StyleValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_HeadingValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_AlignmentValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_ListValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_ListValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_ListValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULELST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value: {
      sspDlg__TPPLST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value m = (sspDlg__TPPLST_sspDlg_CustomValuepsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_CustomValue: {
      sspDlg__TPPpsspDlg_CustomValue m = (sspDlg__TPPpsspDlg_CustomValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_ListValue: {
      sspDlg__TPPpsspDlg_ListValue m = (sspDlg__TPPpsspDlg_ListValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_AlignmentValue: {
      sspDlg__TPPpsspDlg_AlignmentValue m = (sspDlg__TPPpsspDlg_AlignmentValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_HeadingValue: {
      sspDlg__TPPpsspDlg_HeadingValue m = (sspDlg__TPPpsspDlg_HeadingValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_StyleValue: {
      sspDlg__TPPpsspDlg_StyleValue m = (sspDlg__TPPpsspDlg_StyleValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_FamilyValue: {
      sspDlg__TPPpsspDlg_FamilyValue m = (sspDlg__TPPpsspDlg_FamilyValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_ColorValue: {
      sspDlg__TPPpsspDlg_ColorValue m = (sspDlg__TPPpsspDlg_ColorValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_SizeValue: {
      sspDlg__TPPpsspDlg_SizeValue m = (sspDlg__TPPpsspDlg_SizeValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_StyleSheetPair_value: {
      sspDlg__TPPpsspDlg_StyleSheetPair_value m = (sspDlg__TPPpsspDlg_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpsspDlg_StyleSheetPair: {
      sspDlg__TPPpsspDlg_StyleSheetPair m = (sspDlg__TPPpsspDlg_StyleSheetPair) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case sspDlg_RULEpVIEWROOT_sspDlg: {
      sspDlg__TPPpVIEWROOT_sspDlg m = (sspDlg__TPPpVIEWROOT_sspDlg) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
