/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *stylesheetView_abs_prods[] = {
  "{LST_0pstylesheetView_HtmlStyleSheetBlock_pairs} {LST_stylesheetView_HtmlStyleSheetBlock_pairs} \"[list]\"",
  "{LST_0pstylesheetView_CustomStyleSheetBlock_pairs} {LST_stylesheetView_CustomStyleSheetBlock_pairs} \"[list]\"",
  "{LST_0pstylesheetView_StyleSheet_default} {LST_stylesheetView_StyleSheet_default} \"[list]\"",
  "{LST_0pstylesheetView_StyleSheet_custom} {LST_stylesheetView_StyleSheet_custom} \"[list]\"",
  "{LST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs} {LST_stylesheetView_HtmlStyleSheetBlock_pairs} \"[list stylesheetView_StyleSheetPair LST_stylesheetView_HtmlStyleSheetBlock_pairs]\"",
  "{LST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs} {LST_stylesheetView_CustomStyleSheetBlock_pairs} \"[list stylesheetView_StyleSheetPair LST_stylesheetView_CustomStyleSheetBlock_pairs]\"",
  "{LST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default} {LST_stylesheetView_StyleSheet_default} \"[list stylesheetView_HtmlStyleSheetBlock LST_stylesheetView_StyleSheet_default]\"",
  "{LST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom} {LST_stylesheetView_StyleSheet_custom} \"[list stylesheetView_CustomStyleSheetBlock LST_stylesheetView_StyleSheet_custom]\"",
  "{pstylesheetView_HtmlStyleSheetBlock} {stylesheetView_HtmlStyleSheetBlock} \"[list ID stylesheetView_HtmlStyleSheetBlock_pairs stylesheetView_HtmlStyleSheetBlock_name]\"",
  "{pstylesheetView_StyleSheetPair} {stylesheetView_StyleSheetPair} \"[list ID stylesheetView_StyleSheetPair_category stylesheetView_StyleSheetPair_attribute stylesheetView_StyleSheetPair_valueCategory stylesheetView_StyleSheetPair_value]\"",
  "{pstylesheetView_CustomStyleSheetBlock} {stylesheetView_CustomStyleSheetBlock} \"[list ID stylesheetView_CustomStyleSheetBlock_pairs stylesheetView_CustomStyleSheetBlock_name]\"",
  "{LST_0pstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list]\"",
  "{LST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_SizeValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_ColorValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_FamilyValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_StyleValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_HeadingValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_AlignmentValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_ListValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{LST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value} {LST_stylesheetView_StyleSheetPair_value} \"[list stylesheetView_CustomValue LST_stylesheetView_StyleSheetPair_value]\"",
  "{pstylesheetView_HtmlStyleSheetBlock_name} {stylesheetView_HtmlStyleSheetBlock_name} \"[list]\"",
  "{pstylesheetView_HtmlStyleSheetBlock_pairs} {stylesheetView_HtmlStyleSheetBlock_pairs} \"[list LST_stylesheetView_HtmlStyleSheetBlock_pairs]\"",
  "{pstylesheetView_CustomValue} {stylesheetView_CustomValue} \"[list ID stylesheetView_CustomValue_value]\"",
  "{pstylesheetView_ListValue} {stylesheetView_ListValue} \"[list ID stylesheetView_ListValue_listed]\"",
  "{pstylesheetView_AlignmentValue} {stylesheetView_AlignmentValue} \"[list ID stylesheetView_AlignmentValue_alignment]\"",
  "{pstylesheetView_HeadingValue} {stylesheetView_HeadingValue} \"[list ID stylesheetView_HeadingValue_heading]\"",
  "{pstylesheetView_StyleValue} {stylesheetView_StyleValue} \"[list ID stylesheetView_StyleValue_style]\"",
  "{pstylesheetView_FamilyValue} {stylesheetView_FamilyValue} \"[list ID stylesheetView_FamilyValue_family]\"",
  "{pstylesheetView_ColorValue} {stylesheetView_ColorValue} \"[list ID stylesheetView_ColorValue_color]\"",
  "{pstylesheetView_SizeValue} {stylesheetView_SizeValue} \"[list ID stylesheetView_SizeValue_measure stylesheetView_SizeValue_value]\"",
  "{pstylesheetView_StyleSheetPair_value} {stylesheetView_StyleSheetPair_value} \"[list LST_stylesheetView_StyleSheetPair_value]\"",
  "{pstylesheetView_StyleSheetPair_attribute} {stylesheetView_StyleSheetPair_attribute} \"[list]\"",
  "{pstylesheetView_CustomStyleSheetBlock_name} {stylesheetView_CustomStyleSheetBlock_name} \"[list]\"",
  "{pstylesheetView_CustomStyleSheetBlock_pairs} {stylesheetView_CustomStyleSheetBlock_pairs} \"[list LST_stylesheetView_CustomStyleSheetBlock_pairs]\"",
  "{pstylesheetView_StyleSheet_default} {stylesheetView_StyleSheet_default} \"[list LST_stylesheetView_StyleSheet_default]\"",
  "{pstylesheetView_StyleSheet_custom} {stylesheetView_StyleSheet_custom} \"[list LST_stylesheetView_StyleSheet_custom]\"",
  "{pstylesheetView_CustomValue_value} {stylesheetView_CustomValue_value} \"[list]\"",
  "{pstylesheetView_ListValue_listed} {stylesheetView_ListValue_listed} \"[list]\"",
  "{pstylesheetView_AlignmentValue_alignment} {stylesheetView_AlignmentValue_alignment} \"[list]\"",
  "{pstylesheetView_HeadingValue_heading} {stylesheetView_HeadingValue_heading} \"[list]\"",
  "{pstylesheetView_StyleValue_style} {stylesheetView_StyleValue_style} \"[list]\"",
  "{pstylesheetView_FamilyValue_family} {stylesheetView_FamilyValue_family} \"[list]\"",
  "{pstylesheetView_ColorValue_color} {stylesheetView_ColorValue_color} \"[list]\"",
  "{pstylesheetView_SizeValue_value} {stylesheetView_SizeValue_value} \"[list]\"",
  "{pstylesheetView_SizeValue_measure} {stylesheetView_SizeValue_measure} \"[list]\"",
  "{pstylesheetView_StyleSheetPair_valueCategory} {stylesheetView_StyleSheetPair_valueCategory} \"[list]\"",
  "{pstylesheetView_StyleSheetPair_category} {stylesheetView_StyleSheetPair_category} \"[list]\"",
  "{pstylesheetView_StyleSheet_name} {stylesheetView_StyleSheet_name} \"[list]\"",
  "{pstylesheetView_StyleSheet} {stylesheetView_StyleSheet} \"[list ID stylesheetView_StyleSheet_name stylesheetView_StyleSheet_custom stylesheetView_StyleSheet_default]\"",
  "{pVIEWROOT_stylesheetView} {VIEWROOT} \"[list stylesheetView_StyleSheet]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int stylesheetView_abs_nchild[] = {
  0,
  0,
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  4,
  2,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  2,
  1,
  0,
  0,
  1,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  3,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_abs_child (NODEPTR n, int c)
#else
NODEPTR stylesheetView_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs: {
      stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs m = (stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs: {
      stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs m = (stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default: {
      stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default m = (stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom: {
      stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom m = (stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock: {
      stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock m = (stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_StyleSheetPair: {
      stylesheetView__TPPpstylesheetView_StyleSheetPair m = (stylesheetView__TPPpstylesheetView_StyleSheetPair) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock: {
      stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock m = (stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULELST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock_pairs: {
      stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_pairs m = (stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_pairs) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_CustomValue: {
      stylesheetView__TPPpstylesheetView_CustomValue m = (stylesheetView__TPPpstylesheetView_CustomValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_ListValue: {
      stylesheetView__TPPpstylesheetView_ListValue m = (stylesheetView__TPPpstylesheetView_ListValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_AlignmentValue: {
      stylesheetView__TPPpstylesheetView_AlignmentValue m = (stylesheetView__TPPpstylesheetView_AlignmentValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_HeadingValue: {
      stylesheetView__TPPpstylesheetView_HeadingValue m = (stylesheetView__TPPpstylesheetView_HeadingValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_StyleValue: {
      stylesheetView__TPPpstylesheetView_StyleValue m = (stylesheetView__TPPpstylesheetView_StyleValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_FamilyValue: {
      stylesheetView__TPPpstylesheetView_FamilyValue m = (stylesheetView__TPPpstylesheetView_FamilyValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_ColorValue: {
      stylesheetView__TPPpstylesheetView_ColorValue m = (stylesheetView__TPPpstylesheetView_ColorValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_SizeValue: {
      stylesheetView__TPPpstylesheetView_SizeValue m = (stylesheetView__TPPpstylesheetView_SizeValue) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_StyleSheetPair_value: {
      stylesheetView__TPPpstylesheetView_StyleSheetPair_value m = (stylesheetView__TPPpstylesheetView_StyleSheetPair_value) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock_pairs: {
      stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_pairs m = (stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_pairs) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_StyleSheet_default: {
      stylesheetView__TPPpstylesheetView_StyleSheet_default m = (stylesheetView__TPPpstylesheetView_StyleSheet_default) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_StyleSheet_custom: {
      stylesheetView__TPPpstylesheetView_StyleSheet_custom m = (stylesheetView__TPPpstylesheetView_StyleSheet_custom) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpstylesheetView_StyleSheet: {
      stylesheetView__TPPpstylesheetView_StyleSheet m = (stylesheetView__TPPpstylesheetView_StyleSheet) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case stylesheetView_RULEpVIEWROOT_stylesheetView: {
      stylesheetView__TPPpVIEWROOT_stylesheetView m = (stylesheetView__TPPpVIEWROOT_stylesheetView) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
