
/* interface of tree construction functions */

#ifndef wnceDlg_TREECON_H
#define wnceDlg_TREECON_H
#include "eliproto.h"

#include "err.h"

#include "wnceDlg_nodeptr.h"

#include "HEAD.h"


extern void wnceDlg_InitTree ELI_ARG((void));

extern void wnceDlg_FreeTree ELI_ARG((void));

extern NODEPTR wnceDlg_MkVIEWROOT ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkwnceDlg_JoinModifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkwnceDlg_MD5Modifier ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkwnceDlg_JoinModifier_separator ELI_ARG((POSITION *_coordref, NODEPTR _currn));
extern NODEPTR wnceDlg_MkpEmpty ELI_ARG((POSITION *_coordref));
extern NODEPTR wnceDlg_MkpVIEWROOT_wnceDlg ELI_ARG((POSITION *_coordref, NODEPTR _desc1));
extern NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2));
extern NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression_value ELI_ARG((POSITION *_coordref));
#define wnceDlg_Mk0pwnceDlg_WebNodeConstantExpression_modifier(_coordref) NULLNODEPTR
extern NODEPTR wnceDlg_Mk2pwnceDlg_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR l, NODEPTR r));
extern NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression_modifier ELI_ARG((POSITION *_coordref, NODEPTR t));
extern NODEPTR wnceDlg_MkpwnceDlg_MD5Modifier ELI_ARG((POSITION *_coordref, int _TERM1));
extern NODEPTR wnceDlg_MkpwnceDlg_JoinModifier ELI_ARG((POSITION *_coordref, int _TERM1, NODEPTR _desc1));
extern NODEPTR wnceDlg_MkpwnceDlg_JoinModifier_separator ELI_ARG((POSITION *_coordref));
#define wnceDlg_MkID(pos,val) (val)
#endif
